System Overview

System Overview - Holiday Letting System.

Overview of the System

This system is designed to help an owner or manager handle the administration involved in letting one or more holiday cottages.

A database is kept of all lettings, including dates, name and address of the person booking, prices paid, status and any notes you wish to keep.

The major features are described in Major Features and benefits

When the application is launched you will see the Status Window. This shows you at a glance which weeks are let, and which are available. It also displays the weekly cost and an optional comment.

The system provides a flexible set of processes that should allow most people to tailor it to their preferred way to manage their own letting business.

The system works with a "changeover day", often a Saturday, and this is the system default. You can, however, change this and other options with the configuration program.

The status window displays the status by week, starting on the changeover day. Weeks that are available for letting are displayed in light green, weeks that are let are displayed in red, and the surname of the person booking is also shown. The status boxes are colour coded to show availability and booking status (See Status colours and meaning) and these colours, in some cases, help identify actions you need to take; for example if a payment is overdue.

When the system starts, the display starts at the current week, and runs for as many weeks as will fit in the window. However you can quickly scroll the weeks using the scroll bars or the cursor keys. Two years are displayed at a time, but you can quickly change the view to an alternative pair of years.

Just click on a line to either create a new booking (if the week is free) or see the record for an existing booking. More details of the Status Window are available here.

Of course, not all bookings are an exact week (for example a weekend let) and you can create bookings starting and ending on any day by adjusting the start and end dates of the booking. The display shows exactly which days are let, when necessary by breaking each week into 7 days.

When you create or view a booking, you will see the Bookings Window. Here you can enter the name and address of the people booking and other details. Rent and other charges are automatically filled in from a Rates file that you set up.

The bookings data base can later be used to produce several types of reports, for example to help you produce accounts. More details of the Bookings Window are available here.

The system can automatically create letters (by post or email) to your tenants. It can publish the availability and rent of your property to a web file - as described here. It can handle mail shots to your past tenants, using the names and addresses in your database - as described here.

A series of printed reports can be produced, including the booking status, Accounts data and a list of lets for a local representative.

You can quickly view an analysis of your bookings status, including days let, payments received and where the bookings came from, all broken down by year. See view statistics.

If this is the first time you have used the system, you are recommended to read about the major features and benefits and then go through the short tutorial. Then test out the demonstration property Demo Cottage to get more experience of what the system can do.

These Help instructions have been designed to be fully comprehensive and it is hoped that they can answer almost all the questions that you may have.

System Requirements. You will need a Personal Computer running Windows XP or later. We believe the system will work on older versions of Windows (back to Windows 98) but no longer test on versions older than Windows 7.

See the topic Specifications and Requirements for full details.

If you want to run LetSys with access by more than one user at a time, please read topic: Running LetSys with Multiple Users

Problems and Queries.

If you have problems or queries please report them by email to email: info@erwwen.com

We would also welcome any comments about the usability of the system or any features that you would have found useful

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Major Features and benefits

This system has been designed to assist an owner to manage his/her own holiday cottage(s) using a PC. It can also be used by letting agencies to look after holiday properties belonging to one or more owners. If you manage your own letting business it will put you in control and make the process much easier. It allows you to pull your booking status and all information together, and see the status "at a glance". Our users are delighted, see our references at http://erwwen.com/holletsys/refs.htm Some users act as agencies on behalf of others and we know of one person managing 30 properties with this system.

The designers own and manage a holiday cottage themselves, and originally wrote this system to simplify and speed up their own administration.

The system offers the option of viewing each property in its own Status Window or using a "Multi Property" window. The latter allows the booking status for up to 15 or more properties to be easily viewed together.

List of main functions and benefits:

  • Simplifies, speeds up and assists with the administration and management involved in letting a holiday cottage.
  • Saves time - for example, no more addressing of envelopes or writing or typing out letters in full.
  • Provides an "at a glance" view of the letting status, showing which dates are let, how much each week costs and the payment status.
  • You are automatically alerted to any overdue payments, enabling you to rapidly chase these.
  • Fast entry of the data for each booking, including automatic completion of much information. The system automatically calculates and inserts data - including the rent, duration, deposit and (optional) fuel and linen charges.
  • Quickly produces letters or emails to send to your customers, acknowledging payments etc. Information (including dates and costs) is automatically inserted. This feature uses proformas that the owner can easily modify - the sample letters, booking forms and web site are a valuable starting point.
  • Letters can be sent by post or using email from your preferred email client, or using the built in email client.
  • Prints addresses onto envelopes or labels, direct from the booking records. Saves writing or typing.
  • Handles additional charges if you make them: for example linen, pets, fuel, breakage deposit and credit card surcharges.
  • Can (optionally) record the date that you repay a returnable breakage deposit. Also records any amount retained to cover breakages.
  • Eliminates the risk of taking two overlapping bookings - this system will alert you if dates clash.
  • For a repeat booking, you can quickly find the records of the previous booking and any notes you may have made, for example, to help avoid letting again to a tenant who caused problems. You can also copy the details into the new booking to save retyping - with a couple of clicks!
  • Provides printed reports and summaries:

- Printed Booking Status report showing consolidated summary by week (useful for taking bookings by phone).

- Quick status report on income and days let for each tax year.

- Annual accounts - provides list of lets, income and totals as a printed report or in standard CSV spreadsheet format.

- Lists of lettings for your local contacts ( local managers, cleaners etc)

- Lists of Owners (if you have an Owner Data Base).

  • Helps you answer the question "How are my bookings doing this year" with tables of statistics and comparisons with previous years
  • If you use a Web site to advertise:

- One click will link directly to a local copy in order to answer queries

- The system can update local HTML files to show rates and availability status in a table. You then upload this status to your web site.

  • Helps you send mail shots to your previous tenants either by email or normal post.
  • Has the facility to store scanned booking forms on your computer and retrieve them immediately when working with the appropriate booking.
  • Holds all the records in an easily accessible data base - you have only a single copy of the data.
  • Search facility. The database of bookings is always available for searching and you can keep as many old bookings as you like. After a number of years, old bookings are easily removed using an Archive function. These old bookings are then kept in an archive, unless you choose to delete this. This makes keeping records (for example for tax purposes) very straightforward.
  • If you have more than one property to manage, then each property can have its own options. For example, you can use different currencies or different changeover dates for each property. Hence you could manage a property in USA where lets normally start on Sundays and are charged in US dollars, and one in UK, let in pounds sterling.
  • A "special requirements" field is available for each booking. This can be used to record any special needs - eg "Young Children - put high chairs out". This presence of special requirements can be flagged on the overview "status window" and also is printed in the report for your local representatives and/or cleaners.
  • A comments field associated with each booking can be used to record any appropriate information you wish to record.
  • Cancelled bookings are retained in the data base, enabling customer details to be found again and for you to see who cancelled. Cancellation charges are recorded and included in the accounting data.
  • Data backup, recovery and migration functions are all provided. See Backup and Data Security
  • Managers looking after properties for several different owners can, optionally, create an Owner Data Base, in which details of each owner are saved, including address, email etc. You can keep a log of contact with the owner and easily email one or more owners from the system. For more details see topic Owner Data Base
  • The system can run entirely on your personal computer, without any attachment to the Internet. There are no ongoing usage costs. Optionally you can use it to help maintain a web site if you have one.

Designed for a private owner or small business this system can manage anything from just one property up to about 50 properties or more. It is simple, moderately priced and easy to use. Even a novice computer user should be able to get immediate benefits, which will grow as more information is accumulated in the data base.

Evaluation Version:

Please note that the evaluation version, once installed on your system, will function only for a period of 30 days. In addition all report printing is disabled on the evaluation version.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Specifications and requirements

This topic describes the Hardware, software and other resources needed, to successfully run this system.

Hardware: Minimum hardware needed: This system has been tested and runs well on a 350 MHz system with 64MB of memory under Windows 98. (It runs even faster on higher specification hardware, of course.)

Operating system: All recent versions of Windows (XP/Vista/Windows 7 and 8) are all supported. Windows 95 and 98 are no longer officially supported but may run - see "installation hints and tips".

Display: The Holiday Letting System is designed for a minimum display resolution of 800x600 but will be easier to use at 1024x768 (or higher) display resolutions.

Disk Space: You will need at most 5 MB of disk space for the first year. This is sufficient for the programs, demonstration and about 3 years of your own data. Additional years will use no more than 1MB data per year - less if you don't keep scanned images. If you are a large agency with dozens of properties, data use will be a little higher, but only a tiny fraction of the capacity of most computers these days.

Scanner: You will need a scanner if you wish to store scanned copies of booking forms and access them directly from the related booking.

Web site: You need to have your own web site if you want to use the facilities that will assist you manage this, namely to keep an availability table up to date. However, you don't need to have a web site in order to use the Holiday Letting System or to benefit from it.

Language: This System is written with all messages and prompts in English, and with English Language Help only. You can manage properties in any country and in different currencies, but you will need to be fluent in English to use the system. Let us know if you would have wanted a foreign language version, and we will put this on the list of requirements.

Limitations: As with all software, there are some in-built limits. Some of the data stored has a maximum length - for example, Surnames are limited to 30 characters, and addresses are limited to 5 lines (excluding the name) - this is so the address will fit on some of the smaller common label sizes (and you just need to combine lines on really long addresses.) The software has been tested with rents up to 1,000,000 currency units, and this should handle most situations! Let us know if you find what you feel is a serious limitation.

Evaluation Version: Please note that the evaluation version, once installed on your system, will function only for a period of 30 days. In addition all report printing is disabled on the evaluation version.


Rent Calculation

LetSys automatically calculates the rent for a new booking, using the rates files that you set up. The rent is automatically re-calculated each time either the start or the end date of a let is changed in the Bookings Window. In addition fuel and linen charges are also automatically entered into a booking, if configured.

Rounding: Rents and other charges are always rounded to the nearest whole currency unit.

Entering rent and charges manually: You can override the rent and other charges by keying any amount you wish into the fields.

Warning: if you subsequently change the dates of the let, charges are recalculated using the rules below; you may need to re-enter the data.

Lets of one week or more

For whole numbers of weeks, the rent is just the sum of the weekly rates that apply to each week. If the let is not a multiple of a week, then the rent is calculated as 1/7th of the appropriate weekly rent for each night of the let.

Fuel and Linen: If you use these optional charges, they are charged per week, pro-rated by night for extra nights over and above a whole number of weeks.

Example: A one week booking starting mid week (and which straddles two different rate bands) and having 3 nights at the first rate will have 3 nights charged at the rate for the first week and 4 nights charged at the rate for the second week.

Lets of less than one week (called "Short Lets")

By default LetSys does not calculate the rent (nor heat and linen charges, if configured) for short lets. However there are two ways that you can use to automatically fill in the rent for a short let:

1 You can set a "minimum charge for a short let" in the Rates Window If this is all you do, then this amount will be used for all short lets, regardless of duration. If you have set a fuel charge it will be reduced in the same proportion as the fixed charge is to the rent.

2 You can perform a more sophisticated calculation of rent (based on the weekly rent) by configuring charges for short lets in the configuration program. This is done by configuring the charges for a short let, in the configuration program on the Rent Calculation tab . You start by checking the box Calculate Charge for short lets (less than one week). When you do this more options are shown and these are described in topic Rent (for short lets).

There are many different methods we know of to work out the rent for short lets. Some people (including ourselves) just make a fixed charge for a low season short break (for example, 60% of the weekly rent). In other cases the rent increases with the number of nights. If you just want the former, set the minimum rent (by property) in the Rates Window, and don't bother reading further. If you want the latter, then LetSys uses a very flexible method which will allow most situations to be covered. This calculation is described in topic Rent (for short lets)

An improvement introduced with LetSys V4.2 means a weighted average rent is used when a short let straddles two rate bands, and this produces a more reasonable result than before.


Backup and Data Security

One benefit of using your computer to keep your holiday letting data is that it is easy to back up and secure your data. Regular backups are essential if you keep key business data on a computer.

Data Backups. You are recommended to take periodic backups. You need to backup just one folder (and all the sub folders and files it contains). This is the "Root or Base" data folder, for which the default path is C:\LetSys. LetSys provides a simple tool to backup up all your data and settings into a single ZIP file. See topic Backup Tool We also provide a Restore Tool which can recover both your data and settings from a backup taken with the Backup Tool. See also topic How to recover lost data

We strongly recommend that you regularly run the backup tool. Unlike other methods of backup, it backs up your specific settings and allows easy recovery of these.

About Backing Up: Programs can always be obtained again and reinstalled. But the crucial data that is unique is your letting data, all of which is contained in a single folder and its sub folders. (Full details of this data is covered in topic Data Structure - folders and files)

The volume of this key data is very small. Our own data goes back for 6 years, and averages under 1 MB per year.

Everyone has their own backup methods and processes, but if you do nothing else, use the supplied Backup Tool or just copy the base folder to some form of backup medium every so often. You can backup to a USB drive, CD, diskette or "The Cloud". USB Pen drives are now so cheap that they are the recommended method today for cheap low volume off-line storage. Backups are best taken in compressed form using programs like WinZip, PKZIP or the excellent and free 7-Zip from http://www.7-zip.org/ We use 7-Zip in our Backup Tool.

Off site Backup and "Cloud Backup": A family member was recently burgled, and lost not only his computer but also his USB backup disk. All his pictures and other data were lost forever. A major fire could also destroy your computer and all your data. You should consider keeping a copy of your data off site - we certainly do this. We keep physical copies elsewhere, but an alternative these days is "cloud backup".

Place your LetSys backup files into one or other of the various tools that backup data using the internet, and store it in "the cloud". You can even use this to contain your LetSys folder. We have at least one customer who now places his LetSys root folder into a "Dropbox" folder, which is synchronised automatically. There are alternatives to Dropbox, but it is currently one of the best for this purpose. Data is encrypted and you get up to 2GB free. See http://www.dropbox.com

Frequency of backup: Use judgement here - if you have just taken several new bookings it would be a good idea to take a backup. If things have been quiet for some time, then don't bother. Some people (including us) take daily backups and also keep a copy of our data outside the house to protect against the worst case scenario of a fire that destroys both the computer and the on-site backup.

Protection against system crashes.

There are three main data bases kept by this system. The booking data, the archive data and a change log These are described in more detail in the topic Data structure - folders and files. This topic also explains how all files are always copied to backup files prior to writing, as a protection against a system crash corrupting the databases as they are written.

Recovering Lost Data: If you accidentally delete an existing booking, then there is a good chance you can recover most of the data from the history files. See topic How to recover lost data

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


How to recover lost data

LetSys provides several ways to recover lost data in the event of a system problem or if you accidentally delete an existing booking. You should also ensure you are familiar with topic Backup and Data Security and have been taking regular backups!

Here are the most common examples of how to recover data.

1. Hit the Delete Booking button?

- When you delete a booking, it is saved in a file named deleted.hls stored within the Archive folder for the appropriate property. (A copy is also saved in the change log for use by the "Extract tool")

- In Windows Explorer (or File Explorer as it is now called in Woindows 10) navigate to folder C:\LetSys\propertyname\Archive and double click the file Deleted.hls This file is displayed in order of the booking start date. The oldest deleted record is shown first.

- Open the find dialog with Edit / Find (Shortcut is Control and F) and enter any string that will locate the booking you've lost - eg the surname of the person that made the booking.

- You can also page back and forwards with Page Up and Page Down. It is often faster to go to the final record with View / Bottom (Shortcut: Ctrl+B) and search or page backwards.

Once you locate the booking you want, then you can recover it thus:

- Make sure the booking is visible in the bookings window.

- Copy the deleted booking to the data file for the appropriate property using menu item Edit / Copy booking to specified file Note that the main data file will normally be C:\LetSys\propertyname\Data\Bookings.hls See topic Data Structure - folders and files for more information on locating data files.

- You can also use the function Copy booking to temporary storage. Hit the toolbar icon [image] to copy the data. Re-open the Status Window for your property, create a new booking for the dates of the deleted booking, and then paste the data back from temporary storage using [image] See topic Paste booking from temp. storage for more details on how this works. Finally, make sure the rates for the booking are correct - as these are not copied over.

2. Hit the Cancel Booking button? When you cancel a booking, it remains in the file, but does not show in the status window.

- Once you cancel a booking, you cannot change the status back (ie "un-cancel" it). If the customer changes his/her mind, you have to create a new booking, locate the cancelled booking and copy the data back as described above.

- The easiest way to find cancelled bookings is by using the The Search Window . Locate it there (the comment column will show **Cancelled**. You can also open the booking file for the current property and page up and down to see cancelled bookings.

- If you search by name, and enter * you will see every booking in the entire database (if you click Search all properties). You can click the Comments Column to sort so all the cancelled bookings show together.

- You can also search for details of cancelled bookings in the change log file for the property. See below.

3. Locating a booking in the Change Log:

- Each time you update a booking an exact copy is written to the change log (before the data file is updated). This is the file C:\LetSys\Property Name\Archive\Changed.hls

- You can usually recover all your recent data from this file. Use the techniques above to open the file and search for the booking you want. There will usually be several copies of the same data, one for each time you saved the booking. Records are in date order, so use the most recent (look at the Last updated field in the Status Bar).

- It is often easiest to go to the bottom (Ctrl+B) and search upwards as you get to the final copy first this way.

- If you are able to locate the last copy then you can simply recover the booking in exactly the same way as described in 1 above.

4. Unable to find a lost booking in any of the archive files? If you cannot locate the booking in either file, there may be a chance if you only just made the error that it still exists in the backup copy of the main data base. All files are backed up prior to change in the Windows Temporary Directory. There's a tool to open this; enter Tools / Open Windows Temporary Folder. If you are looking for data for property 5, the file is backed up as P5-Bookings.hls. Locate this file and open it by double clicking. Use the same techniques as above to try to find the booking. Note that this file is a copy taken each time a change is made to the bookings data, so you will only find the record you want if you have made no other changes since the accidental deletion.

5. Lost the main bookings database? On rare occasions (usually caused by hardware errors, or accidental dragging of files to the wrong place by a user) an entire property database can be lost, or corrupted. If you have taken a recent backup, simply recover the bookings file: C:\LetSys\propertyname\Data\Booking.hls Only data entered since your last backup should now be missing, and you can either re-enter this from your other records, or you can use the changed.hls log file to copy them over (see next item).

6. "Extract data from Logfile" tool: This tool can assist you recover bookings from the change log, and merge them with a recent backup file. This speeds up recovering multiple bookings. Open the changed.hls file for the property as described in (3) above. Click tools / Extract data from log. (Note this tool only can be executed when you are viewing a file with the name "changed.hls") Follow the instructions in topic Extracting data from the Change Log Repeat for other properties as necessary.

7. Lost your property settings? Your settings are stored in the root folder in a file LetSys.ini. They are backed up with the Backup Tool and will be restored when you restore from a backup with the Restore Tool. If the file LetSys.ini is missing from the root folder locate a backup and restore this file to the root folder. Then ensure all the settings are the way you require.

8. Your computer has completely failed? Unfortunately at the time of writing, this has happened to two of our users in the past couple of weeks. Providing you took a backup using the Backup Tool you will be able to recover your data and settings to the state existing at the point of time that you took the backup. See topic Restore Tool

9. Backup copies of files: LetSys takes a backup copy of a property bookings file prior to updating it. These copies are saved in the Windows temporary folder. A tool available from the Status window ( Tools / Open Windows Temporary folder) allows you to quicky open and work with this folder. The backup file details are listed in topic Data Structure - folders and files While useful in many circumstances, these backup files are immediately replaced if you edit your bookings for the property. Hence stop working as soon as you have a data problem.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


About automated letters

LetSys enables you to automatically create letters to your customers.

When you create a new letter, this is created from a proforma with information about the let automatically inserted into the text at the point you specify. For example customer name and address, the property name, the letting dates and prices can all automatically replace Mail merge or "special" strings that you insert into the proforma.

Letter Types when first installed: Four Letter Types are defined: To add letter types, or change the names, see topic Configure Letter Types

L1 Holding Letter: Intended to say that the property is held pending receipt of deposit and send a booking form.

L2 Deposit Acknowledgement: Intended to acknowledge the receipt of a deposit.

L3 Balance Acknowledgement: Intended to acknowledge the receipt of the balance.

L4 Letter 4 - Optional: You can edit this description see here and use it as you wish.

You can add up to a total of 9 different letter types and you can give them any description you choose. You can use a letter type for any purpose you wish; for example you may want L1 to be a letter passing on a brochure following an initial enquiry, and L4 might accompany the return of a security deposit. Letter descriptions are used only internally to help you remember your processes. Additional letter types may be created and used to fit the way you manage your business. Letter types are created and descriptions are set using the configuration program. See topic Configure Letter Types for more information.

Letter Proformas: When first installed a set of proformas is supplied for the first three letter types above.

These are shared proformas that apply to all properties. You then edit these proformas to fit your requirements. If you wish you can create property specific proformas that will be used instead of the shared proformas. More details on proformas, including how to create and edit them, are given in topic About Letter Proformas. Proformas are managed as described in topic Managing Letter Proformas

Delivery method: LetSys supports creating and sending letters both by post and by email, providing you know the recipient's email address. You can choose the default by letter type when you configure letters.

Letters to Owners (feature for letting agencies): By default, automated letters are sent to the tenant. However letting agencies can also set up a letter type which will enable you to send a letter to the property owner. Just define a letter type from the configuration program, and set up the proforma as defined in this topic: Letters to owners We suggest the letter type name contains an indication that the letter will be sent to the owner, such as calling it "OWNER: Property-now-let".

Creating and viewing letters: Letters are created and stored as part of the booking to which they apply. To create a letter, open the booking and click the letter toolbar icon [image] or, from the menu, select Letters / Create letters. This displays The Letters Window. This shows at a glance what letters already exist for this booking. If you click the line corresponding to an existing letter, the letter you've already sent is shown (or in the case of an email, the text passed to the email client is shown, with date and time.) If you click a line where the letter does not exist, then a new letter is created and opened for you to review and edit before printing or sending.

Letters can show Sales Tax or VAT: You can show the VAT (in Europe) or Sales tax (USA etc) in your letters if needed. You configure the rate of tax on the general tab of the configuration program.You can then include the special strings <!Tax> and <!NetOfTax> in your letter proformas. Special strings are covered in more detail in topic Mail merge or "special" strings A sample proforma is delivered with the system with file name Proforma-L-VAT.rtf This shows how extra charges and VAT can be specified to appear in automated letters.

Printing Envelopes or Labels: Once you have created and printed your letter (if this is a printed letter) you can easily print an envelope or a label for it. Just click the toolbar icon [image] or, from the menu, enter File/Print Label/Envelope or hit the short cut key (F6). This opens a panel to print the name/address from booking record.

Word Processor: Printed letters can be processed in any word processor providing it can handle rich text (.rtf) files. By default this is WordPad, but all recent versions of Microsoft Word and Lotus WordPro have been tested successfully. The word processor used is set in the configuration program, see topic: Word Processor

How and where are letters stored? Printed letters are saved in rich text format, since this is a published standard that will work with almost all common word processors.

Email letters are created and then passed to your default email client. You can modify it if you wish, and then send it. In some cases it may be necessary to start your email client before you send an email message. Note that the system saves the letter that was passed to your email client, including a note of when it was sent. This is what is shown if you view the letter from within LetSys. However, since you may have made changes to the email, the definitive version will be that stored by your email system.

Letters (including email source) that are created are stored in the letters folder for the property, which is C:\LetSys\PropertyName\Letters - click here for more information about the folder structure.

Letter Names. You normally don't need to know the names of the letters, as clicking an existing letter line in the letters window will enable you to view the letter.

Letters are named as follows: yymmddLnNAME where:

yymmdd is the date that the booking starts.

Ln is the letter number eg L1 or L2:

name = the name of the person booking (truncated to 8 characters and with hyphens removed.)

This convention ensures a unique name for each letter. For example if Mr Smith books the week commencing 7th July 2007, then the full path and name of the first letter (by default the deposit acknowledgment) is C:\LetSys\PropertyName\Letters\070707L1Smith

The system looks after renaming letter when necessary - for example should the start date of an existing booking be changed.

If the letters were sent by post then the file type is .rtf (rich text file). If they were sent by email, they are saved as text (.txt) files.

Tips

- Always use shared proformas if possible. Use the fact that property name, rent, name of the person renting and so on can all be inserted automatically into the letter. You will find this makes maintaining the proformas much easier.

- Plan the letters you need carefully. Make L1 the first letter you normally send, L2 the second and so on. Then the next letter type to send will be selected automatically in the letters window, and you just hit enter. If you decide to create a new letter that should be the first you send, you can re-order the letter types from the Configuration Program - see topic Configure Letter Types.


Formatting automated letters using HTML

As an alternative to sending plain text emails, LetSys allows you to send emails formatted with HTML tags. You can change font size, colour, specify bold or italic text etc. This removes the dependency on an EMail client such as Outlook and allows the emails that are sent to be stored as part of the LetSys data.

You can also specify attachments to accompany each email. These can be one-offs or automatic, which saves attaching them each time, as you must do if using the default plain text emails.

You will need at least basic HTML knowledge - see below.

To switch to use HTML you need to

1) Configure LetSys to act as an EMail client (for outgoing emails only). See Configuring LetSys as an email client

2) Replace the plain text proformas by HTML proformas. These have exactly the same name as before, but the file type changes to ".htm". The new proforma for Letter 1 will be named Prof-L1.htm See topic Managing Letter Proformas

3) You must delete (or rename) the old proforma. If it still exists it is used in preference to the HTML proforma using your normal email client, exactly as before.

4) Note that the same Special strings that are used with standard letter proformas are used for HTML, except that the begin and end characters are slightly different. Where you might put <!Subject> in a normal letter you use <-Subject-> for HTML. This enables HTML proformas under development to be viewed in a browser (the old strings are HTML comments and did not appear).

Three sample HTML proformas are delivered in the Demo Cottage folder.

You must edit them to your requirements and then place them into the correct folder for letter proformas.

We recommend having only one proforma for all properties which means you place the proforma in the root folder. For more details see topic Managing Letter Proformas

It is fairly obvious how to replace the owner details with your own and how to alter the text. However, beyond supplying examples we do not try to teach HTML formatting, which is beyond the scope of this help file.

Almost all email clients (Outlook, Web clients etc) can use HTML to format the emails you write, so LetSys is working in the same way as normal email.

Unfortunately many email clients don't support the full set of web standards so coding proformas for HTML needs a degree of technical expertise.

You might like to try W3Schools (see http://www.w3schools.com) as a learning site if you don't want to buy a book.

If you google "How to format HTML email" you will also find a wealth of assistance. Here is one good article by Tim Slavin: http://www.reachcustomersonline.com/2010/01/23/09.27.00/

Notes: It is relatively easy to specify an image in the proformas, which makes your emails more attractive. However, be aware that these images may be blocked by the recipients' email client.


Using LetSys for multiple properties

For those who manage several properties, this section describes different ways of using LetSys.

Note: Read the Hints and Tips section at the end - it will save you work!

If you manage just a single property, then you are recommended to use the default Status Window in Classic Mode. This shows the maximum information about the status. You do not need to read the rest of this topic.

Classic Mode (This is the default viewing mode)

In Classic Mode you can manage up to three or four properties easily. You can open multiple copies of the status window, and each window displays the details for one property (the name is in the Window Caption). Desktop shortcuts are created for each property you configure, and you just double click the appropriate shortcut to open a new Status Window for that property. If you try to open the same property a second time, the existing window is made active. The taskbar shows a button for each property (containing the property name), and you just click the taskbar button (or the appropriate window) to make a property active. Each property will initially appear displaced horizontally on the screen.

One benefit of LetSys is that the settings for each property can be different - for example, you can set the changeover day separately for each property. For example if you manage one property in USA and a second in Europe, then in USA the changeover day is most often Sunday, but in Europe changeovers are mostly handled on Saturday. Similarly, you might wish to charge rents for one in Dollars and the other in Euros or Pounds. LetSys can handle this type of scenario and this is most easily handled in Classic Mode.

The printed booking status report will print, on a single sheet, the booking status for up to 3 properties (it will print 4 but the formatting is not as clear). This status report is very useful to get a single view of how bookings are going, what dates are still available, and what the price is. It is very useful as a document to keep by your phone for when potential customers call.

Note that the demonstration property ("Demo Cottage") will be kept when you create your own property, but will always be the last property on the list. I suggest you keep it for a while until you are completely familiar with the system. You can then use the Configuration tool to delete the property.

Launching LetSys in Classic Mode.

In addition to using the property shortcuts on the desktop or in the start menu, you can create a single desktop shortcut to launch all properties together. This short cut can be created by running the configuration program as described here and selecting the Special Tab. Click on the button to create this shortcut.

Note: This shortcut does not open the demonstration property.

You can also open a second property using the File menu item from any open Status Window. Just click menu item File and you will see menu items at the end, one for each property that you have defined, with the caption "Open Propertyname" Just click this menu item to launch LetSys for the specified property - or make that window active if already open. The shortcut Ctrl + n where n is the property number you want to view is an alternative way to do this.

Multi-Property Mode (Multimode)

When you manage more than about four properties you are recommended to run in "Multi-property mode" (called Multimode for brevity).

This mode is set by the Configuration Program by checking a box on the General Tab.

In this mode only a single Status window can be opened which displays all properties. An example of the Multimode Status Window is described in topic Status Window (Multi-Property Mode) In Multimode the weeks run across the screen, with the properties running from top to bottom. Simple click on the rectangle representing a particular week for a particular property to create a new booking or view an existing booking. You can move left and right to see all the weeks using the horizontal scrollbar, or use the left and right cursor keys.

You only need a single shortcut to launch LetSys in Multimode and this is created with the name LetSys. Any existing single property shortcuts will also open (or activate) the Multimode Status Window. Once you have established that Multimode is the way you want to work, any property specific shortcuts can be deleted.

Because slightly less information can be displayed in Multimode when you hold your mouse cursor over a week box, a popup box will provide additional information about that week or let so all of the information that is displayed in Classic Mode is still available. Try it and see.

If the order that the properties are displayed in is not the one you would like, you can change the order of your properties using the Configuration Program. See topic Change the order of properties

If you right click on one of the property name boxes, you will see a context menu which allows you to choose to perform a number of property specific functions such as edit the rates file for a specified property.

In Multimode you can only have a single Booking Window open at a time. This window must be closed before you can work with a different booking.

When working with multiple properties almost all reports and functions can be invoked for all your properties at the same time. Just select the properties you wish to work with using the Property Selection Listbox. More details on producing reports is given in topic

More information: As you probably guessed, LetSys evolved from a system that was originally written to manage a single property. The latest version has introduced a Multi-property status window, that allows up to about 15 properties to be viewed in a single window.

Hints and tips:

- When you are setting up your system for multiple properties, it is best to create your first property only. Then personalise all the correspondence relating to the property including all the letters, emails etc. BEFORE you create another property. This first property that you create always becomes Property No 1.

The reason is that when you create a second or subsequent property, the system always copies the letters, rates files etc from the first property. This saves the work of either copying files over, or personalising again.

- If you forgot to follow the tip above, then if you are a dab hand with Windows Explorer, you can actually just drag the personalised files over to the data folder for the new property. Just right click and drag - then select copy as opposed to the default (when you left click) of Move. Overwrite the files that were copied originally.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Using LetSys to help maintain a Web Site

Overview:

There are a number of functions provided to allow LetSys to integrate with your website.:

1. HTML File Upload: Using the "Publish to Web" function you can update HTML file(s) which can display your availability status and/or your rates. With a couple of clicks, this web page is uploaded to your web site, and will then show which dates your property is available and/or what you charge per week. It is very flexible, and you can change the data displayed and the colours to meet your own requirements.

2. On-line booking form. LetSys is delivered with a sample on-line booking form. You can tailor this to your own requirements and then download and import data from this form directly into LetSys. More details are under (2) below.

3. Dynamic web applications: LetSys supports dynamic web applications written in PHP (the most popular web scripting language). It can upload a PHP file (named phpinfo.php) which contains a list of all your properties, and the availability status for each property. This allows a number of interesting and useful scripts to be written for your web site, for example:

a) If you have several properties, you can create dropdown boxes showing the properties in (for example) the booking form

b) You can produce availability calendars in a number of different forms.

c) You can create "availability search" applications which list the properties available for the dates you choose.

d) LetSys can also create and export the rates into a MySQL query, ready to inport into a MySQL data base on the server - this allows you to do such things as automatically calculate the prices for a stay in your booking form. You will need some help from us to use this.

Examples of the above possibilities can be seen on our website at http://erwwen.com/holletsys/Support/samples/

Some simple advice on creating a web site is provided below in section 4.

We also provide a free FTP utility that makes uploading your availability file very easy indeed once set up. See section 5 below.

1. HTML File Upload - Publish Availability to Web.

This system provides a set of sample availability (and rates) files, which you can tailor and expand to your requirements and then upload them to your web service provider.

You will need at least some knowledge of HTML and CSS (Cascading Style Sheets) to use these samples; such skills will also be available from your web site designer.

An example of a holiday cottage home page is supplied with the system (based on our own site) for the fictitious property "Demo Cottage". Open LetSys for this property (which is always installed initially) and then select menu item Tools / View web page or click on the toolbar icon [image] to see the sample provided in your web browser. Next, click "Availability / Rates" in the links on the left. If you have deleted the "Demo Cottage" property, then you may still be able to find the HTML sample files by looking in the C:\LetSys\Web folder; they are index.htm and availability.htm. You can also reinstall LetSys and these files are reinstalled in the C:\LetSys\Web folder

The system uses CSS (style sheets) to give you complete freedom to control the colours and text styles in your availability table (as well as throughout your web site); in addition a number of Publishing Options allow you to control the table formatting. See topic Web Publishing Options for more information. Explaining how CSS works is beyond the scope of this help file, but we recommend W3Schools (see http://www.w3schools.com)

as a good learning site if you don't want to buy a book!

Hints: If you have several properties, then it is best to first produce a file for one property, and then, once you understand the way everything works and have perfected the style for your site, you can extend to other properties. First decide in which local folder you are going to build your web site and what the availability file names will be. If you have more than one property, there would normally be a different file for each, although they can be combined. Create your initial file (the easiest way to do this is to start with one of the sample files from the folder C:\LetSys\Web.) Then configure the system by property as described in topic Web Folder and also topic Web Rates/Availability File - specifying name

Then, to update this file, using the latest data, select File / Publish to Web from the Status Window. This will display the "Publish To Web" Window You can then use this window to select the dates and properties to publish and then click PUBLISH to update your availability files. You need to install the free FTP application to make uploading easy - see section 4 below.

More details about how to format the availability table are in the topic Overview and Row proforma You have almost complete control over the contents and colour etc of your web availability page.

If you need help creating a web site, why don't you contact me: write to email: support@erwwen.com We also welcome comments on these functions.

2. Importing data from a booking form (on your web site).

LetSys can also download an on-line booking form, created using an HTML form and a dynamic server program (eg PHP or ASP). This can then be viewed locally, and data in it copied and pasted into a booking record. More details are given in topic Downloading a Web Booking Form

3. Dynamic Web Applications - Upload PHP Web Data.

LetSys can upload data suitable for processing in a PHP script, contained in a single file named propinfo.php. This contains a list of all your property names and also the availability status by day for each property in a compressed form.

The format of this file is defined in topic Format of file "propinfo.php"

To upload this file you must first do the following:

- Configure the number of days (starting today) for which you want PHP availability data to be uploaded, on the web-up tab of the configuration program

- Install the program eFTP as described in topic Web file uploading using eFTP

- Create a FTP site, using eFTP, called LetSysData, which will specify FTP details of your web site; the connection details will normally be the same as your site definition for the "Publish To Web" operation.

- You can then upload the file using the function Upload PHP Web Data from the Web menu on the Status window. The file is also uploaded when you Publish to Web

Note that the output file is created by LetSys in the local directory specified in the LetSysData eFTP site, and then uploaded to the remote directory specified in the same site definition. This gives you complete control on the location of the file.

You can now write PHP scripts to do a variety of things, as listed in the overview above.

You need web specialist skills to write the necessary scripts. We only support PHP, the most widely used scripting language. Please note that it is the users responsibility to write and test the dynamic web application - we simply provide the data for use if needed. We will, resources permitting, provide support in doing this for a charge. Please contact us.

4. Creating your own web site:

You need to learn enough basic HTML to maintain a simple site. This is not particularly difficult - and you can start with a simple introduction to HTML from your local bookshop or library. However, explaining web technologies such as HTML is beyond the scope of these help files, although a good place to start is http://www.w3schools.com.

5. Uploading your availability and rates files automatically:

LetSys automates publishing web pages using a free FTP application "eFTP" available from Erw Wen software. Details of how to do this are in topic Web file uploading using eFTP

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Using LetSys for mailshots

LetSys can help you to send both email and hardcopy communications to your customers, a major benefit of having a bookings database.

Recommendation: Plan your mailshot and prepare your letter before running the mailshot tool. For emails, have the text typed ready to paste into the email.

To send a Mailshot open the Mailshot Window from the main Status Window, by clicking Tools / Mailshot on the menu.

The Mailshot Window will appear. You can then either send an email (which you write yourself) to a distribution list selected from your customers, or use LetSys to print labels or envelopes in order to post a mailshot to customers.

First specify whether you are using email or post using the Mailshot by post checkbox.

If you have more than one property you can select addresses from customers who stayed only in selected properties. Select the properties you want to process. See this item on selecting the properties.

Blind Copying Recipients of emails

If using email we recommend leaving "Blind Copy recipients" checked (the default). Most of your customers would prefer not to have their email addresses visible by anyone who gets the email. In this case the "To:" field in the email will contain the name "Distribution". Before sending your first mailshot we recommend you set up an entry for "Distribution" in your address book, containing your own email address. You will then receive a copy of the mailshot so you can see what actually went. If you forget to do this, most email clients will give an error.

EMail Batch Size: There is a Microsoft Windows limit to the number of recipients, of about 70 to 80 names. If you have more than this limit, then LetSys will automatically split the emails into batches. Some ISPs are now restricting the number of recipients to less than this limit (one customer reported that Tiscali reject emails with more than about 45 recipients, to prevent Spam.) You can set your own batch size if necessary. See topic Mailshot Batch Size

Generation of the list of names

Next, you generate a distribution list by clicking Generate List. The system lists names, addresses and other details in a window. This contains all the customers from the selected properties subject to the following:

  • Only customers with non-blank email or postal addresses (as appropriate) are listed.
  • Customers with "exclude from mail shots" checked (in the booking record) are excluded. (Be careful - if the same customer stayed more than once, you need to exclude them on each booking record.)
  • If duplicate email or postal addresses are found, the older record is removed. Hence you will write only once to people who have stayed several times. Duplicate names are not removed as it is possible to have two customers with the same name.
  • Personal Bookings are (obviously) excluded.

You now see a list of names, email and postal addresses, as well as the start date of the let and the property number displayed in a list-view component. You can drag columns left and right, resize the window (to make the view larger) and scroll to see the entries in the list better. You can also sort the list by clicking on any of the column headers. This causes the list to be sorted alphabetically by the contents of the column you clicked. (Click a second time to sort in reverse order.)

When the list is created, a checkbox also appears in each entry, initially ticked. There are boxes to quickly uncheck or check all names in the list.

Before sending your mailshot you should check carefully for customers that you don't want to write to. The column sort feature is particularly helpful for this - for example if you click on the name column, you should be able to see if the same name appears twice. Just uncheck the box and the entry will be ignored when the RUN button is clicked.

Once you have checked the distribution list carefully, you should now proceed to RUN the mailshot.

More on e-mail communications

When you use email, the system sends a request to your default email client which should cause a new mail message to open.

This will have either the "To:" or the "bcc: " field completed with the email addresses from the checked entries.

You now need to compose your email and send it in the normal way - it will be sent to everyone in the list of names. You may find that it helps to prepare your email first and maybe test it by sending a copy to yourself to ensure it appears just the way you want. You can alter anything, including the distribution list, before you send the email in the normal way.

If you are sending an email shot to more than about 80 email addresses, the emails are sent in batches. This addresses a Windows restriction and it may also help if your ISP restricts the number of recipients on a single email. You will have to cut and paste the content more than once. To help you avoid having to enter the subject more than once there is a subject field in the Mailshot Window.

Once you have sent the email, close the Mailshot window (hit cancel or Escape, or the close button.)

You get dellivery failure messages for customers who have changed email addresses. You are recommended to update the booking records for these customers to set the "exclude from emails " checkbox on. This will avoid getting the same error from a future mailshot. Alternatively you can just delete the email address field. Search / Find text makes it quick to locate the booking records for a failing email address.

Warning: If you have trouble with email, please ensure that you start up your email client before you send any email.

"Hard-copy" communications

LetSys enables you to print envelopes or labels for each person. First, generate and check the distribution list as described above, including removing duplicate names etc. You can use the "exclude from mailshots" check box on a booking record to exclude old booking records from mailshots.

Now RUN the mailshot. This opens up the same Address Window that is used to print labels or envelopes from the Booking Window. See the topic on Printing addresses.

You now print the labels or envelopes for each person you plan to write to. More details on how to prepare for and run a Postal mailshot are given in the topic on running the mailshot.

You do get an opportunity to review (and change) each name and address before it is printed, and also a chance to bypass it - just hit the cancel button.

If an address is correct just hit the Enter key to print it. You can send envelopes/labels to your printer much faster that it can print them!

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Recording / reporting income and expenditure

Recording and reporting income and expenditure

LetSys now has the ability to record (and categorise) outgoings associated with each property, in an "Expenses File".

Each properties expenses can be entered, on a monthly basis, and you can then report on these expenses in the Monthly Accounts.

This feature particularly useful for letting agencies that need to report the expenditure on each property managed.

To enable expense reporting, you must first configure the categories into which you wish to break down the expenses.

Once that is done you need to enter the expenses, by month (and year) within the categories using a form in the Expenses Window

Expenses categories might include such items as cleaning, maintenance and fixed management charges.

You are completely free to define your own category names and then enter the expenses into the appropriate category.

This system does not provide an item by item recording system for every single payment out, you still need to do this.

However, once this is done, it is just a matter of categorising all payments out and entering the monthly sum into the appropriate category.

You can then produce a monthly income and expenditure report, which will contain both receipts and expenses recorded with this system.

Notes:

- Each properties expenses are recorded in a file named "expenses.hlx" located in the data folder for the property. There is one file per property.

- If you want to aggregate the income and expenses for a number of properties using the Monthly Accounts tool, then all these properties must use the same currency. Becuase of the complexities of varying exchange rates, LetSys does not attempt currency conversion. Aggregated data will be meaningless if the properties are managed in different currencies, but in our experience, letting agencies always work in just a single currency, so this should not be a problem.


Running LetSys with Multiple Users

LetSys was originally conceived as a single user application. But as its use has grown, more of our users want two or more people working in an office to have access to the data at the same time. In previous releases you ran the risk of losing data as described on the support forum here: http://support.erwwen.com/viewtopic.php?f=3&t=34

LetSys Version 4.0 introduces the "Multi-User feature" which, with a suitable license, allows you to run with more than one user updating data at the same time over a LAN.

Running LetSys on a Local Area Network in an Office

Two or more users can work with LetSys at the same time. The LetSys Root folder must be on a shared network drive (using the NTFS file system) with each user having update permission. You will require a different license key for each user. This includes dynamic updating of the Status Window at a specified refresh interval.

Even without a multi-user license there is now a much reduced risk of data loss if two users try to share the same data, although please note that if you try to use same license key on more than one machine at a time (which breaches the license conditions) LetSys will not start.

LetSys locks data at property level when it is being updated. If a second user tries to update bookings or rates for the same property that the first user is editing, then the data can be viewed but not updated, and the user is informed with a red "Read Only" message on the window. This also applies to updates to other data such as the rates files and the owner data base.

Note that the owner database is completely locked when one user is editing it.

Running LetSys with more than one user and sharing the data using "Cloud" systems such as DropBox

Some of our users share data with a second user using systems such as DropBox, and this works well provided only one user is updating the data at the same time.

You should create a folder named LetSys within your Dropbox (or cloud) folder, not the other way round. Move the data over from the C:\LetSys folder and reassign the root folder, as described in topic Root or Base Folder

There is no file lock mechanism available when sharing data in this way, so we can't produce a true multi-user system for this situation. However, we do now record the fact that a user has started up LetSys in a file in the root data folder. LetSys then warns a second user that another user is currently active.

If you purchase a multiuser license then the second user will automatically be placed into read-only mode. This should reduce the risk of data loss to a minimal level.

Systems such as Dropbox do take a little time to synchronise files, and this means there is still a slight risk that two users could start up at the same time and then data loss could occur. Again, with the multiuser system, LetSys will recognise this situation and warn the user.

Read-only Mode

It is now possible to create a desktop icon (or shortcut) which starts LetSys in Read-Only mode. This does not require the multi-user feature, and will ensure you don't block the main office machine from running updates when all you want to do is view the status. More details are in topic Starting LetSys in ReadOnly mode.

Switching from Cloud to LAN mode at startup

It is possible to create a desktop icon to switch from one mode to another at startup for the case where users work both in the office and elsewhere. More details are in topic Starting Letsys using "Command Line" parameters

What to do next? To use the multi-user features, you need to purchase a multiuser license - please contact us.


Support / Contact Details.

Before writing with problems or queries, please read this extensive Help file provided with LetSys, and also go to the Support page on our web site at http://erwwen.com/holletsys/support.htm and check the items listed there.

For queries and support, you can email support@erwwen.com

Problems with the program will be addressed, or bypasses provided. Also, on a best efforts basis, we will try to respond to your queries about how to use the system. All support is provided under the terms of the license agreement.

Brendan Blake

88 Mount Ararat Road

Richmond, SURREY. TW10 6PN

A note about Erw Wen Software:

The name we are trading under comes from the name of our Welsh Holiday Cottage. Erw Wen means "Fair Acre". The name reflects the roots of the Holiday Letting System, and our Celtic origins and connections.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


What's new?

This topic describes the new features and changes that have been implemented in each new release.

180511 V4.2 (First released May 2018).

  • This release supports up to 10 expense categories, increased from 6.
  • There are changes to support the new General Data Protection Regulation applicable from 25th May 2018 across the EU. In particular the "Omit from Mailshots" checkbox can now be automatically set, when booking data is downloaded into LetSys from a web form. More details can be found in topic Downloading a Web Booking Form
  • A new option enables a more reasonable rent to be calculated for a short let which straddles two weekly rates. The fixed charge is now based on a weighted average rate, based on the number of days at each rate. Existing users will see no change, but can change to the new calculation formula by checking the option "Use weighted average when short let straddles two rates" on the rent tab of the configuration program. See topic Minimum Charge for short let for more details. Note that existing users will see no change in the way the rent is calculated, unless they check the box. As this gives a more reasonable result, new users will find this is the default.
  • The web options have become more powerful, and there are more options. So they have been split into two tabs in the configuration program. "web-down and "web-up" to cover download functions and upload functions respectively. More details to follow.
  • If you download a Web Booking Form you need to process all incoming bookings before changing the order of your properties or the booking form won't be found. This possibility is now detected in more cases, especially for some Wordpress built sites. There's an improved error message for this problem.
  • The diagnostic log is no longer pruned periodically. Instead it is renamed to LetSys-yymmdd.log where yymmdd is the date of the rename. Logs more than about 8 months old are automatically erased. You can now look back through the various logs for at least 8 months.
  • Minor extensions to this help file; also some messages are improved and clarified.
  • Fixed a couple of bugs. (a) in Web / Synch Database, which occured when there was a property without a rates file (b) when publishing the availability status in the first few days of a new year.

170322 V4.1 (First released September 2016) This new version focuses on data security and integrity, and also provides improved data recovery. There are also a few improvements and fixes. (The currently released version is 4.1.0.7)

  • The booking data base file read and write routines have been rewritten to be more robust and to improve performance. If booking data is corrupted by a hardware or system failure this is detected more quickly than previously.
  • Data Recovery Improvements: If an error causes loss of bookings data, you have always been able to recover it from the change log, but this involved much manual work. The "Extract data from Change log" tool which processes the change log (file changed.hls) for a property is substantially improved to automate the process better. Deleted records are now placed into the change log in addition to the deleted bookings log and this enables the tool to detect these and hence avoid recovering these. The tool also now allows you to merge new and changed bookings from the change log into your last backup file for the property. See topic How to recover lost data
  • When recovering data you open the change log by double clicking it. You can now view all the records in this log (or indeed any file containing bookings) once open by selecting View / View bookings as list. or clicking the toolbar icon [image] . The bookings are all shown in a list and can be searched, sorted etc as described in topic The Search Window . The last updated date is shown so you can quickly view what happened and when.
  • The built in SMTP client now supports secure (encrypted) email. This involves additional configuration settings as discussed in topic Configuring LetSys as an email client Note that the previous special setting for Gmail is removed, but Gmail can still be used as described in the referenced topic.
  • If you use HTML Email, then the draft email shows in a small "web browser" window. In the past when you clicked a link in your draft you were taken to the web page for that link, but you couldn't get back to your email. With this release then if you click a link, that link will open in your default web browser, not in LetSys (the email is still viewable). Thus you will be able to check your links work, but not have the problem mentioned above.
  • Comments in rates files have leading and trailing blanks removed. This was causing the rates files published to the web to lose comments when the rate did not change, but the comment did.
  • In the booking form, the freeform comment can now contain up to 500 characters.
  • If you have missing proformas you now get a clearer message which tells you the type of the missing proforma.
  • An update released on 29th December 2016 addressed a problem where the user accidentally adds a space to the surname prior to downloading a booking form. A further update on 22nd March 2017 updates the sample data for the new year and releases a couple of minor and intuitive improvements.
  • One or two minor changes have been made and this help file has been improved and updated.

160126 V4.0.0.6: There are no changes in this release other than the sample data being updated (slipped) one year later, so potential customers will have some current data to use to test the system. Existing users should upgrade if they are on an earlier version, except that there is no need for existing users to upgrade from V4.0.0.5 if this is working well.

151028 V4.0.0.5: This minor update gives improved help in some situations and has a couple of usability improvements.

  • If you accidentally select an existing (but incorrect) folder as your root folder (using the configuration program) it is now possible to revert to the default C:\LetSys folder, and then start again.
  • If you use HTML email then the HTML proformas are now used in preference to the old text proformas. The system also identifies the existence of the old text files and gives better advice.
  • There are a couple of other minor improvements.

141224 V4.0 "Multi-User version". This new version includes some major changes. The most significant is that it allows several users to be working with the booking system concurrently, when the data is shared on a LAN (local area network). You can also share data with additional users on "Cloud Storage" (for example, DropBox) although this option is less flexible. More details are in topic Running LetSys with Multiple Users

Improvements and updates are as follows:

  • The system protects user data when multiple users are using LetSys from more than one computer at the same time. With a suitable additional "multi-user" license two or more users can work at the same time when connected on a local area network. However, only one user at a time can update a specific property. The system also provides a warning when two PCs are sharing the same data through "the cloud", and the second user can open the application, but will be placed in read-only mode to protect your data. See topic Running LetSys with Multiple Users
  • If a booking is complete it now shows in a paler shade of red on the status display, to allow you to distinguish it from one still needing action.
  • The settings have been moved to the root folder, as a file LetSys.ini" This means that if one user changes settings in a multi-user system, other users easily pick up the changes. Settings are still backed up by the backup tool, but now there is no need to restore settings after recovering the root folder from a backup as this happens automatically. The "Restore settings" button has been removed from the configuration program.
  • It is now possible to start LetSys and to specify an alternative root folder, with a command line parameter. This means you can restore a backup into a different folder from the current root, and then inspect old data - for example for a property long since deleted. Once you've done this, start LetSys without the override and you are back to your current data. Read topic Running with an alternative set of data for more information.
  • A new activity log has been added, primarily to help diagnose any problems that occur with multi-user updates. However this should be of use for all users; for example you can see exactly when a booking was updated and who made the change, all in a single log. You can view who started and shut down LetSys and when. The log can be viewed from the status window using tools / Open diagnostic log.
  • The menu items and buttons (on the Status Window) for save and save/exit have been redundant for some time, and have now been removed. There is now a new "Exit" button and menu item which simply closes LetSys.
  • If you try to close LetSys with one of the editing windows open, then it is possible you are editing data. You are given the option now to cancel the closure (or continue, discarding any changes.)
  • You have always been able to open any bookings file by double clicking it in Windows Explorer and the file is then opened showing the first record in the booking window. When you do this the file is now locked to prevent other applications (including LetSys) writing to it.
  • New Web Site options are provided on the Web Tab of the Configuration Program. Most users operate a single web site, and this allows you to specify the Local Website Folder and the Local home page just once, rather than separately for each property. If you specify these options then LetSys will automatically remove duplicate entries under each property when you save the new configuration.
  • Options to specify the location of your local web site (needed if you integrated LetSys with a Web Site) now allow you to specify the path of the local web folder relative to the root folder. You should use this if you are running a multi-user system, to avoid the problem of an incorrect path on the second and subsequent machines. The local web index page can now also be specified relative to the local web folder, as required.
  • LetSys has previously taken backups of files each time a data file is changed. This resulted in numerous files with the .bak file extensions appearing in the root folder and sub folders. All file backups are now saved in the current user's Windows Temporary folder and not in the LetSys folder. Backup files had rarely, if ever, proved of much use and these files increase the amount of data stored. You can recover the last version of the data from this directory if needed, and can quickly open the windows temporary folder from the status window by selecting Tools / Open Windows Temporary Folder. Bookings files have the property number pre-pended thus: Pnn-filename. More details are in topic Data Structure - folders and files
  • The data cleanup tool (run from the special tab of the configuration program) now removes old backup files from the root folder and sub folders. It is recommended that users run this tool once LetSys 4.0 has been installed and tested.
  • A new tool, Synchronise Folders ("Incremental Backup") is now provided. This allows an "incremental backup" of the root folder to be made to a copy of the root folder. It is particularly useful if you need to run LetSys from a Laptop when away from the office, as it allows you to synchronise the data on the laptop very quickly, and later to restore any changes to the main machine.
  • The LetSys Root folder can be inaccessible if located on a network and the network is down. An additional check and a more helpful message is now written should this be the case.
  • When searching for bookings, the Search Window now displays the surname and first names as separate fields, to make it possible to locate updated bookings (where a second user has changed a booking.)
  • The rates window now shows the "last updated" date and time at the bottom left.
  • The "right-click" context menu on the status window has been removed. We think few, if any, users actually used this pop-up menu. It allowed bookings to be created or edited, which can more easily be done with a simple left-click. The menu also allowed bookings to be deleted. Deletions should instead be handled by first opening the booking and then clicking delete. This is safer as it ensures that the booking is properly inspected prior to deletion. Removing this little used function also prevents a possible "lockout" in a multi-user environment.
  • If two users on different machines are sharing the same registration code and try to start LetSys at the same time, the second instance of LetSys will not run.
  • When you run the Configuration Program from LetSys (by clicking Tools / Configure LetSys) LetSys is immediately closed to prevent problems when users forget to restart LetSys.
  • If you have a multiuser license, then the configuration program checks that a second user is not active when configuration changes are made.
  • When cancelling a booking, the default option is now "Retain all funds paid, defer repayment". This is the most frequently selected option as most users need to establish whether they can re-let before knowing how much to refund.
  • Option Tools / View local Website has been removed from both the Status and the Booking windows, as it was a duplicate of Web / View Local Website which should be used instead.
  • The Payments report has a new checkbox: Omit payments for completed bookings. This is useful for agencies who wish to see the payments they hold on behalf of their clients for bookings that are still outstanding and was added at the request of one of our customers accountants.
  • Windows 8 support: This version has been tested on Windows 8 and the help file has been updated to cover how to run under Windows 8. As Windows 8 removed the start menu, a shortcut for the Configuration program is added to the user's desktop. If you don't need it, just delete it.
  • A number of minor problems were fixed. As always, LetSys 4.0, as the current version, is now the only officially supported release.

121127 V3.7 The main focus for this new version is better website integration. Improvements and updates are as follows:

  • Web site integration: LetSys can now upload data in a PHP compatible form including all the property names and the availability of each property. This makes it possible to implement new format availability calendars, write functions for users to search all your properties for availability in a specific week and more. See the rewritten topic Using LetSys to help maintain a Web Site for more details.
  • Availability Calendar: You can see an example of a new format availability calendar here: http://erwwen.com/holletsys/Support/samples/calendar.htm Several customers asked for this option which may make it easier for customers to work out the availability, especially when you take many weekend lets. You will need web specialist skill to write the PHP scripts.
  • Examples of different ways to publish Rates and Availability on your web site: We've reworked the web site to show a variety of different ways to publish your availability and prices on your web site, supported by LetSys. To see these options, including the new availability calendar visit You can see the result in the href="http://erwwen.com/holletsys/Support/samples/..
  • Configuration Program - Web Tab additions. There are two additional buttons.

- Check files: This button is for users with a large number of properties and web availability files. It is easy to get them mixed up, especially if you have been copying options from a different property. Click this and you will see a report on the availability file names for each property, including whether the file exists, is a duplicate, or is not specified.

- Renew Availability / Rates Files This new feature automates the production or renewal of your web availability files from a template. It is very useful where there are large numbers of properties and therefore files to update.

  • Formatted (HTML) EMail: If you use this facility, there is now a blank CC: field shown on the "Send HTML EMail" window to allow you to copy additional recipients. Multiple recipients can be copied, separated by a semi-colon.
  • Web Options when configuring a new property: When you copy options from another property, the availability file name is no longer copied. This file is used when you "Publish to Web". This forces the user to specify a file name instead of using the wrong file (this had caused a number of problems). A new button on the web options panel (of the property edit page) now makes it easy to add a new availability file from a template. See topic Create web publishing file from template
  • Automated Letters to Owners: For letting agencies, you can now send automated letters to the property owner as well as to the tenant. More details are in topic Letters to owners In addition a number of new Mail merge or "special" strings have been set up to support additional requirements for our automated letter system.
  • Data recovery: The change log file (Changed.hls) now logs the latest record, as well as the one existing before the change. This makes it possible to recover the most recent booking from this file as well as view all previous versions of a particular booking. A new tool allows you to extract just the most recent version of each booking from the change log. See item 6 in topic How to recover lost data for more details.
  • Usability improvements:

- When viewing in MultiMode with more properties that will fit on the screen, you can now rapidly page up and down using the Page Up and Page Down keys.

- When a letter is created successfully (for both email and printed letters) the letter form now closes automatically. There's no need to close it.

- In the configuration program, you can now double click the property name to edit property settings. Before you needed to first select the property and then click the Edit button.

- When viewing the statistics, a new button labelled S? allows you to view a list of bookings with no source. This makes it much quicker to resolve which bookings don't have this useful information.

- If you restore the settings from an earlier version LetSys warns you about the compatibility problem, but you are now allowed to continue if necessary.

- Bookings that are complete and paid up can now be edited by unchecking the "balance paid" box.

  • Fixes: A number of issues have been fixed. This is now the only supported version.

111003 V3.6 This new version involves substantial internal changes to the system in order to provide better accounting information and also correctly keep all the information needed to account for cancellations. It also provides new reports for Letting Agencies and many new and improved functions.

  • Cancelling a booking: This has been reworked to be much more intuitive, and also so that all the payments and refunds are now recorded on the actual days they occur to make more accurate accounting possible. A new dialogue during cancellation makes the options available much clearer. You can now more easily defer setting a cancellation charge where that charge will depend, for example, on whether you succeed in re-letting.
  • Automated letters can now be formatted (using HTML email): Automated email letters are, by default, sent by your mail client as plain text. You can now use bold, colour and specified fonts by switching to using HTML formatted email. The old system continues to work if you don't choose to use HTML formatted email. See topic Formatting automated letters using HTML
  • Monthly Accounts (for owners): This new report is provided primarily for Letting Agencies. It creates a record of the income and expenditure for a specified month, ready to be sent to the owner. This can be a printed report, or sent by email. The expenditure part is optional, but if you want this, you need to configure and record your expenses.
  • Booking Fees You can now set one of the extra charges to be a Booking Fee. This new feature is designed for letting agencies who can now separate out their own fee and it can now be accounted for separately.The system can automatically calculate the fee, based on information you configure.
  • Management Fees: For agents who charge owners a management fee based on rent (or total income) this can now be automatically calculated, and accounted for in the new Monthly Accounts. The management fee is configured by property - see topic Options for Agencies.
  • Expenses recording : LetSys now has the ability to record (and categorise) outgoings associated with each property, in an "Expenses File" by month. These expenses, together with income can now be reported on a monthly basis by the new Monthly Accounts..
  • New menu item: The "Accounts" menu will be found on the main Status Window. This groups together the payments report, the monthly accounts and the expense reporting functions.
  • View Payments This report, which lists past and predicted payments has been improved. It now runs from the new Accounts menu item on the Status Window (moved out of Tools). The comments are clearer, and cancellations and refunds are handled more precisely.
  • Export Bookings to CSV file has been improved. Additional data can now be exported, including booking status, refunds (cancellation charges or returnable deposits repaid) and refund date. You will need to recreate your templates from the default template if you wish to export these items or you can edit your templates as discussed here.
  • The length of the comment possible in the booking window has been increased to a maximum of 400 characters, and the comment box is slightly larger.
  • The Overdue List now shows the first names (and title) as well as the surname.
  • Sending an automated letter by email: The text passed to the email client was shown in previous versions as a confirmation just after the email was sent. This isn't really necessary as the file can be viewed from the Letters Window if needed, so this can be bypassed when configuring your letters. Check Don't show text passed to email client
  • VAT or sales tax: This is now configured on the General Tab of the configuration program, for consistency.
  • Web site integration: For web site developers, an option (under Web) "Upload Web Data" has been added to export data needed for web applications. At present this is used only to upload a list of properties. You can now import some data directly from a Web based booking form if you have one. See Downloading a Web Booking Form
  • There are substantial additions and improvements to the Help file. A number of minor problems are fixed.

Changes that were made in Version 3.4, released only as a beta release. Note that Versions 3.4 and 3.5 were beta versions that were not released.

  • View statistics: Report 1 (letting status by year) now allows you to override the year start day. The default remains the tax year start, but you can now change to any 12 month period you want (for example, to view performance by calendar year, change the day to 01/01.
  • Mailshots: Recipients for emails are now blind copied by default as most people will not want their email to be shown to others. You can override this to put the recipients in the normal subject field. You can also key an email subject to avoid having to retype it for each batch. Emails have to be batched when sent to more than about 80 addresses, but you can now set your own limit to batch size.
  • A check is now made whenever a booking file is read in case a user has accidentally moved or deleted a specific property folder. In this case you get this error message: Error 1020 - Property Folder Not Found
  • List Overdue Items: If you have not checked the balance Ack checkbox (in the Booking Window) the message written is now "Balance not acknowledged, send joining details?" See topic Balance paid checkbox
  • New "Mail merge" string <!DepDue> This inserts the date the deposit is due into letters. See Mail merge or "special" strings
  • Letter Type deletion: (in the Configuration Program): You can now only delete the final letter type, so you need to first drag and drop a letter type to the end of the list. This ensures all proformas and letters are correctly renamed prior to deletion.
  • There are substantial extensions and improvements to the Help file and a few problems are fixed.
  • Note: The latest version is 3.6.0.8 dated 7/10/11 which distributes improved web scripts and fixes two minor problems.

1002012 V3.3 This version focuses on improving integration with a web site, and adds several other new functions.

  • Web Site Integration: There are substantial improvements to help integrate LetSys with a Web Site. Nowadays most holiday cottages have a web site, and we now handle the following additional functions:

- On-line booking forms: Support is now provided for downloading a booking request made by a customer using a web form on your web site, as described in more detail in topic Downloading a Web Booking Form Note that it is your responsibility to ensure your web server is correctly set up, but both a sample HTML booking form and a PHP form processor are now provided.

- List and maintain web booking forms: You can launch a web application to enable you to list, view and delete booking forms submitted via your web site. See topic View and maintain Web Booking Forms. A sample application written in PHP is provided. The code for this application is your web designer's responsibility and as such could be modified to add additional functions.

- View Remote Site: A new icon is provided on both the status window and bookings window for you to quickly open your web browser and view your site via your internet connection. The ability to view a local copy of your site is retained. You must configure the system with the URL of your remote site; see topic URL for Main Web Site

- New "Web" menu: On both the status and booking windows, actions that allow web site interaction are now grouped together in a top level menu called Web. The icons on the toolbar that allow web interaction are also grouped together.

  • Minimum charge for a short let. You can now set a minimum charge for a short let in the Rates Window. If specified, then this charge is used for the cost of all short lets unless you have (a) configured the short let charge calculation and (b) this calculation results in a higher charge. See topic Rent Calculation for more details.
  • Easier creation of rates files for a new year: A new Copy Rates from Template button on the Rates Window makes it much quicker to set up a set of rates files for several properties. You set up the first "template" file, with weeks and comments etc worked out, and then can quickly copy this across to other properties (adjusting the rates if necessary with the Global Change button.)
  • "Soft copy" Booking forms: This feature has been substantially improved, in part to support the improved web integration. The forms can now be saved in pretty much any format you like, including HTML, word documents, and other graphics formats. One consequence of the change is that graphics files now open in the default Windows Picture or Photo viewer and we have dropped our own picture viewer from the distribution. More information is in topic Booking forms - viewing and creating
  • Web Availability: When publishing your availability to the web you can now specify that a booking in held status should cause the period to show as LET. See topic Show As Unavailable (Web)
  • Address Window (when printing labels or envelopes) is larger: The panel showing the address to be printed is now slightly larger, to allow for the use of larger fonts.
  • Booking Status: bookings held pending receipt of deposit now simply show "Hold". The previous description "Holding - 1 week" was misleading, as the time allowed for the deposit to arrive can be altered from the default of 1 week. The date the deposit is due is shown in the status bar.

090901 V3.2 NEW VERSION. The following new functions are available.

  • Improved search function: From the status window you can now search the entire bookings data base for a specified text string. Select Search / Search for text. See topic The Search Window for more details.
  • Owner Data Base (optional): If you are managing properties on behalf of their owner, you can now create an owner database, and save information about the property owners. See topic Owner Data Base for more details.
  • VAT receipts: If you are VAT registered, is it now possible to create a VAT (or other tax) receipt using the system. Two new special strings allow you to include the appropriate amounts on one of the automated letters. You can set the tax as a percentage on the rent tab of the configuration program.
  • List Overdue Items: Overdue payments and acknowledgements are now listed in a better way. You can sort the list, you can print the list. If you click one of the lines, you can jump straight to the booking record and work with it in most cases. See topic List Overdue items for more details. The overdue list now correctly identifies late bookings where the entire balance is immediately due. It also lists bookings where payments have been made but you haven't checked the Ack boxes to show you've acknowledged the payments. The Overdue List Window can be left open while you work with booking, and will be updated if you change a booking such that it is no longer overdue.
  • Export bookings to CSV file: This function is substantially improved. By default the same fields are exported as for V3.1, but you can now select up to 17 additional items of data to export (including a VAT or Sales Tax calculation). You can choose exactly which data is exported and the order of the fields, and you can change the content of the column headers (by changing the item name). You can configure and save your own export templates. This improvement was made especially to assist users running letting agencies who needed to produce more comprehensive reports for their clients. In addition, once the export is complete, the CSV file is immediately opened in the registered application (eg Excel). See topic Export Bookings to CSV file for more information.
  • View Payments: A new tool allows you to see your cashflow - both actual and forecast. This is done by listing all payments received or projected. You can view actual payments within a specified range of dates (by default set to the current year), and in addition see forecast payments based on the due date (by default looking ahead from the current date). You can select the properties to view, and omit forecast payments if required.
  • Cancelling a booking. is improved substantially. It is now easier to update the data for an existing cancelled booking. To support the payments history, improvements are made to the cancellation process, for example the total the customer paid and the amount you refunded together with dates are now recorded. Cancellations are easier to work with. See Booking: Cancel booking..
  • The Status Display is changed to make it easier to see changeover days when a week is only partly let. Changeover days are now displayed thus: rather than with a strong line on the left.
  • Several new special strings are introduced for use in letter proformas. You can now include the rent the extra charges and tax (VAT) amounts if applicable. A full list of the available strings is in topic Mail merge or "special" strings
  • Those special strings which represent payments will now (by default) be substituted by the amount preceded by the appropriate currency symbol as configured for a property. For example <!Total> might now be substituted by $250 This avoids having to hand code the currency symbol into each letter proforma and allows a shared proforma to be used for properties in several currency zones. If you want the old behaviour (no currency symbol was inserted) then you can check Omit Currency Symbol in the configuration program (on the letters Tab), and this behaviour will be set for those users upgrading from a version prior to V3.2
  • Two new functions are provided to answer the question "How are my booking going this year?". First the statistics tool (see topic View statistics) is improved to show how many days you had booked on the first of each month, looking back for several years. Second a new View Booking History tool shows you the booking status for the selected year compared to previous years, including the date the booking came in.
  • A new function makes it easy to add a surcharge (for example for payment by credit card). The surcharge becomes one of the extra charges. The surcharge may be applied as a percentage of the deposit, the balance or the total. This new function is described in more detail in topic Calculate Surcharge and must be configured (by property) before it can be used - see topic Extra Charges - details and configuration
  • The old rather basic calculator has been replaced by the windows calculator. This now opens when you hit the calculate button in either the Status or Bookings window. The discount calculator now has additional discount options running from 5 to 30% (including 7.5% and 12.5% options).
  • For a Paid-up booking the status (in the booking window) now shows Paid, send joining instructions only when the Ack box for the payment is checked. Otherwise it just shows "PAID"
  • Two additional envelope types (C4 and C5) can now be handled in the Address Window.
  • For Publish to web It is now possible to include more than one property in a single Availability and Rates web page. You now use an HTML comment to indicate where the table lines for a specific property starts. See topic Overview and Row proforma for more details.
  • The Archive function now archives old letters, scanned bookings forms and rates files in addition to old booking records. See topic The Archive / Clean Up Window
  • When you delete a booking the file is now saved to disk immediately (when you create or edit a booking the file was already saved as soon as the booking record was saved).
  • A few bug fixes and code improvements are incorporated. This Help file has been updated.

080719 V3.1 Major new release that supports more than 4 properties, and introduces a Multi-property Status Window.

V3.1 also has many other significant changes as listed below:

  • Introduced the ability to view all properties in a single Status Window. This viewing mode is referred to as MultiMode in the documentation. Properties are listed on the left, with weeks across the page. You can see up to about 15 properties on a single page and scroll to see more. This improvement makes it possible to easily manage many more properties and opens up LetSys to many more businesses. For example it is now much easier to see if you have vacancies for a particular week across a large number of properties. The previous viewing mode is still available, and is referred to as Classic Mode. The viewing mode is set from the Configuration Program (on the General Tab).
  • In general LetSys works as before, you still click on a week to select a booking. You can only edit one booking at a time.
  • In the previous version, a number of functions (especially reports) could only be run for the single property that is viewed in Classic Mode. You can now run reports and other functions for any of the properties from either mode of status window. This is, of course, essential in MultiMode but is also more convenient in Classic Mode.
  • New licensing structure. Licensees of previous versions can use this new version, but only for a maximum of four properties. You can now purchase upgrades to handle more than four properties.
  • A new Backup Tool enables you to quickly backup all your data (and property settings) into a single Zip file in a specified location.
  • This is complemented by a new Restore Tooll which allows you easily to restore your data and settings from the backup.
  • It is now possible to rearrange the order of the properties, instead of their being listed always in the order in which they were created. See topic Change the order of properties
  • "Multimode" operation is set in a check box on the General Tabsheet in the configuration program.
  • The cursor keys now cause the Status window to scroll up or down in Classic mode or left/right in MultiMode.
  • The top level menu item Navigate is now renamed to View. (In status window and Booking Window). This is the more conventional name.
  • Changes to the Proforma Window:

- Property Specific proformas are now listed above shared proformas (where found) as these take precedence.

- The last modified date for each proforma is now listed.

- In Multimode you only see shared proformas if you click Tools / Manage Letter Proformas from the Status Window. Right click over the property name, or open the Proforma Window from a booking window in order to work with Property Specific Proformas. However, you are recommended to use Shared Proformas when possible.

  • In V2.5 we introduced the ability to re-order the letter types (from the Configuration Program) by dragging letter types into the desired order. All the letter proformas were renumbered when this was done, but existing letters were not renamed. This version now renames all existing letters to agree with the new convention when you re-order letter types.
  • Letters Window: This now shows the date a letter was last modified. When this window is opened the next letter to send is already selected (this will be the letter following the last letter that already exists).
  • Three new special strings are introduced. Two are useful when creating letters regarding returnable deposits. One enables the "Special" field to be included in an automated letter. See topic Mail merge or "special" strings for more details.
  • The procedure to print some reports has changed. All reports for all properties can now be printed from any Status Window. There is now a Reports Window with a consistent format used for creating several reports, from which the properties to be processed and the week range to be handled may be adjusted.
  • The Export function now (optionally) allows you to export comments. See Export Bookings to CSV file
  • Global Rates Change. You can now increase or decrease all rates (for a particular property and year) by a specified percentage. This makes it very easy to create a new rates for file (for example, for a new year) with a specified increase in charges. See topic Global Rates Change for more details.
  • Publish To Web: It is now possible to omit rates from the availability page when a week is fully let. The rate is inserted (if specified) if the week is either fully or partly available. This is set with a new checkbox - see Web Publishing Options
  • Zero Rent: It has always been possible to set the rent for a week to zero when setting up the rates files. However this facility is now more powerful. A zero rent is now deemed to mean the property is not available to let. Thus if you always live in a property yourself at certain times, then configure the rates files so the rent for this period is 0. Insert an appropriate comment eg "Not Available" and this comment is now used in the status window or when publishing to the web without the addition of the word 'LET'.
  • Cancellation charge. You can now change the cancellation charge, after it is first set, for example should you negotiate a different amount. See Booking: Cancel booking.
  • Vista: More problems with Vista are fixed. In particular shared settings are no longer stored in the Registry, but instead in a settings file that is easily saved and restored.

Details of the releases earlier than V3 have been removed from this file. The full release history is available on the web at http://erwwen.com/holletsys/releasehistory.htm

-----------------------------------------------

Holiday Letting System (LetSys) © Brendan Blake.

------------------------------------------------


Upgrading - notes for existing users.

Do I need to upgrade?

1) Check if there is a later version available from the web site: http://erwwen.com/holletsys/download.htm

You can check which version you are currently using from Help / About.

2) If you are experiencing problems, you should always migrate to the latest version, which has the latest fixes.

3) If there is a later version, ensure that you need the new features. If you have no problems or requirements you may be better staying as you are. You can see a list of improvements in each release here http://erwwen.com/holletsys/releasehistory.htm

To upgrade to the latest version:

- Download the latest version from http://erwwen.com/holletsys/download.htm

- Important Do not uninstall the previous version, or you will lose your settings and data

- Important Ensure that LetSys is not running when you perform the upgrade

- It is advisable to take a backup of your root data folder before upgrading

- Install the new version by running the module you just downloaded. (One way is to double-click from Windows Explorer).

- All options you have configured are preserved. Also, you do not need to reenter your registration details.

Once you have upgraded, read the notes in this topic carefully.

1) The "Demo Cottage" data is always re-installed to folder C:\LetSys\Demo Cottage\ even if you deleted it, so you can use the supplied examples for any new functions. Just delete this folder if you don't need the examples. If you changed the root folder and want to try out the new Demo Cottage data you need to move the new demonstration data across to the Demo Cottage folder in your new root folder.

2) If you deleted "Demo Cottage" then the property is not recreated in the configuration.

Users upgrading to Version 3.5 (January 2011) should note the following:

1) This release expanded the database to hold additional details on payments and refunds to allow more comprehensive account information to be held. If you are reading this, you have successfully installed V3.5 or a later version.

2) Your old database files are preserved in case they might be needed. Once you are running successfully you should delete the folder {rootfolder}\OldFormat-delete\ where {rootfolder} is normally C:\LetSys although this can be changed.

Users upgrading to Version 3.1 (June 2008) should note the following:

1) Your configuration settings are now saved in a file, rather than the registry. This makes it easier to automatically back them up, and works better with Windows Vista. A copy of your settings is saved in the root folder as file LetSys.ini each time you make a configuration change, so your settings are backed up with your data.

2) There have been some problems upgrading from earlier versions under Windows Vista. See the support forum at http://forum.erwwen.com/ for the latest information.

3) We've removed the ability to upgrade from V1.6 (2003). If you are running 1.6 read the note at the end.

Users upgrading to Version 2.5 (Sept 2006) should note that the names used for letters have changed.

1) All your letters are automatically renamed to the new naming standards, as described under the heading Letter Names in topic About automated letters eg letter 060801Balname.rtf will become 060801L1name.rtf

2) All existing letter proformas will be renamed to the new naming convention (as defined under heading Proforma Naming Convention in topic About Letter Proformas). For example, the first letter proforma is now named Prof-L1.ext instead of ProfAckDep.ext

These changes should be entirely transparent. You can now have as many automatically produced customer letters as you wish.

3) You may now wish to give the letters descriptions which better match the way you use them in your business. Run the configuration program and select the letter tab.

Users upgrading to Version 2.2 (Jan 2005) should note the following, if they use LetSys to publish availability status to the web:

The Rates/Availability file name (as specified in the Configuration program) has changed so that (1) there is now only a single file specified and (2) you need to specify the file extension. Previously the file extension was assumed to be ".htm". The system now can cope with any file extension you like - eg ".html". You will find it is now much easier to maintain the single "rolling" availability file; for example, you no longer need to create a new file each year.

What do I change?:

1. If you previously specified the file as rates, then you must now specify it as rates.htm. You must also rename the availability file so it no longer has a 2 digit year. eg rename rates05.htm to rates.htm

2. You need to ensure you have a Table Row proforma file in your web folder. A sample file is supplied in C:\LetSys\Web. Copy this file $RowProforma.txt into your web folder. The supplied file contains the single line:

<tr><td>@RG</td><td>@R</td><td class=@S>@C</td><td class=@F>@F</td></tr>

This proforma, if used with the supplied availability.htm file, gives exactly the same table look and feel as before, unless Fuel charges are used. If you don't use fuel charges you need to delete the final element to make the proforma look like this:

       <tr><td>@RG</td><td>@R</td><td class=@S>@C</td></tr>

3. Note that to produce the same format table as before, then when you publish to web you ensure that Publishing options are set as follows: Check "Compress weeks". Uncheck all other options.

All Users upgrading to Version 2.1 (Nov 2004) should note the following:

The rates file format has changed, effective with Version 2.1. All your existing rate files were converted automatically on installation. Files are now named "RatesYY.hlc, where YY is the last two digits of the year they apply to. The old files are not deleted (just to be on the safe side). These files are named RatesYY.hlr Once version 2.1 is working fine you can delete all the files with file type .hlr from your LetSys data directories (you need to do this for the data directories for each property.)

Users with several properties may wish to consider whether they wish to use only a single set of Common Proformas - since processing of letter proformas has been improved. You can now use a single set of common letter proformas (held in the root folder) for some or all properties. This significantly reduces the work of editing proformas when you have several properties. You can still have property specific proformas - as was the case for previous releases. These are still placed in the data folder for the property. When present, these are used instead of the common proformas. Existing users can just delete the property specific proformas if the common ones are sufficient. More details are here.

Still running V1.6 (from 2003) or earlier? We do not believe anyone is still running this old version, so have removed the ability to upgrade from 1.6 to the latest version. However it is still possible to migrate as described on this web page: http://erwwen.com/holletsys/upgrade16.htm

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


LetSys Help

LetSys provides extensive assistance using Microsoft HTML Help. This supports all recent versions of Windows.

You are viewing this help file in the Microsoft HTML Help viewer. This displays help in either one or two panes. In the two pane view, you can display an explorer pane which shows the contents, index or search results in the left pane, and the currently selected topic in the right pane.

Click the following icons (in the top left corner of the Help window) to either [image] or [image] the left hand pane.

The topic search function is particularly powerful as a way to locate all the information about a particular subject, but there is also an index and a table of contents. Please ensure you consult the Help before contacting us for support.

Context Sensitive Help: Within LetSys, you can normally press Function Key F1 at any time to get context sensitive help. You can also, on some forms (including the bookings window) click the question mark in the top right of the caption bar, and then click the field you need help with. Context sensitive help can be easiest to view in a single pane.

The HTML Help viewer is fairly intuitive, but not very well documented within Windows. Here are some of the shortcuts that I believe are most helpful:

Key Action

Alt+Right arrow Forward (Equivalent to clicking Forward )

Alt+Left arrow Back (Equivalent to clicking Back )

Home Go to start of current topic

End Go to end of topic

Up arrow Scroll up topic - line by line

Down arrow Scroll down topic - line by line

Ctrl+F Open find box (this topic)


Shortcut Keys

Here's a list of the main shortcut keys that apply.

F1 - Context sensitive help (All windows)

Status Window:

F2 - Save the file

F4 - Save file and exit

F6 - Print the status window (screen copy)

F7 - View owners

Ctrl+F - Find a string

Ctrl+N - Next year (also used on the Expenses window)

Ctrl+M - show calculator ("Maths")

Ctrl+O - List Overdue items

Ctrl+P - Previous Year (also used on the Expenses window)

Ctrl+S - View Statistics

Ctrl+R - Review Payments (Shows Payments window)

Ctrl+Q - Quit (don't save)

Ctrl+n (Classic mode only) - Open property N.

Bookings Window

PgUp - previous booking in file

PgDown - next booking in file

F2 - Save record

F4 - Save record and exit

F5 - Print spooled labels

F6 - Print label or envelope

F7 - View owners

F10 - Create or view letter

F12 - Print copy of booking

Ctrl+B - Bottom: ie view final booking in file (for property)

Ctrl+C - Copy

Ctrl+F - Find a string (open first/next booking with this string)

Ctrl+Q - Quit, don't save changes

Ctrl+R - Copy booking to specified file ("Recover").

Ctrl+T - Top of file (ie view first booking)

Ctrl+V - Paste.

Ctrl+X - Cut

Short cut keys are displayed in the menus and sometimes in the hints.


Starting Letsys using "Command Line" parameters

LetSys is normally started from a shortcut on the desktop, or from the start menu (except for Windows 8).

In Classic mode, there is normally one shortcut for each property, named after the property.

In Multiproperty mode, there is just a single shortcut "LetSys".

Shortcuts are created for you on installation, or when you create a property. You can recreate any missing shortcuts from the Special Tab of the configuration program.

By modifying the command ("target") within the shortcut, you can specify which property will be opened (in classic mode) and also override a number of options, as follows.

Example: To open property "Demo Cottage" in read only mode the target would be

"C:\Program Files\ErwWen\LetSys\LetSys.exe" "Demo Cottage" /R

Note that this assumes you are in Classic Mode.

Switches. Switches follow a forward slash, eg /R for "readonly" mode.

/A - open all properties (each in its own window) in Classic Mode.

/R - Read only. Open LetSys in readonly mode. Normally used only in a multiuser environment.

/C - Force Cloud Mode. Used in a multiuser environment with a multiuser license

/L - Force LAN mode. "

/S=path\LetSys.ini This allows you to specify an alternative settings file in the normal root folder.

Other parameters (No leading slash).

1. You may specify which property to open as "property name" - If this matches a property name this property is opened (classic mode only) Note: Use /A to open all properties. Classic mode only.

2. You may specify a letsys data file to open - this is normally done by double clicking a file in windows explorer, but can also be done in a command line parameter. If this is specified, you cannot specify a property as well - as in (1) The file must have file type= hls

3. You may specify the path of an alternative root folder as a parameter. if a folder with this name exists, it becomes the root folder. This option also exists for the Configuration program.

Important: The folder name must end with a backslash, for example: D:\LetSys\

Examples:

To start in Read Only mode, the shortcut might be: (This assume multi-property mode as no property name is specified.)

Target: "C:\Program Files\ErwWen\LetSys\LetSys.exe" /R

To start LetSys so it starts in "Cloud mode" using a folder within a Dropbox folder (which you don't normally use)

Target: "C:\Program Files\ErwWen\LetSys\LetSys.exe" C:\Dropbox\LetSys\ /C

Note: If you always run using this dropbox folder, you should permanently configure this as your root folder.

On a 64 bit Windows system, LetSys is installed in the Program Files (x86) folder, so the first example above will become:

Target "C:\Program Files (x86)\ErwWen\LetSys\LetSys.exe" /R


Tutorial

You are recommended to take a few minutes to study this tutorial after first installing the system, using the Demonstration System. There are a few questions to help you check if you really understood! The answers are at the end. (You may spot some odd dates and amounts. We update the sample data for each new release but it rapidly gets out of date).

Start up the demonstration property "Demo Cottage" by double clicking the Desktop icon, or running Start/Programs/LetSys/Demo Cottage. (Note: This tutorial was written for the default Classic Mode Status Window).

You will see the Status Window which displays the booking status / availability for a two year period. The window gives you "at a glance" a picture of the status of the property. This includes dates, costs, booking status (eg whether fully paid up) etc.

Make sure you are familiar with the main features of this window by reading topic Status Window (Classic Mode). Click Back (on the Help menu) to return to this tutorial. See also topic Status colours and meaning Note that the character in the status column will assist you remember what the status colours are - eg H = hold status.

The system is designed to be intuitive to use; most features and functions are reasonably self-explanatory. You can hit F1 for help at any time - and you will get a context sensitive help panel displayed. Buttons and the toolbar buttons normally have a hint which displays when you hold the cursor briefly over the component.

Try context sensitive Help. Start up Demo Cottage, and hit F1 while looking at the Status Window (click Back to return here).

Questions:

1. What is the status for the booking for Demo Cottage in the week commencing 27th October 2018? Is it:

(a) Fully paid up. (b) Holding awaiting deposit (c) A personal booking. (d) Deposit paid - awaiting final payment.

2. This week has been given week number 43 by the system. Why? (There's an explanation of how weeks are numbered in topic Rates - Entering Week Lines

Looking at existing bookings.

Click the mouse once on the status window while over a week that is booked (ie one where the comment is coloured RED.). This brings up the Bookings Window. It shows the full details of the booking that is selected. This includes the name and address of the person who made the booking, the current status, the costs and the amounts paid so far, the dates that payments were made and comments you have recorded. Take a few moments to familiarise yourself with the main features of this window by going to topic The Bookings Window. Providing you have not changed any information shown, you can use the Page Up and Page Down keys to move backwards and forwards through the bookings database, which is held in date order.

To see the full features associated with a booking you should select the booking discussed below (for "Donald Duck"). This booking has a full set of associated letters and files. (We don't provide these for the rest of the demonstration bookings.)

Try the following (using the booking starting 21st April 2018):

  • Look at the sample letters: to do this, hit the toolbar icon [image] and you are told which letters exist in the letters window. Click the line for a particular letter to view it. These letters were created automatically - later you can try to create one yourself. For more information read topic About automated letters.
  • Look at the scanned booking form by hitting the scanner icon on the toolbar: The form will appear on your screen. Hit close (x) to end.
  • Look at the sample web page by clicking [image] Click on the link "Availability and rates are here..." and the page that you see can be automatically updated with the latest data from the system.

Question:

3. What are the ages of the two children who stayed at the cottage in this week? (Hint - look at the scanned booking form by clicking this icon [image] on the toolbar ).

Creating a new booking.

It is now time to try to create a new booking. Click the mouse once on the status window while over a week that is free (ie one coloured GREEN.) eg the week commencing 1st December 2018 is currently free. This brings up a blank Bookings Window. Some of the data is already entered, including dates for the week you selected and the costs from the charges (or rates) file. Enter a made-up name and address and save the record. (Hit Save and Exit). You will immediately see that the new booking is showing at the appropriate place in the status display - and the week is now coloured a light brown meaning "hold". Note that it is not yet red as the deposit has not been paid. You can reopen the new booking by clicking once on the week in the status window - try editing and correcting the data. Try changing the rent - for example give a small discount. Note how the total is automatically recalculated.

Questions:

4. Does the system automatically calculate the rent for a 2 week let? Try to create one, and see what happens.

5. Does the system automatically calculate the rent for a weekend let? Read topic Rent Calculation to find out the answer to this one and also see how you can change the setting.

Creating a repeat booking.

This topic will show you one of the most time saving features of the system. Let's assume a family who stayed in the past, with surname Dolphin, want to book another week. Click on a free week (which in real life would be the one they want) to create a blank form. Now key in "Dolphin" in the surname field. Next click the "search" icon: You immediately see (in the search window) that the Dolphins have stayed before, on three occasions. Click the line for the most recent stay. All the data from the previous booking is immediately copied into the new booking form. You obviously need to double check if any details have changed, but if not - that's it! Save the new booking (you need it later in this tutorial). There's much more on searching for previous tenants in topic The Search Window

Question:

6. Using the Demo Cottage data, you have been called by the Springbok family who want to book again. Should you let to them again?

(Hint - create a booking for a free week, type in their name, and then hit the "search bookings" toolbar icon = [image] Alternatively, from the menu select Search and then click Search History. Enter the name Springbok, and see what you find.)

Acknowledging a deposit payment.

First, make a new booking - let's use the same dates as above (1st December 2018). Enter a name and click Save/Exit. Now let's assume the deposit for this booking has arrived. Click on the booking you just created (colour is light brown for "hold"). If the amount paid is exactly the amount calculated (which is the total payable times the deposit percent) just click on the Paid checkbox by the deposit edit box. This immediately sets the date paid to today's date.

Now assume the deposit paid was not the exact amount calculated; let's say £110, slightly more than calculated by the system. You can override this by selecting the deposit edit box and typing the actual amount. Note that the balance payable is automatically recalculated when you enter the different deposit amount. Now write the acknowledgement letter. Just click the letters icon ie [image] and you see the Letters Window. Click the Deposit Acknowledgement" letter and it will be shown in your word processor (the default is wordpad.) You can edit this letter and then print it. You could also try printing an envelope in which to post it by clicking [image] . There is much more help on printing labels and envelopes to be found in topic Printing Addresses onto Labels and Envelopes.

Deleting a booking.

If the potential tenant changes their mind and cancels, you can now just delete the booking. You can do this either by selecting "Delete booking" from the bookings window, or by right clicking on the status window on the week containing the booking to delete. You will be asked to confirm the deletion, so it shouldn't be easy to delete a booking by mistake.

In some cases, you may want to keep details of a cancelled booking, then you can use cancel booking rather than delete booking. This allows you to record any cancellation charge that you retain. Cancellations are removed from the status window but the details are there if you want to find out the record of a particular tenant. More details are in this topic Booking: Cancel booking.

Changing the dates of a booking.

If your customer now wishes to change to a different date, you can just change the start and end dates of the booking, by editing the start and end dates directly, or by clicking on the small down button at the end of the "date pickers". Try it. You will need to ensure the new dates are available, of course. The system will spot if you make a mistake - try changing a booking to a date that is not available and see what happens.

Questions:

Jenny Codfish calls (she's booked the week of 26th Oct 2019) She asks if the following week is free and if it can be booked as well (making 2 weeks in all).

7. Is the week free?

8. If so, what is the new balance that owed? (Hint - get the system to calculate this for you by changing the end date of the booking. Assume you decide to leave the deposit unchanged). Now save the updated booking details.

Acknowledging payment of the final balance.

Now assume the final payment for the booking you made earlier has arrived. Click on the week for the booking in the status window. Assuming the correct amount was paid, just click on the Paid checkbox by the balance edit box. This again sets the date the balance was paid to today's date. Now try writing the letter to acknowledge the payment of the balance - again, display the Letters Window by clicking on the icon [image]. Then click on the second letter, which is set up as the balance acknowledgement letter. Save the booking record - and you will notice the status has changed to P = Paid Up.

Look at some of the reports that the system can produce.

Statistics: From the status window click on the tools menu item, and select statistics. This gives you a quick summary of the number of nights and the income you took in each tax year in which booking are in the database. This is very useful for a summary of how bookings are going for a year, and how they compare with previous years.

Print list for local representative: This is a summary of the lets for a specified period that you can give to your cleaner or local representative. See Print Booking List (for local rep)

Note: Most reports cannot be produced with the unregistered version. Examples of reports can be seen on our web site. Go to http://erwwen.com/holletsys/demo.htm )

Question:

9. For how many nights was Demo Cottage let during the UK tax year ending 5th April 2017?

Editing a Rates File.

In this section of the tutorial you are going to create a Rates File for Demo Cottage, for the year 2018.

(1) Open up the Rates Window for 2018 (which is supplied). Do this from the Status Window, by selecting menu item Tools and then the Edit Rates - next year sub-menu item. The other, and faster, way to do this is to click on the [image] toolbar icon. You should now be viewing the Rates Window for 2018. (Assuming you are studying the tutorial in 2017 Once we reach 2018 you will find this immediately takes you to item 3 below.)

(2) Now click on the Menu Item +1 year in the Rates Window.

(3) As there is no Rates file for 2019, you are asked if you want to create it. At this stage, you can press the F1 key to see the Help File Topic entitled Setting up and Editing Rates Files (You will leave this tutorial, but click Back to return). You can at any time follow links (in blue) to additional topics.

(4) Now you are back at the dialogue box - click YES to create a Rates File for 2016. You will now see some Rates data. The way the program works is that it just copies the previous year's data. This data is not yet saved.

(5) Let's suppose you have decided to increase your rents. Increase the cost of each Rate Band to a number that is easy to remember. How about 340, 410, 480, 520, 670, 840? (Another way to increase rates is to increase all rates by a set percentage using the Global Change panel on the Rates window).

(6) Now save and exit. Your new rates file is saved.

(7) Now have a look at the year 2019 in the status window - you may need to use menu item View / Forward one year to do so. The quick way is to use the [image] toolbar button. The rates you see should now be the ones you entered.

(8) Now page backwards and forwards through the rates years for Demo Cottage - you will note that most years have just 52 weeks, but some weeks have 53 weeks. This is because there are more than 52 weeks in 365 (or 366) days, and hence every so often there is a year with 53 weeks.

(9) Finally - try to do the following - weeks 38 and 39 have special rents, and don't use the bands. Convert the rates file so that weeks 36 to 39 inclusive are all rate band 2. Try out short cuts that speed up rates editing - for example, if you change week 36 only (and leave the cursor in this week) you can press Ctrl+L to duplicate this line three more times to get the result you want. Read topic Rates Lines - short cuts for more details of short cuts. Save the results, and check that you got the results you intended.

Configuring the system.

Start the application, and (from the status window) select Tools / Configure LetSys. (You can also start the Configuration program from the start menu). You will see the Configuration Window, with the property names tab page showing. Initially the only property showing will be Demo Cottage, and it will be selected. (By default the first property in the list is selected). Click the edit button.

Try removing the linen charge. Just delete the word "Linen" and "Save changes and exit." Restart the application and you will find the linen charge box no longer shows in the bookings window.

Put the linen charge back again - you'll find the data won't make sense otherwise as the linen charges already paid are still in the database.

That's it for now!

Enough of tutorials - you have by now hopefully got enough of a feel for the system to be able to start using it. There is some information on the steps to follow to set up when setting up your own property in the topic on installing the system.

There are many other features and facilities that we haven't covered in the tutorial, but you can learn those by trying and reading the Help files. Perhaps you might want to now just take a quick look at the help file contents list to remind yourself of the various topics.

So over to you to use the system - good luck!

Answers to the questions.

Q1: Answer is D - deposit paid. Note the colour coding. Colour coding makes it easy to scan the status display to see if payments or actions are outstanding. Read topic Status colours and meaning again if you got the answer wrong!

Q2: The system assigns a week number, such that the first complete week each year is assigned week number 1. This normally corresponds to the ISO week number for the week in which the booking commences. However, the first week in the year never starts before 3rd January to ensure New Year bookings will fall into the previous year. More information is in topic Rates - Entering Week Lines

Q3: 6 years and 8 years. This is shown on the scanned booking form, which you access from the booking window as described in topic The Booking Menu and Toolbar - under Tools Menu.

Q4: Yes. The system works out the rent from the dates and the data in the rates file - hence you are saved having to do this calculation.

Q5: Not unless you configured the system to work out the rent for short lets. Otherwise you must enter this manually. See topic Rent Calculation

Q6: You would be well advised to find a way to reject this booking - you should have been able to locate details of the Springbok's previous stay.

Q7: Yes.

Q8: The balance is now £754.75 (unless you have altered details of the booking).

Q9: 111 nights (this can change if you modify the bookings file.) You can get this by selecting Tools and then View Statistics from the main menu.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Status Window (Classic Mode)

The status window is displayed when you start the Application. It displays two years of data, week by week. It is positioned so that the first week shown is the current week. You can then scroll through the weeks using the scroll bar or cursor movement keys. Depending on your screen size you can see between 3 and 8 months of data at a time. Use the View menu or toolbar buttons [image] [image] to move the display forward or back by one year at a time.

An example of a small status window in Classic Mode is shown below. Click on the various hot spots for more information on each part of the window. An example of the status window in MultiMode (multiple property view) is shown in topic Status Window (Multi-Property Mode)

In particular, read about the data that is shown in this window, and the menu and toolbar actions.

Also, the background colours of many areas of the window indicate the status to give an "at a glance" indication of the status and of any actions needed. Read about the colour codes for the booking status here.

Notes: You can drag the bottom of the window to increase or decrease the height and hence the number of weeks shown.

This image was captured using Windows 10. The images in this help file were created using a variety of Windows versions.


Status Window (Multi-Property Mode)

If you have selected to operate in Multi-Property Mode, then you will see all your rental properties in a single Status Window, an example of which is shown below. (This example is using Windows 10). This is referred to in the documentation as MultiMode.

This mode of viewing is normally appropriate if you have more than 3 or 4 properties to manage, and the main benefit is that you can immediately see the availability status of all your properties in a single window at a glance. As in Classic Mode, two years are shown in the window, this time with the weeks across rather than down the page, which means that many more properties can be viewed together.

Changing the weeks displayed is via scrolling or the cursor keys (as in Classic Mode) and you can change the years displayed with menu item View / Forward one year or Backward One year or toolbar buttons [image] [image] .

In the example below a small status window is shown. You can click on several areas or hotspots for more information.

The status is indicated by the colour of the week boxes - see colour codes for the booking status.

The property boxes: On the left are a series of boxes displaying the property name and number. In addition the owner surname will show if configured. You can right click a property box to see a context menu, allowing access to a number of functions, such as editing the rates files for the specific property or viewing the owner details.

Notes:

  • One of the properties shown is let from Friday to Friday. You will see a slightly stronger colour in the box containing the name and also the day the let starts is also shown, to remind you of this fact. In this example each property has an owner defined, and the owner name also shows in the property name box.
  • You can drag the window edges to alter the number of weeks or properties shown in the usual way.
  • If you have more properties than can be viewed on your screen, as well as using the scroll bar, you can rapidly scroll up or down with the up and down arrow keys, and more quickly with the Page Up and Page Down keys.


Status colours and meaning

Booking status.

The status for each week (and each booking in the week) is shown in the status window, in a colour coded form. This colour is used as the background colour in both the 'Free?' (or availability) column and the status column.

The colours ensure it is very easy to quickly identify bookings where payments or actions are outstanding.

The status can be one of the following: (The character in brackets shows in Classic Mode only.)

Free This is the colour of a free week on the status display.

Reserved Reserved for personal use or a wait listed booking

Hold (H) A provisional booking held pending receipt of deposit

Deposit Paid (D) The deposit is now paid and acknowledged.

Paid (P) The booking is fully paid up

Paid, sent instructions (P) The booking is fully paid up and joining instructions sent

Repay Deposit (R) Shows only if you have configured Returnable deposits. The holiday is over and the deposit now needs to be returned.

Complete (C) The end date is past; the holiday is now over

Overdue (H) or (D) Payment is overdue (either deposit, balance or full payment).

The status is set automatically.

Notes:

Colours and status are not affected by the "Ack" checkboxes on the bookings form. Use List Overdue Items to see whether these are set.

Cancelled bookings do not show in the status window - click here to learn how to locate a cancelled booking.

Fuel charge.

If you have configured the system so there is a charge for fuel, then the Fuel column will show in the status window. In this case the charge is also colour coded, and the weekly charge shows in the status window.

High The amount is the weekly charge for the high period as set in the rates file

Medium The amount is the weekly charge for the medium period

Low The amount is the weekly charge for the low period


Creating or editing a booking

It is easy to create a new booking - just single click your mouse on the status window, on the line displaying the week that the booking is for. The booking window now will show, with the start date set to the changeover day at the start of the selected date.

If a booking already exists for the week you clicked, then the booking window opens displaying that booking. You can now edit the booking details. The property name shows in the Window Caption.

When you create a booking the system puts as much data as possible into the booking. This includes an end date corresponding to a one week booking, the weekly rent, and any optional charges that you have configured.

You then must change the booking if these defaults don't apply.

A booking does not have to start on the changeover day. It can start at any time - just open the "date picker" and change the start dates, and the end date if appropriate. When you change the end date, then if the booking is for an integral number of weeks then the rent is automatically calculated providing the start day is a changeover day. For other periods you either work out the rent and charges yourself and enter them manually, or it is possible to have the system do this for you, as described in topic Rent Calculation

More information on working with a booking is kept in the various menu items listed under the bookings window.


The Status Window menu and toolbar

The menu and toolbar in the status window allow access to various actions and functions. These are:

FILE MENU Shortcut key Description

Quit (Ctrl+Q) Close LetSys

Printer Setup Show printer setup dialog

Print status window (F6) Print copy of Status Window

Reports sub menu:

Print Booking Status Report - Print status report (similar to status window)

Print Booking List (for local rep) - to give to local representative / cleaner

Create Booking List (for local rep.) - write list to C:\LetSys\Property bookings list.txt

Create Availability Report - creates file C:\LetSys\Availability.txt showing availability by property

Print Income Report (for tax return) - for specified tax year

Create Income Report (for accounts) as .csv - creates file with above income in Spreadsheet format

Income/Expenditure Report - creates a monthly income/expenditure report for selected properties

View statistics - Statistics report. Also available from Tools.

Export / Import sub menu:

Export Bookings to CSV file Provides data in spreadsheet format

Import Bookings from CSV file For new users to import data. See topic.

Publish to web - Update availability and upload to web site

Open propertyname - launch Letsys for new property (>1 property)

Publish To Web Open the "Publish to Web window"

Create Owner Data Base (F7) Or View Owners if database exists.

EDIT MENU:

Edit Rates Shows edit window for you to edit the current year rates file

Edit Rates -next year As above - but edit next year's rates

Edit Rates -prev year As above - but edit previous year's rates

SEARCH MENU:

Find Text (Ctrl+F) Opens the Search Window . Searches bookings for a text string

Search History Opens the Search Window - searches for bookings by name

VIEW MENU: Actions to change the year or help you to locate booking details.

Back one year (Ctrl+P) Move status display back one year (Previous)

Forward one year (Ctrl+N) Move the display forward one year (Next)

View owner details View owner information for the property (MultiMode:must select property)

View all bookings as list All bookings are displayed in The Search Window

TOOLS MENU: This menu enables you to take various actions, or invoke various tools.

Configure LetSys Launch the Configuration program (Config.exe)

List Overdue Items Lists bookings where payments are overdue

View statistics Produce business overview: days let/income by tax year

View Booking History Shows when a weeks was booked

Show calculator Open the Windows calculator

Send Mail Shot Open the Mailshot Window to write or email customers

Manage letter proformas Opens the Proforma management window

Archive / Cleanup Open tool to allow archival or removal of old data

Backup Open Backup Tool to back up both settings and all data

Synchronise Open the "Synchronise" tool to line up the root folder with a second copy

Open Windows Temporary Folder Backups of files are saved in this folder; this allows you to quickly view this folder

Diagnostics Special tool to help diagnose problems. Use only on request

Memory Usage For diagnostic purposes only. Shows the memory usage.

Open diagnostic log View the text file to which LetSys writes a log of actions - Diagnostic use only.

List users MultiUser mode only. See topic Running LetSys with Multiple Users

WEB MENU: This groups actions that enable you to interact with your web site (if you have one).

View Local Website Display local copy of web site in browser

View Remote Website: View web site on server - must configure!

Publish To Web Open the "Publish To Web" window

List/View web forms: Done by launching a web application

Upload Web Data Used for website integration (visible only if configured)

ACCOUNTS MENU: This menu groups a number of the accounting functions together.

Expenses Shown only if you use the expense recording facility

View Payments View payments (both actual and projected)

Monthly Accounts Create the monthly accounts for the owners

HELP MENU: Displays this help information, gives access to the Tutorial.

Contents Displays the contents of this help information

Help Index Displays Help showing the index

Topic Search Allows you to search for information

Tutorial Displays the LetSys Tutorial

Help on Help Displays information about HTML Help panels etc

About Displays information about LetSys, including Version


Property Box Context Menu (multimode)

If you are running in multi-property or "multimode" then to the left of the status window are a series of boxes displaying the property name and number as well as the owner surname (if configured).

Right click a property box to see a context menu (example below), allowing access to numerous functions.

By clicking the appropriate menu items you can go straight to the rates files, the owner record, the letter proformas or the expenses for the specific property, rather than having to later choose the property should you open these items from the main menu or toolbar.


Data displayed in the status window.

The status window has, as its primary purpose, the objective of providing an "at a glance" picture of the property availability and bookings.

When the application is launched, you will immediately see this window. If a potential tenant phones, you can immediately see which dates are free and which are taken. If your computer is on, you can immediately respond to requests for costs, availability and if necessary immediately take the booking and key the information into the computer. This is the way we usually work.

There are two formats for the status window, Classic Mode and "Multiproperty mode"

However, if you don't normally have your computer on when potential customers phone, you can regularly print the Booking Status Report which you keep to hand.

In this report, and in classic mode, the information shown in the bookings window (by week) is as follows:

Week Number: Each week in the year is allocated a number starting with 1. Week numbers are normally the ISO week numbers for the week in which the booking commences. However, weeks do not start before 3rd January as dates up to 3rd January are considered to be part of the New Year booking for the previous year.

Starts This is the date of the first day of the "booking week". ie the week which starts on your changeover day (the default is Saturday).

Cost [Band] This is the rent for the week - and the cost band when it applies. The background colour is yellow - in different shades to help distinguish between different bands.

Free? This field is coloured green when the week is free. If the week is let, then the colour shows the status for the week - eg light yellow if held, or red when the week is booked. More details are in topic Status Colours and meaning. Where a week is part let, then this box is split into days and you can see which days are booked by the colour.

Comments This field is also coloured according to the letting status. When the week is available, it will just show any comment you entered against it in the rates file.

If the week is let, then this field also contains the surname of the person who booked the week.

Status This field shows the booking status ( H=holding. D=deposit paid. P=Paid in full.)

Reserved bookings and bookings that have completed do not show a letter.

If you have opted for returnable deposits, this field shows R in an easy to spot colour, to remind you when you need to repay the deposit.

[ Fuel ] If you have configured the system to handle fuel charges then this column will appear and show the fuel charge for the week.


Print Status Window

(Not available with the evaluation version)

A copy of the current Status Window can be printed by using File / Print Status Window, or clicking the toolbar icon [image] (Short cut key is F6).

One use of this would be to keep a printed copy of the status window by your phone, in case someone calls to ask about availability and cost.

If you run with a lot of properties in MultiMode this is probably the best report to keep by the phone, but in Classic mode you may find the Booking Status Report is better.

Before you print, ensure the status window is displaying the weeks you want to print. You can drag the window as far as it will go to view as many weeks as possible. If you want to print bookings from a different year, first go back or forward to the year / view you want to print.

Before the report is printed, you will see a printer setup dialog box. You can print this report in colour with the colour coded status all showing, exactly as in the status window on screen. Note that the default orientation is set to provide a best fit (thus in Multimode the Window is normally printed with Landscape orientation. You can override this in the Printer Setup dialog. If you have a large window on a high definition monitor, then the image is shrunk to fit on the paper.


Print Booking Status Report

This report is printed by selecting File / Reports / Print Booking Status Report from the Status Window. This opens the Reports Window.

This report is in essentially the same format as the Classic Mode status window, and shows the status of your bookings by week.

One particular use for this report is to keep it near the telephone so that when a potential customer calls you have an up to date status you can refer to, even if your computer is not on. If you make notes on the report you can then later enter a new booking or other information into the computer.

You have a great deal of flexibility when you print this report. You can select several properties that will all be listed together, you can specify the start week and the number of weeks to print. So this report can also provide a useful record of the bookings you have had.

The default is for all properties to be printed, for the start week to be the current week and for 52 weeks (one year) of data to be printed. However, you can overrule these defaults before you print the report.

The colours and information printed are the same as used in the status window - refer to the topic on the Data displayed in the status window for more details over the meaning of the data.

When you print the report for more than one property, the week number and week start date are printed only once.

In addition you should note the following:

- The comment field is truncated in order to fit up to 4 properties onto a single sheet.

- If you use different changeover dates then the week start date shown is that for the first property - the week number will be correct for the property with a different changeover day, but not the start date. Either print separate reports for each property in this case, or you can easily work out what the start date is, with a little experience.


Print Booking List (for local rep)

This topic covers menu item File / Reports.. / Print Bookings List (for local rep). from the Status Window.

(Not available with the evaluation version)

This prints a short summary of the lets you have for the next few months for selected properties. This report may be useful for you to pass to a local representative or cleaner, but may be useful for other purposes also.

It always shows the date it was created, so the person concerned should be able to establish which is the latest list - something we had trouble with in the past before using this system.

To print the list, go to the Status window. Then, from the menu, select File / Reports... / Print Booking List (for local rep)

You will then see the Report Window, with all properties selected (except the demonstration property if present). A report will be produced on a separate page for each property selected. You can change the properties selected as required by clicking using the usual Windows selection procedures.

If necessary, alter the week range to be printed. By default you will get a report starting with the next booking after the date the report is printed, and covering the next 6 months.

The report contains the days, the name and the number of nights. It also contains the contents of the "Special Instructions" field relating to each booking.

This report is printed on only a single page. If you select a very large week range, the report will stop when the page is full.


Create Booking List (for local rep.)

This topic covers menu item File / Reports / Create Booking List (for local rep). from the Status Window.

This action saves the data that is printed with the menu option Print booking list for local representative as a simple text file, and then opens it in the default editor for text files (normally Notepad.)

This enables you to copy and paste the data into other applications. For example into an email that you send your local representative or accountant.

The file is written to the root folder (normally C:\LetSys ) as Bookings List.txt. If this file already exists it is overwritten.

The file contains exactly the same information as the printed report described in Print bookings for local representative.


Create Availability Report

This topic covers menu item File / Reports / Create Availability Report from the Status Window.

Clicking this menu item produces a list, by selected property, showing the dates that are available in a specified period. This report is produced as a text file that can either be printed or alternatively can be "copied and pasted" into an email to tell potential customers what periods are available.

First a window is shown where you specify the properties to list, and the start week and default number of weeks to process. By default the start week is the current week, and the number of weeks to cover is 52 (ie the next year).

The file produced is saved in the root folder (normally C:\LetSys\ ) as "Availability Report.txt". If this file already exists it is overwritten. The file is then opened for you to view, print or copy in your default text editor (normally Notepad).


Print Income Report (for tax return)

(Not available with the evaluation version)

This option enables you to quickly produce an income report for a specified tax year. This will help you prepare your accounts. From the Status Window menu, select File / Reports.. / Print Income Report (for tax return).

When you select this (or you Create Income Report (for accounts) as .csv) you are first asked which tax year you wish to process. The system works with different tax year dates, and you can change the tax year end date on the general tab of the LetSys configuration program. The default is the British Tax year, ie 6th April until the 5th April the following year, but it is very easy to set to a calendar year tax system (for example as used in USA) by setting the tax year end date to 31st December.

The data printed covers the tax year specified ie from 6th April one year until 5th April the following year. The data includes the dates, the surname, the number of nights, plus the total paid for the let. Personal, cancelled and reserved bookings (eg a reserved week you are holding for a potential customer) are excluded from income reports.

Apportioning income between tax years.

For this (and the Income Report as .csv) income from bookings that straddle the tax year boundary is split between tax years. The income is apportioned according to the number of nights in each tax year. The night 5th to 6th April is deemed to be in the earlier tax year.

Our accountant advises that the UK Inland Revenue will find this acceptable. It is also acceptable to charge the entire revenue based on the first day of the let. The Inland Revenue finds both methods acceptable as long as you are consistent each year - which you will be, of course, if you allow LetSys to work it out for you. The method adopted will put more of the revenue in the later tax year, and thus delay payment of a little tax.


Create Income Report (for accounts) as .csv

This option enables you to export bookings data (especially income) to a spreadsheet compatible CSV file.

From the Status Window menu, select File and then Reports. Select Create Income Report (for accounts) as .csv

The report is written to the root folder. The file name is of the form ""LetSys Income to date" where date is the end of tax year selected.

Once the report is created, LetSys will try to open this file in the registered application (often this is Excel). More details about CSV files and registered applications is in topic About Registered Applications

This report is the same data as is produced by the menu item Print Income Report (for tax return) Refer to this topic for details of what is listed.

See topic Print Income Report (for tax return) for more details about what is listed and the way the system apportions income between tax years.


Monthly Accounts

These accounts are designed primarily for Letting Agencies who need to give property owners a monthly report showing receipts and outgoings. This can be a printed report, or sent by email to the owner. An agents report is also produced.

The expenditure part is optional, but if you want this, you need to configure and record your expenses

For owners you can produce:

  • A monthly account of income, fees and expenses for each selected property for the specified month
  • A summary of bookings and income for the year thus far
  • A forecast showing days booked and income predicted for the following year.

The accounts can include a management fee, charged for services provided to owners. This fee is configured as described in topic Options for Agencies

To produce a the monthly accounts:

- From the Status Window menu, select Accounts and then Monthly Accounts.

- You then see the Monthly Accounts window.

- Select one or more properties and also the month that should be reported on. (By default this is set to the last complete month.)

There are now several options:

  • Check Send reports to owners by email if you want to send the reports by email or leave this unchecked to produce a printed report. In order to send reports by email you must first configure LetSys as an email client and also you need the Owner Data Base to contain the owners email address. You also need an email proforma which specifies the details of the report (see below).
  • Check Produce Agents report to print a report which summarises the performance of all properties and optionally also shows the same report that can be sent to owners with additional information.
  • Check Agents summary report only to simply view the summary page of the agents report only. (This option is only visible if you check Produce Agents report).

Once you have selected the appropriate options, click RUN.

Assumptions:

- Income is only credited once a let ends. This is because a let may be cancelled, or other items change involving an additional charge. Thus letting income is only credited in the month in which the let ends, not the month in which payments are made.

- If you use booking fees they are completely omitted from the owners report as they are paid direct to the agent. However, the agents report does show them.

Email Proforma: To send the accounts to owners, you need an email proforma ( named Actproforma.htm ) in your root LetSys directory. Data is substituted into this proforma by the program, using a set of "Mail Merge" strings replaced by the actual data before sending the email.

You can edit the proforma to change the details of the report, as described further in topic Email formatting for Accounts

A sample proforma is distributed with this system and installed in C:\LetSys.

Notes:

- The expenditure part of the report depends on you configuring Expense Categories and recording the expenses. If expenses are not recorded, you can still see the income part of the report, including management fees (if configured) but not expenses, which are simply omitted.

- If a particular expense category has zero expenditure in a particular month, it is omitted from the list of expenses for the month.

- This report allows agencies to know what to pay owners and how much the management fees are each month.

- Reserved bookings (for yourself, or an owner) are omitted from monthly reports.

- If you have configured a Booking Fee, then these fees are completely omitted from all totals in the Income/Expenditure Report.

- Warning: You cannot aggregate income and expenses for properties unless all properties specified use the same currency. Because of the complexities of varying exchange rates, LetSys does not attempt currency conversion. Aggregated data will be meaningless if the selected properties are managed in different currencies, but in our experience, letting agencies always work in just a single currency, so this should not be a problem.

- The amount shown as due to owners is calculated as follows:

  • The rent is added to any extra charges collected on behalf of the owner (eg fuel charges).
  • Any booking fee is excluded and not added.
  • From this is subtracted the management fee using the method and the percentage specified for each property as described in Options for Agencies)
  • No other expenses are deducted.


Export Bookings to CSV file

This enables you to export booking data to a spreadsheet using the CSV (comma separated values) format, which can be read by spreadsheet programs such as Excel and Lotus 123.

Select File / Export + Import.. / Export Bookings to CSV file from the Status Window and you will see the Export Window. You need to select the following items (unless the defaults are adequate)

Properties to process: The default is to export the data from all properties (except Demo Cottage unless it is the sole property).

Dates to process: A booking is exported if it ends after the start date and starts on or before the end date. Initially the date range is set to 1 Jan - 31 Dec of the previous year. You can change dates as required. The dates you have selected are saved until you change them.

Data to export: It is now possible to export up to 31 items of data. 11 of these are selected by default, in the order listed in the window (and below). There are an additional 20 items listed in the panel headed "Items not included". These are not exported by default, unless dragged into the left hand list.

Modifying a template to suit your requirements: You can drag and drop any item into any position. You can drag and drop items into and out of the List of items to export. You can reorder the list, which changes the order that items are written to the export file.

Renaming items: You can rename an item to make it easier to use (eg one of the extra charges. In addition the name is used in the column headers in the spreadsheet.. Either right click the item to rename and select rename item, or click the item twice (slowly) and an edit box that appears. Enter the new name.

Exporting data: Click the Export button, the specified bookings are exported, with each booking listed on a single line of the spreadsheet. The data items appear in columns in the order they appear in the list of items to export. The data is written to your LetSys root folder as Bookings.csv The data is written in ascending date order by property. A header line is written to identify each column of data. A blank line is inserted when the Property changes.

If you have a registered application for CSV files, this will immediately be run to view your exported data. It is easy to delete columns and sort in spreadsheets such as the ones we test with, Excel and Lotus123.

Saving a new Template: If you have altered the list of data to export using drag and drop, then you can save this list as an Export Template File

Simply click the Save Template button, and you will be asked for the name (you can leave the name of the current template unchanged. This file can later be loaded again to restore your settings. When first installed a default template will show. You can temporarily drag and drop items, but you must save the new list with a different name. You cannot alter the default template.

Specify a template: If you have previously saved your export settings in a template then you can reload this by selecting this template from the drop down list. See topic Export templates for more information.

Data items that may be exported:

01 Property The Property Name

02 Start date Booking start data

03 No days Number of days (ie duration of the booking)

04 Total Total amount paid (net, ie after refund of any returnable deposit.

05 Surname Surname of person booking

06 Title Extracted from the first names field

07 First names Less title if item 6 is included

08 Address Five columns for each line of the address (" - " if the line is blank)

09 Postcode A UK post code or US ZIP code will be extracted from the end of the address lines, if present.

10 Phone No As shown in the Booking data

11 Email address "

Optional items - not exported by default. Drag and drop to include.

12 Comments The comments from the bookings, with semicolons between lines.

13 Special Field The special field from the booking record

14 Prop No Property number

15 Rent Rent - as shown in the booking record

16 Extra Ch 1 First charge (if present). The name configured is used in the output.

17 Extra Ch 2 Second charge "

18 Extra Ch 3 Third charge

19 Deposit Deposit paid

20 Balance Balance

21 No visits Number of visits for this customer

22 Source Booking Source

23 Date booked The date the booking was entered into the system

24 Date deposit The date the deposit was paid (or "not paid")

25 Date paid up The date the balance was paid (ie the date fully paid up) or "not paid"

26 Special Flag If the special flag is set this will export "YES"

27 Net of tax Total amount paid less tax (if configured - see Configuring the System)

28 Tax (VAT) Amount of VAT or Tax based on tax percentage configured.

29 Refund Amount refunded, due to cancellation or repayment of a returnable deposit

30 Refund Paid The date any refund was paid (or "not paid")

31 Status The booking status eg "complete" or "cancelled"

Editing a template file to pick up new items:

LetSys 3.5 added 3 new items to the default template (items 29 to 31). Any of your own templates will still work, but if you want to export any of the new items (29 to 31) you must either (a) recreate the template from scratch by editing the default template and then saving it as your new template or (b) you can use any text editor to copy the final 3 lines from the default template (file default.xtf in the \LetSys\Templates folder) and then add to the end of your template files. Templates files are nothing more than editable text files.

Notes:

- Each of the above items corresponds to the data of the same name shown in the booking form.

- Personal bookings are not exported. (Note: From V3.5 cancelled bookings are exported since charges are usually made when bookings are cancelled and they need to be included in accounts.)

- You can change item names if required. Right click the item and choose Rename Item, or click slowly twice on the name and edit in situ. The name you give the item will be displayed in the header line on the output, except for extra charges where the configured name for the extra charge is shown and address lines (where Address 1 etc is always shown).

- A booking which straddles the selected start or end date may be exported twice, in separate reports (eg for subsequent years). You may wish to adjust the report to allow for this - eg for income. In some cases it may be better to use the Export Bookings to CSV file function which apportions income between two tax years.

- The default template cannot be saved from LetSys. It is reinstalled each time you install or upgrade LetSys in order to allow changes and additions. Additions are made by adding new items to the end of the default template.


Export templates

Templates are stored in the templates folder. Templates apply to all properties. A default template is delivered with the system, and you can modify this and save your own, as discussed in topic Export Bookings to CSV file

The Template File drop down box allows you to select the template to use. Initially there is only one template file ("default").

If you have saved a new template (having used drag and drop to alter the data exported) then this will then appear in the list, and you can select it and you will then find your previous export settings are reloaded.

Templates are listed in alphabetical order, with the first item selected when the form opens. If you have a preferred template give it a name such that it starts the list. One possibility is to add a number - eg "1-favourite" which puts it first in the list, and loads it by default.

Renaming a template: You can rename a template by selecting it, and then right clicking over the template name. Click Rename Selected Template and then type in the new name when requested.

Deleting a template: If you no longer need a template, select it, right click and then select Delete Selected Template.


Import Bookings from CSV file

This function enables you to import booking data using the CSV (comma separated values) format. This format can be written by spreadsheet programs such as Excel and Lotus 123. This is useful for new users who want to import data they already have in a spreadsheet.

First, using a suitable application, get the bookings you wish to import into CSV format - with one row per booking. You can only import data for one property at a time. The format is defined below. If your application exports data in a different format it is very easy to use a spreadsheet such as Excel to insert and rearrange columns to match the format defined below.

Once this is done then from the Status Window menu, select File / Import Bookings from CSV file to display the Import Window. You select the property to process, and then enter the name of the CSV file that you want to import. To assist there is a Browse button to click and use to locate the CSV file.

Then click Import to import the data into the database.

Various checks are made, and you will get an error message if the data is invalid (for example if a date format is invalid or a field is too long to fit in the space available in the LetSys database.

The format of the data: Note that each file should only contain data for a single property.

Each row contains a single booking, split into columns as follows:

1. The property name

2. The booking start date

3. The number of days

4. The total amount paid

5. Surname.

6. Title (or blank)

7. First names (less title if found and listed in the previous column).

8. Five columns giving each line of the address (Use a blank cell or " - " if the line is blank.)

9. A post code or US ZIP code (or blank). This will be added to the final line of the address.

10. Telephone number (or blank)

11. email address (or blank)

12. Comment (one line of comments only is imported.)

13 Booking status: H,D or blank.

You can either import this data as a new booking (status='H' for holding) or as a complete booking.

If the booking is complete it can be edited by unchecking the balance paid box.

Notes:

After importing the data you can then edit it and add any additional data or change the status.

The total paid is inserted into the rent and the total field. It is not possible to import data into the extra charge fields, but you can adjust the rent and charges later.

Some data stored by LetSys can not be imported, as it is not usually held by other applications.

This includes the special field, and some dates including:

The date the booking was taken: Set to 6 weeks before the booking starts.

Dates deposits and balances were paid: Also set 6 weeks before the booking starts.

Note that the last updated date is set to the date on which the data was imported.


Publish to Web

This command opens The "Publish To Web" Window which allows you to update your Web Availability file(s) with the latest booking status for one or more properties.

Full details are in topic The "Publish To Web" Window


Editing the Rates Files.

From the status window, you can edit the current year rates file. Just click on the edit rates toolbar icon [image] or, from the menu, enter Edit / Edit Rates. This will cause the Rates Window to be displayed. Other icons [image] [image] enable you edit the rates files for different years.

In multimode you then need to specify the property you wish to work with, or you can right click the box containing the property name on the left, and go straight to the appropriate file.

See the topic Setting up and Editing rates files for more information.


View statistics

To view statistics about your bookings, then (from the Status Window menu) select Tools / Statistics. Alternatively click on the toolbar icon [image] You will now see the Booking Statistics window. From this you can analyse the booking database, and generate statistics about your bookings, for one, all or several selected properties.

For report 1, you can change the year start date to override the default (which is the tax year start date as configured ) For example, to see income etc by calendar year, change this to 01/01

Initially all properties are selected (except the demonstration property). If required, change the properties to be analysed. Then click the Analyse button and the booking files for the selected property(s) are read and a summary produced.

If you only manage a single property, this is selected and you only need click the Analyse button or hit the enter key and you will see the statistics.

The Statistics presented are in three parts:

1. Summary (by year) of the letting status.

This shows the number of nights let and the total income, by year, for the selected property or properties. You can override the year start date. This will show you how your bookings are coming in and how they compare with previous years. The first line shows the latest year containing lettings (up to a maximum 2 years ahead). Additional lines show data for earlier years, working backwards for up to 10 years. The total income includes rent plus any additional (optional) charges. This is the amount you would normally declare on a tax return and is the same as that listed (in full detail) when you select File / Reports.. / Print Income Report from the status window. Income from a let that "straddles" a tax year boundary is apportioned to both years in exactly the same way as for the accounting reports. Topic Print Income Report (for tax return) describes how this is done.

Bookings for future dates (even if not yet paid up) are included in full, including bookings in Hold status.

Prepayments. The column "Prepaid for later years" shows advance payments received in the specified year for the following (or later) years - information that may be requested by accountants or tax authorities. See the notes in Hints and Tips below.

Note that reserved (or waitlisted) bookings are not included in these statistics.

2. Analysis of the source for your bookings. This provides an analysis of the source of the bookings by calendar year. You must have completed the Source field when you entered the booking to see this breakdown showing how you found your customers. You are shown totals, by source and by year. This is very useful to find which agencies are most effective in bringing you business.

Up to 6 years of data is shown, starting with the two years that are currently displayed in the status window. If you want to look at older bookings, just go backwards in time with the status window (click View / Backwards one year for however many years you want to go back.) Only years that contain at least one booking with a non-blank source field are shown. Personal bookings are not counted but cancelled bookings are included. A booking that straddles a year end boundary is recorded in the year that the booking starts.

You are told how many bookings were found with no source set. If you want to locate these bookings to enter the source (if it is known) then click the small button labelled S? and you will see a list. This list is only updated when you run the statistics, and then only for the property or properties selected, so first run the statistics to include the property you are working with. The button does nothing until a list is created.

3. Analysis of future bookings at a given date. Under the heading Bookings (days) on 1st of each month you can see the number of days booked on the first day of each month, going back for several years. This lets you see how bookings are going compared to previous years. For example, if you have 50 days booked on 1st January in the current year, compared with only 30 days on the same date the previous year then bookings are going significantly better. Only future bookings (starting on or later than the day considered) are included. Up to 6 years of data is shown.

To look at older bookings: You normally see the current year in the leftmost column. If you alter the Status display as described above to show an earlier period, then the last year displayed will be the second year displayed if earlier than the current year. This lets you look back more than 5 years if necessary.

Note: Reserved and personal bookings are excluded.

Hints and tips:

Selecting one or more properties: The system uses the normal convention used in Windows Explorer or My Computer for selecting multiple items. To select several consecutive properties, click the first, and then hold down the Shift key and click the last. To individually select two or more properties, click the first property you wish to analyse. Now hold down the control key and click on any additional properties to be analysed.

Names for booking Sources: You are recommended to use a standard list of names for your booking sources. A single different character will cause the source to be treated as different. Therefore you will need to scan through your file and change the source to whatever you decide is your standard name. To help you do this, a dropdown box is created on the booking form which contains the 10 most frequently used source names.

See the hints section of topic The Source (of bookings) field for a hint on how to quickly rationalise your source names.

Copying the statistics into other documents: The output is displayed in a rich text format, and it can easily be copied and pasted into your favourite word processor.

More on Pre-payments: Payments (deposits and balances) are received on a specific day and this is normally some time ahead of the letting start date. Where these payments are received in a tax year prior to the one that applies to the let, then you have the payment, but don't normally need to declare it until the tax year containing the let. However, prepayments are calculated, in case your tax authority asks for this information. Note that pre-payments are listed on the line for the tax year in which the payment was received based on the date that the payment was received - not in the line for the tax year for which the payments apply. Hence (for example - and using the UK tax year end date) if someone books a property in August 2010, and pays a deposit in January 2010 - this shows up as a prepayment in tax year ending April 5th 2010. Had the person booked 18 months in advance (say in January 2009) then the payment would show up in Tax Year ending 5th April 2009.

We have not yet been asked for prepayments ourselves, so are not sure how important this data is - but the data is there in case you need it, and it is included as it was suggested by the accountant for one of our users.

Reserved bookings (for yourself or an owner) are excluded from the statistics as they don't represent income or days let.


View Payments

This tool allows you to view payments you receive. For a selected range of dates you can view the payment history, and future payments are predicted based on due dates. Sub-totals are given by month.

You can export the payments list to a spreadsheet for further processing.

You can list payments for all or for selected properties.

By default you will see all payments (actual and due) for the current year. If you want to see actual payments only, check the Omit Predicted Payments box

You can change the dates, for example, if you set the date to today, only future (ie due) payments will show. Or you can view any range of dates you wish.

Then select the property (or properties) to work with and click RUN.

All payments within the specified date range (including deposits, balances, and refunds) are listed, sorted initially by date. At the end of each month, the total for that month is shown in the Sub-total column.

You can see property number, customer surname, the date the let starts and the payment type as well as the amount and details of each payment.

You can sort the list by clicking on the column headers in the usual way.

Notes:

- Predicted payments will show "Due" in the comments column.

- If a payment is overdue, then it is listed as "Overdue" with today' s date. Use List Overdue Items to see overdue payments and work with them.

- If you use returnable deposits, refunds have the comment "Ret.Dep". The predictions assume the full returnable deposit will be repaid on the final day of the let.

- If a booking is cancelled, then the associated payments show "Cancellation" in the comments column.

- If you have not yet made a refund following a cancellation, then (if you want predictions) a refund of the total paid will be shown as due on the final day of the let, as a "maximum possible amount".

Export list to a Spreadsheet

The list can be exported to a spreadsheet in CSV format, by clicking the Export to CSV button. The report is saved to your root LetSys folder as file Payments.CSV. Any existing file with this name will be overwritten.

If you have a spreadsheet installed (for example Excel) then this file will then open.

Notes: Bookings recorded with Version 3.3 of Letsys or older versions did not record deposit and balance payments separately for cancellations and thus the payments history lumped both together. This only affected the case where both deposit and balance were paid prior to cancellation (relatively rare). Release 3.5 and later releases correct this approximation.


View Booking History

To help see how bookings are going compared with previous years, this tool lists the status (by week) for a selected property.

It not only shows if a week is let, but also when the booking was taken. This helps you know if you need to take such actions as more (or less) advertising.

You can see the status of each week of the selected year. This is compared to the status in the previous four years which show in the other columns.

You can change the selected year or the selected property, and then click VIEW to see the status.

Meaning of each week box:

  • If the week is not let this is indicate with a dash
  • If the week was completely let, then the date the booking was taken is shown
  • If the week was partly let, then the letter P precedes the date that the first booking in the week was taken
  • If the week is reserved (eg for personal use) then '- Reserved -' shows.
  • If the week was not available to let, as indicated by setting the rent to zero in the rates file then 'Not let' shows.

Notes:

- Only one property at a time can be displayed

- You can change the first year displayed, for example to look further back

- Part let weeks show the booking date for the first booking encountered in the week. Thus if your change day is Saturday, then whatever let is in progress on the Saturday is the one for which the booking date will show. If no booking was in progress, then the first let encountered is used (eg there might be one starting on the Monday.) If you took two bookings, one from Saturday to Monday and another from Monday to Friday, the second booking would not show. If more information is needed you must research it by looking at the bookings for the week concerned.


List Overdue Items

This function scans the entire booking database for overdue items. It runs automatically the first time you run LetSys each day.

It can also be run at any time from the Status window: Click the Toolbar Icon [image] or select Tools then List Overdue Items. Shortcut: Control+O (overdue).

If a booking has an action overdue, then the details are presented in the Overdue Items Window (shown below)

Example of an Overdue List:

If you operate returnable deposits (and have configured this) the list also shows any deposits you should return.

If a customer makes a payment, but you haven't checked the box to show you've acknowledged it, then this will also show in the list. See topics Deposit Paid checkbox and Balance paid checkbox

If there is a cancelled booking and you have not yet agreed a cancellation charge, the booking is flagged in this list, provided money was received and the "Paid" checkbox is unchecked in the refund line.

Notes:

- You can sort the overdue list in any way you like by clicking any column header. Click a second time to sort in the reverse direction.

- If you click on an overdue item line, then the booking is immediately opened for you to process. Save it and you are returned to the list. (Note: In classic mode you can only work with bookings for the current property.)

- The column labelled "Rec" shows the record number in the bookings file.

- Dates that payments are deemed to be due are calculated according to the rules in topic Overdue dates

- Demo Cottage: Overdue payments are not listed unless it is the only property in the data base, or is the active property

- The window can be left open while you work on the bookings in the list. It is refreshed when you close the booking you are working with.

- The list can be printed as shown


Overdue dates

This topic explains how LetSys works out whether a booking is overdue, and also when the deposit and balance are due.

The deposit is calculated to be due 7 days after a booking is taken (you can override this time when you configure the system as discussed in topic Deposit is Due field

The balance is (by default) due 6 weeks before the booking start date (you can change this period when you configure the system as described in topic Balance is Due field.

Late Bookings: If a booking is taken later than this, then the system presumes that full payment is due immediately and no later than the deposit due date (by default 7 days after the booking is taken).

To record a single full payment, it is best to set the deposit paid figure to 0, check the deposit paid field and entire the entire amount paid into the balance.

Deposit and balance due dates are then compared to the current date to work out if a payment is overdue. You are warned of this in a number of ways:

The List Overdue Items function will show overdue payments at the first startup each day, and also on demand.

The pop-up hint on the status window will show due dates as appropriate. Hold the cursor over the booking you are interested in.

Due dates are shown in the Booking Window Status bar as appropriate, as described in topic Booking Window: Statusbar

The colour of the status colour changes to show an overdue booking as described in topic Status colours and meaning


View Local Website

This function can be invoked from either the Status Window or the Bookings window and allows you to view a local copy of your web site in your web browser.

From the menu, select Web / View Local Website or, from the toolbar, click on

Note: You must configure a Local Web Site index file for this to work. If you don't have a website, this is not applicable.

For more details see topic Using LetSys to help maintain a Web Site


Backup Tool

The backup tool enables you to backup all your data and key settings into a single ZIP file. This tool is invoked from the Status Window by clicking menu item Tools and then Backup.

You will then see the Backup Window. You now choose where you want to place your backup. For example, if you want to write it to a USB Drive, click the browse button and select the drive (and sub folder if required). A suggested name is provided for this backup file and it is recommended that you use this as it will let you easily see which is the most recent backup. The drive and folder you last used for a backup is remembered to make the next backup easy.

The backup is taken as a single ZIP file. (See note below). You can, of course, use any method you choose to backup data; use of this tool is optional. However, note that the Restore Tool makes it very easy to restore data created with this tool.

Note that regular backups are not optional if you run a business. More advice is provided in topic Backup and Data Security

Notes: If you get return code 1 when backing up a file, you may have one of the files in the LetSys Folder open in a different application. Shut down all other applications and then try again.

What is a ZIP file? A ZIP file is an industry standard way to compress data, which results in your backup taking as little as half the space prior to compression, and ZIP files can be read by Windows XP and many other programs, including the free (open source) tool 7-Zip. LetSys uses 7-Zip to perform this backup - see http://www.7-zip.org/

Error codes returned by 7Zip:

0 No error.

1 Warning (Non fatal). Usually means one or more files were locked by another application during compressing and those files were not compressed.

2 Fatal error

7 Command line error

8 Not enough memory for operation

255 User stopped the process


Synchronise Folders ("Incremental Backup")

This tool allows you to synchronise your root folder with a copy in a different location (including on a networked drive).

Only files that have changed are copied, which results in fast operation.

One folder, by default the root folder is the master. (Called the source). The other folder (the target) is brought into line with the source.

Files found in the target folder that are not present in the source are deleted if requested.

You can line up folders on two computers via a network or by any mechanism that allows Microsoft File and Printer sharing to work.

One use is to copy your data to a laptop to use when out of the office. A second is to backup the data to a second hard drive (although the backup tool is probably the best alternative for this.)

Note that in addition to copying from local folder (normally the main root folder) to a "remote" folder, you can also copy in the reverse direction. This is useful when you've been using a laptop and wish to move your data back to the main machine.

Copy options: These allow you to control how the copying takes place, although the defaults are recommended.

The options are: (Note: the default is shown thus [x] or [ ] where x means checked.)

1 Copy Subfolders. [x]. If checked, then all subfolders in both local and remote folders are synchronised. If a folder does not exist in the target, then it is created. (You are asked first unless you checked item 6.)

If a folder does not exist in the target, but does exist in the source, it will be deleted, although you are asked to confirm this unless you checked item 6: Pre-confirm deletions.

2 Ask before copying each subfolder. [ ] Only relevant if item 1 is checked.

3 Check if overwriting more recent file? [x] If unchecked target files with a later time stamp are not overwritten. If you check this option, such files are identified and you are given the option to copy the source file anyway.

4 Delete files in target absent from source. [x] If checked then the program will delete any files in the target that are not present in the source. It will ask for confirmation first unless item 6 is checked.

5 Copy files without asking first [ ] Unless checked you are always asked before a file is copied. You can reply Yes to all to the query in which case all files in the current folder are copied without any further query. If checked then a case mismatch on file name is corrected without asking.

6 Preconfirm deletions / folder creations. [ ] If you also check items 1, 4 and 5 then the entire run proceeds entirely without prompts, apart from initial confirmation, to allow you a chance to check you have specified the right direction.

7 Place deleted files / folders in recycle bin. [x] If checked, then any files and folders deleted during the run are placed into the recycle bin. This slows down the run a little, but means that accidental deletions can be rectified.

Notes: The default options are designed for safety, not speed! Once you are confident that you understand this function, then you can check options 5 and 6. The run can then proceed without interruption.

Save settings: Click this button to save your current settings. They are then restored each time you restart LetSys. Any changes you make during a run are in effect as long as LetSys is running.


Restore Tool

The Restore Tool is run from the Special Tab of the Configuration Program, in the Migration Assistance/ Data Recovery Panel

You simply start the configuration program, ensure LetSys is not running, and then click Restore from backup.

This function completely replaces your existing root folder (normally C:\LetSys) from a backup taken with the Backup Tool The settings at the time of the backup are also restored as they are stored in the root folder, in file LetSys.ini

Important: If you need to recover bookings taken after the last backup was taken, then please take a copy of your LetSys root data folder prior to running the restore. This protects all your change logs. This is always good practise. Once everything is up and running this copy can be discarded.

Restoring your data (more detailed instructions):

1. Ensure that LetSys is not running. (It overwrites data and settings when closed)

2. Start the configuration program directly from the Start Menu. Click Start / Programs / LetSys / Configure LetSys.

3. Click the Special Tab.

4. Click Restore from Backup.

5. Specify the location of the backup zip file, taken earlier with the Backup Tool There is a Browse button to allow you to browse to the location and select the file.

6. Click Restore. The data will be restored to the current Root Folder as configured (this location is viewed and can be changed from the General Tab of the configuration program).

7. Read the message asking you if you want to proceed, and if you are sure, then click YES.

8. The old folder is placed in the recycle bin, so if you make a mistake you can recover the deleted data.

9. Once the restore is complete (you will see a window flash up while the files are being restored) your data folder is completely restored. You will, of course, lose any updates made since you took the backup. Note that if your log files are available it may be possible to recover these as described in topic How to recover lost data

Note The data is restored with the same tool (7Zip) used for backup. In the event of errors, codes are listed in topic Backup Tool

You are recommended to take regular backups. This is described further in topic Backup and Data Security When you take a backup all your data and the associated configuration is completely backed up.


Diagnostics Tool

In the event of problems, the Diagnostics Tool will display details of your system, and can be used to send information for problem resolution to the LetSys support department.

You should not run this tool unless you have reported a problem, and are requested (and have agreed) to use it.

It creates an email to send information about your settings and configuration to our support ID, via the RUN button. No data is sent, even if you click RUN, unless you later (a) confirm it should be sent and then (b) send the email created from your mail client.


Upload PHP Web Data / Synch DB

These functions are invoked from the Status Window and allow you to upload PHP availability data and/or Synchronise LetSys rates with a MySQL database kept on a web server.

These two functions allow you to produce a dynamic web site which display your rates and availability on your web site, for example output the availability calendar in your own format. In addition, depending on how far you go with the data, you can even automate web bookings so that they automatically calculate the price or add a holiday search function.

To upload your availability, from the menu, select Web / Upload Web Data

To upload and synchronise a MySQL database, select Web / Synch. Database.

These functions are not active unless you have, from the Web Tab of the configuration program, specified one or both as active.

PHP Availability data: This function uploads a file named propinfo.php which contains a list of your property names and the availability status by day for each property in a compressed format (see topic Using LetSys to help maintain a Web Site )

Configuring the upload of Rates and Availability:

From the web tab of the configuration program:

- Configure the number of days of availability to be uploaded, on the web tab of the configuration program. Leave this setting blank if you do not need this function.

- Either: Install the program eFTP as described in topic Web file uploading using eFTP and create a FTP site called LetSysData, which will specify FTP details of your web site; the connection details will normally be the same as your site definition for the "Publish To Web" operation.

- Or: You can use a PHP helper script to do the upload. This also enables automatic upload at specified intervals. This will require you to contact us for additional information. The rates data (function Synch DB) can only work via a helper application.

The files to support upload of web data are first created in the local directory specified in this FTP site, and then uploaded to the remote directory on your web site, also specified in the site definition. This gives you complete control on the location of the file.

You need web specialist skills to write the necessary scripts. We only support PHP, as this is the most widely used scripting language and runs cross-platform. Once created, the meaning of the data within the uploaded file should be self-evident to a web programmer.

Please note that it is the users responsibility to write and test the dynamic web application - we simply provide the data for use if required. We will, resources permitting, provide some assistance in doing this for a charge. Please contact us.

You can auto-upload this data at specified intervals. See topic Auto-upload PHP web data


Format of file "propinfo.php"

This file is discussed in topic Using LetSys to help maintain a Web Site

It contains data in PHP format, as follows.

The file contains two parts. First there is a list of all your properties in a PHP array. For example:

$prop = array("-select property-",

    "Rose Cottage",

    "Demo Cottage");

Here there are just 2 properties. Array element 0 is designed for use in a drop down box, and the subsequent array elements are indexed by property number.

The second part is the availability status. First two variables are defined:

$nadays = 365;   // Number of days of availability requested (set in the configuration program on the web tab)

$startdate = mktime(0,0,0,3,8,2012);  // Date availability last updated.

Then each properties status is defined thus:

$a[1]='9A9B5A14B21A14B28A16B5A14B7A35B';

Here the availability is defined by day. The first day is the day the status was written, ie $startdate.

The data is compressed with a very simple algorithm 9A simply means the next 9 days are available.

9B means the following 9 days are booked or unavailable.

That's it! Please note that it is the users responsibility to write and test the dynamic web application - we simply provide the data for use if needed. We will, resources permitting, provide support in doing this for a charge. Please contact us.


The Bookings Window

This topic describes the bookings window. The image below shows an example - click on this for more information about each component.

In particular make sure you understand all the actions possible by reading topic: "The Bookings Menu and Toolbar" and also the Topic: Bookings Window: Entering data..

If you are managing more than one property, note that the name of the property you are editing is displayed in the Booking Window Caption.


Bookings Window: Entering data.

The data fields contain text, dates and amounts. You provide some of this data, and some of it is automatically provided by the system, although it can be replaced. For example, when you first create a booking, by clicking on a free date, then the start date is automatically entered into the bookings window. The end date is also provided on the assumption the booking is for one week - you then change this to the actual end date if necessary.

Text (such as names, addresses and phone numbers) is just keyed into the normal windows edit boxes - you can also cut and copy text exactly as in any other Windows application.

More help on the text fields is available in these topics:

Surname

First Names

Address

Phone Number

EMail

Comments

Dates: These are set automatically, but can be changed. See topic Booking Start and End Dates

Status: The status changes according to the settings of the check boxes for deposit and balance paid. More information on status here.

Rent Calculation: If the booking is for a complete number of weeks, then the rent is automatically calculated from the rates file, but you can override it - for example if you give a discount. There is a discount calculator, to automate giving discounts. If you negotiate a special deal then you need to work out the rent you are charging it and enter it manually. For less than a week you must handle manually unless you configure your charges for short lets, as described in topic Rent Calculation

Optional Charges: If you specified optional charges when you configured the system, then these will show. More information on optional charges can be found here.

Total: The total paid is automatically calculated when any of the amounts are changed.

Deposit: The deposit is automatically calculated according to the percentage you have chosen to use when configuring the system (the default is 25%). However, if people pay a different amount or a full amount you may enter the exact amount paid here. In this case, if necessary, the balance due is adjusted to give the correct total

Amounts may be specified as any amount required. (eg 10.50, 99.99, 150, 149.99 ) although they will often be integers. Deposits and balances are calculated (and can be specified) as exact amounts, specified in pence/cents.

Deposit and Balance paid checkboxes - and dates: When payments are made check the appropriate box. The date box should record the date that the payment was made, and this is initially set to the date you checked the box. This provides a record of payments.

The "Ack" checkboxes: Separate Ack check boxes appear alongside the paid checkboxes when they are checked. These may be used to record that you have posted or emailed acknowledgement letters following receipt of the payment. See topics Deposit Paid checkbox and Balance paid checkbox for more details. This system assumes that you will send acknowledgements of payments at or soon after the time you receive the payment. See the topic creating letters to learn how to create acknowledgements. If you do not check the Ack boxes, warnings will show in the Overdue Items list to remind you to send the letters.

Booking Source: This field is designed for you to record where you obtained each booking. This field is used by the Statistics routine to analyse where your bookings came from to help you know which sources are the best. You should decide on some standard names for each source, and always use the same names for each source.

To help you always use a standard name, there is a dropdown box. If you select the arrow, you can see the booking sources you have already entered into your database, with the most popular source at the top. Select the one you want, or key in a new source. More information here.


The Bookings Menu and Toolbar

The menu and toolbar in the bookings window allow access to various actions and functions. These are:

FILE MENU: Shortcut keys Description

Save Booking (F2) Save the booking, but continue working with it.

Save and Exit (F4) Save the booking and return to the Status Window.

Quit without saving (Ctrl+Q) Quit working with the booking, discard changes.

Print Label/Envelope (F6) Opens panel to print name/address from booking.

Print spooled labels (F5) Labels are not printed immediately, but are batched or "spooled".

Print copy of booking (F12) This prints an exact copy of the booking window.

EDIT MENU:

Undo / Redo (Ctrl+Z) Standard windows 'undo' last change. Repeat to redo the change.

Cut (Ctrl+X) Standard windows 'cut' ie mark with mouse, then cut to clipboard.

Copy (Ctrl+C) Standard windows 'copy' to clipboard.

Paste (Ctrl+V) Standard windows 'paste' from clipboard to cursor position.

Delete Booking (Ctrl+D) Delete the booking you are working with - you are asked to confirm.

Copy booking to temp. storage. For copying data from a previous booking into a new one.

Paste booking from temp. storage. Useful to move data across from another booking.

Copy name/address/phone and email to the clipboard. To place in another application.

SEARCH MENU: Actions to enable searches through the booking database.

Find text (Ctrl+F) Brings up the "Find Dialog" box, enter the string to hunt for.

Find again (F3) Repeat last "find string" search, start from current booking.

Search history Search the data base for repeat bookings etc.

VIEW MENU: Actions to enable you to navigate through the booking data base:

Next booking (PageDown) View the next booking

Prev Booking (PageUp) View the previous booking

Top (Ctrl+T) View the first booking in the data base

Bottom (Ctrl+B) View the last booking in the data base

LETTERS MENU: Actions to enable you to create or view letters to your customers, and manage proformas:

Show the Letter Window This lets you create or view an automated letter

Configure Letter Types This allows you to manage or edit letter proformas.

TOOLS MENU: These actions enable you to invoke various viewers or tools.

Show booking form Display booking form (if it exists) else locate

View Local Website View local copy of your web site

Display calculator (Ctrl+M) Opens the windows calculator

WEB MENU: This groups actions that enable you to interact with your web site (if you have one).

View Web Page Display local copy of web site in browser

View Remote site View web site on server - must configure!

Maintain forms inc. delete, by launching web application

Show booking form Allows download from web site


Booking Window: Statusbar

The status bar at the bottom of the booking window provides useful information about what is going on:

Leftmost panel: Gives the record number of this booking and total number of records in the database, for the property being processed.

Middle panel: Gives the date/time of the last update to this booking.

Right panel: When appropriate this shows help and status messages. For example, it tells you when you reach the top or bottom of the bookings file, or if a booking being displayed has overdue payments.


Booking Status

The booking status is shown as a large blue text field at the top of the Bookings Window.

The status text can be one of the following: (The character in brackets is used in the status box in Classic Mode)

Free [image] This is the colour of a free week on the status display.

Reserved [image] Week reserved for personal use or a wait listed booking. Surname shows -Reserved-

Hold (H) [image] Week held as a provisional booking pending receipt of deposit

Deposit Paid (D) [image] The deposit is now paid and acknowledged.

Paid (P) [image] The booking is fully paid up, but you have not checked the "ack" box to show joining instructions have been sent.

Paid, sent instructions (P) [image] The booking is fully paid up, and joining instructions sent.

Repay Deposit (R) [image] This shows if you have specified Returnable deposits. The deposit now needs to be returned.

Complete [image] The holiday is now over, all is complete.

Cancelled Booking is cancelled.

The status is set automatically depending on the settings of the various check boxes (eg Deposit and Balance paid, etc)

Notes The colours shown are used in the Status Window and can change if a payment is overdue. See topic Status colours and meaning


Booking Start and End Dates

These fields contain the dates that the booking starts and ends.

When you first create a booking, they are automatically completed by the system. The start date will correspond to the position that you clicked on in the Status window. The end date is normally set to 7 days after the start date, ie a default booking of one week. If there are less than 7 free days following the start date, the booking length is set to the maximum number of free days available.

The start day is normally set to your changeover day, provided the entire week you clicked on is free. If the week is already part let, then it is displayed in the status window in "segmented form". You can start a booking on any day that week by clicking on the small box for the appropriate day.

The easiest way to change any of the dates in the booking form is to use the "date picker" drop down calendars.

<----click this button to right of the date component.

If you change the duration of a let, then when possible, the rent and other time dependent extra charges are recalculated.

At the time that you try to leave one or other of these fields a check is made to ensure that the booking dates don't overlap with any other booking dates and the end date is greater than the start date. If there is an error, a message is written, and you won't be able to enter any more data until these dates are corrected.


Number of days

This field (in the bookings window) is automatically calculated by the system, using the booking start and end dates.

It cannot be changed.


Surname

This field (on the Bookings Window) can be used to enter the surname of the person booking. This name displays in the status window, and is also used in many other places. See also topic First names.


First Names

This field should contain the first names and title (if any) of the person making the booking.

If you use the system to automatically generate letters or email to someone, then their name is constructed from the two fields First Names and Surname. Thus if surname is Smith and first names is Mr and Mrs then letters will be addressed to "Mr and Mrs Smith".

You can omit the surname form the greeting in letters by checking omit surname from salutation More information on how to control the formatting of your customer names is contained in this topic.


Address

Enter the address of the person making the booking. This address is used when the system creates letters or prints envelopes/labels. It is also for your records.

Addresses can be up to a maximum of five lines and less than 140 characters. In a few cases, you may need to combine items onto a single line, eg both town and county plus postcode, or use abbreviations.


Phone Number

Enter the phone number of the person making the booking. This is for your records. You can enter any text you wish up to a maximum of 56 characters. Therefore you can include alternate phone numbers; for example:

Phone: 020-8940-7087 Work:020-1234-5678 Mob: 0770-435-2345


EMail

Enter the email address of the person making the booking. This address is used when the system automatically creates an email to the person and is also for your records.


Write eMail button

If you have entered the email address for your customer into the EMail edit box (in the bookings window), then you can click this button to email the customer.

When you click the email button (in the bookings window) the system will create a new message in your default email client and enter the email address and a subject field. You can then type any message you wish and send the email. You may need to have your email client running before clicking this button.

You can also send the standard automated letters via email as described in topic About automated letters.


"Special Instructions" field

This field (labelled Special in the bookings window) is for you to record instructions about the let.

It can be used for any desired purpose, but most often is useful for information about a specific let that need to be communicated to others.

These instructions are included in the two reports that can be created for your local representative:

1. Print Booking List (for local rep)

2. Create Booking List (for local rep.)

They can also be included in automated letters using the "special" string <!Special>.

They can also be exported to a spreadsheet with Export Bookings to CSV file

To help you recall that this let has special instructions, check the "special" checkbox (marked with a yellow circle.) When you do this, a small yellow circle will appear in the status window for the appropriate week.

This special instructions field is in addition to the larger Comments field which enables you to record other information about the let.

Hints and tips: Some possible uses include:

- Passing instructions to your local representative, for example, a note saying "2 young children - please put cots out".

- Making notes for yourself that something needs to be done for this tenant.

- One user has electronic code locks on each property which are easy to change. Therefore each let is given a different code. This code is recorded in the Special field and can easily be communicated to both local representative and those staying using this feature.


Comments

Use this field to enter comments about the booking. These are notes for your records. For example you might want to note the first names of people booking, or make a note of a conversation. You could also note here if there was damage caused during a let so you can find this information if the people try to book again. Comments are also shown in the The Search Window which can be used to find previous records.

Comments are free form, and you can enter as many lines as you like, although only 7 lines will fit in the display. There is a limit of 500 characters. (Increased in V4.1)


The Source (of bookings) field

The source field (on the bookings window) is for you to record the source for each booking, ie how your customers found you. This field can then be used to analyse where your bookings came from. This enables you to see which agencies, or advertising method was most helpful for bringing you business.

This field can contain any string you like, up to a maximum length of 25 characters.

You should enter exactly the same description for a particular source. If you enter "Smiths Lettings" in one booking and "Smith's Lettings" in a second these will be treated as different sources when the analysis is done. If you do this, see the tip below on how to quickly fix the problem.

To help you use the same description for a source, there is a dropdown on the Source box. Click this and you will see up to 10 of the sources you have used already extracted from the current bookings file. The first is the one that occurs most frequently. If there is room, a couple of examples are also displayed at the bottom of the list, Repeat - for a repeat booking and Reference - for a booking obtained through a reference from another customer. As soon as you add a new source to a booking, this will show up in the dropdown box.

To analyse where your bookings came from, just select Tools / View Statistics from the Status Window or click the toolbar icon

Hints and Tips:

  • Always ensure each source is spelled exactly the same. A single letter in the wrong case will cause the source to be treated differently.
  • When you view the statistics you may realise you wish to change some of the source fields - for example, where you have used two different descriptions for what is really the same source. Here's a quick way to do it:

- Open a booking. Hit control+T together to go to the oldest record in the file.

- Select Search / Find Text.

- Enter the text (ie the name of the source) that you are looking for, and locate any records with this string in the source field.

- Change this to the one you want - the dropdown arrow will probably help here.

- Click the "save record" button (don't close the booking) and then hit F3 to search for the next occurrence of the same string.

- In this way you can very rapidly search through the entire file and change the unwanted source fields.


Number of visits

Number of visits written Num Visits...

This must be a positive integer and is automatically set to 1 for a new booking.

This field in the bookings window is for you to record how many times the customers have stayed. If you use the The Search Window to locate details of previous bookings, and then copy these details into the booking, the number of visits field is automatically incremented by one. You can change this field to any positive integer.


Initial Booking

This field records the date the booking was taken. It is set automatically with the date when a booking is created. You are allowed to change this date but you would not normally do so.

You would, of course, change this field if you were entering bookings previously taken manually, or taken by someone else (eg an agency), in which case change this date to the date that the booking was originally made.


Show As Unavailable (Web)

Check this box to force the availability for bookings that are in HOLD status to be shown as LET when you Publish to Web

This checkbox (in the booking window) is only shown when the status is HOLD.

This option applies if you have a web site and publish your availability to the web. It allows you to override the default behaviour which is to show weeks that are held as free, as bookings are often cancelled prior to payment of the deposit.

If you are certain the deposit will be paid (for example because you know the customer well) and want to display this week as let, then check this box.


Reserved (Waitlisted) Booking

The Reserved Booking checkbox in the booking window enables you to reserve a week (or longer period) for two purposes:

  • For yourself (or a property owner): ie a personal booking. This enables you to reserve weeks for yourself or an owner, and show these weeks as unavailable, including on your website if you have one. You can also reserve weeks when the property is not available for any reason - for example for maintenance work.
  • For a customer: You may have customers approach you well in advance and ask if they can reserve a week. You can use this facility to operate a "waitlist". Enter a booking in the normal way, check this box, enter the customer details, and the week is then reserved for the customer. You can charge a nominal "holding deposit" or not, as you wish, but don't check the deposit paid box or the status will change to "Deposit Paid". Instead you should note any holding deposit taken in the comments.

All reserved bookings show up as shades of red (not available) in the status window and in the Web Availability status report that you can publish.

One reason for using this facility for advance customer bookings (or waitlists) is to avoid the reserved week showing up in the Overdue Items List after the normal period for payment of deposit (default one week) has elapsed. However, these bookings will show up in the Overdue list once the "waitlist" period expires. By default this is 34 weeks prior to the let starting. You can alter this waitlist period in the configuration program - see topic Waitlist expires field.

For personal or owner bookings the surname field is set to - Reserved - automatically when the Reserved Booking checkbox is set. Do not change this, as it is this field that determines if it is a personal or customer reservation.

You can only check the Reserved Booking box when you create a new booking, or if the booking is still in "Hold" status.

If you change your plans, or the customer cancels, just delete the reserved booking, or change the dates in the usual way.

For a customer reserved booking, once the deposit (or full deposit) is paid, just check the Deposit Paid (or the balance paid )box in the normal way, and the booking changes to Status=Deposit Paid. The accounting reports consider the entire deposit to be paid on the date that you enter in the "Date deposit Paid" field.

Notes:

  • Reserved bookings (for yourself or an owner) are not included in the statistics or the monthly accounts.
  • Customer Reserved bookings ("waitlisted" bookings) are not considered firm by the system until the deposit paid box is checked, and details are not included in any statistics or accounts. However, the dates are shown as taken in the Status displays and the Web availability table, so that you know you are holding these dates for a customer.
  • For a personal booking, the rent and charge fields show the appropriate amounts so you can see what your weeks would have cost. However, the total, deposit and balance fields are cleared to zero when you create a Reserved booking for yourself, and such bookings do not show up on the accounting reports or the statistics - so the accounts do not include any income or the nights from a personal booking.


Omit from Mailshot

Check this box (in the bookings window) to exclude this customer from mailshots.

Examples of when you should check this box:

- A customer has stayed more than once, but has changed address. You only want to write to them once. Set this flag on in the booking record for the old, incorrect, booking record. This flag is set on automatically for a previous booking when you copy the customers details into a new booking. Then if a customers address changes, you only need update it in the most recent booking.

- You ran an email mailshot, the email address for this customer was invalid and you don't have a correct address.

- This is an old booking record, and this customer has a new address (probably recorded in another booking)

- You have another reason for excluding this person from mailshots - eg your customer asked not to receive mailings.

More information on how to handle mailshots is to be found here.


Omit Surname from salutation

Check this box (in the bookings window) to cause the salutation used in letters to be addressed to the recipients first name only (subject to the letter proformas having been set up correctly.).

When you know a customer well it may not be appropriate to address them as "Dear Mr and Mrs Smith", but instead just as "Dear John and Mary". When LetSys automatically creates letters then by default it substitutes the First names field added to the Surname into the space in the letter proforma occupied by the special string <!Salutation> (See Topic "About Letter Proformas") If you check this box, then the letter will be addressed only to the contents of the (Title)+First names field.

Thus if Surname is "Smith", and First names is "John and Mary" and this box is checked, you will get the desired result.

Note that the special string <!Names> will still be replaced with "John and Mary Smith", in case you need this elsewhere.

Note also that if you print labels and envelopes, then these will be addressed with the first line = First names+Surname.


Rent

The Rent field on the booking window shows the rent you are charging for this let. You can only enter positive numbers and the decimal point. A blank field is invalid.

When you initially create a booking, or alter its duration, then the system will, if possible, calculate the rent using the rates file for the current property and year. The method used to calculate the rent are described in topic Rent Calculation

Once a booking has been created the rent will not be changed, even if you edit the rates file. Rent is only re-calculated when you change the duration of a booking. Once the booking is created you can manually alter the rent to any value you choose. You can also calculate a discount on the rent with the Discount calculator.

Note that if you subsequently change the start or end date the rent will be recalculated, and you may have to reapply any adjustments you made.

By default LetSys does not try to calculate the rent for lets less than one week, but you can configure it to do so, as described in topic Rent Calculation


Extra Charges

This field can only contain positive numbers (including a decimal point.) A blank field is invalid.

If you have configured optional extra charges (you can have up to three) then these show under the rent on the Bookings Window.

Some extra charges are automatically filled in (these include a fuel charge, a linen charge, a returnable deposit and a booking fee).

Others will have to be filled in according to your scale of charges. For example, if you charge extra for pets, this has to be entered manually.

If you change the duration of a let, then time-dependent extra charges (heat and linen) are calculated on the same "pro-rata" or other basis as the rent, as described in topic: Rent

For booking agencies you can configure one of the charges as a "Booking Fee". This would normally be used to reflect the amount paid to you for handling the booking and management. This can be set up as described in topic Configuring a Booking Fee

More information can be found in Topic "Extra charges - details and configuration.


Calculate Surcharge

If you have configured one of the extra charges to be Surcharge, then a calculate button will be visible next to the box for this charge. (This feature is designed to enable you to add a surcharge for the use of a credit card).

Once the customer has told you that they wish to use a credit card, you can calculate the surcharge and then tell them the new amount owed. You need to do this before the charge in question is shown as paid.

Click the calculate button to show the Calculate Surcharge window. This shows the following fields:

The surcharge percentage. The default is 2.5%. You can change this and the new amount is saved for next time.

The amount on which the surcharge will be applied is shown in a box with a dropdown arrow.

This can be the deposit, the balance or the total, as you select.

- If the deposit is due, this is selected by default, and the surcharge will be calculated based on the amount of the deposit..

- If the deposit is paid, but the balance is due, this is selected and the surcharge is calculated accordingly.

- You can also calculate a surcharge based on the total by selecting Total in the drop down box.

You are also shown the amount on which the surcharge will be based and the amount that will become payable.

If you adjust the percentage or the charge it is based on then the amounts are recalculated and displayed.

Once you are satified that all is correct, then Click to apply will close the window and apply the surcharge to the booking.

Notes:

It is also possible to manually enter any amount you like into the surcharge box

Surcharges are cumulative. If you first calculate a surcharge based on the deposit, and later on the balance, then the two surcharges will be added together and the total will show in the surcharge box.

The total amount will include the surcharge added to the rent and any other charges

Read more about surcharges and their configuration in topic Extra Charges - details and configuration

Remember that no surcharge box or calculate button will appear for a property unless you have configured a surcharge for that specific property. By default surcharges are not applied.


Total

Total (or cancellation charge)

The total field in the bookings window shows the sum of the rent and any extra charges. The system calculates this automatically as you change the other charges. You cannot alter this - if you need to change it you must alter the rent or charges.

Cancellation Charge.

If a tenant cancels their booking, you can adjust the amount in this box, up to a maximum of any payments received. This is then treated as a cancellation charge and will show on payment reports etc. The refund field will show the amount paid less the cancellation charge. When you check Paid next to the refund field, the cancelled booking will be considered to be a completed transaction. More details are here.

The total field always shows the net income either received or expected for the booking.

If you use refundable deposits, the amound refunded is shown in a separate Refund field which shows only when a refund has been paid. The total excludes the refund.


Deposit

Deposit: The deposit is automatically calculated according to the percentage (or fixed amount) you chose to use when configuring the system (the default is 25%). However, if a customer pays a different amount, just alter this field to show the exact amount paid. When you do this the balance payable is automatically adjusted.

The deposit can be any positive number (eg 100 or 99.99). A blank number is invalid - use 0.

For details of how to configure the system to calculate deposits, see topic Deposit required


Deposit Paid checkbox

Check this box (in the The Bookings Window) when a customer pays the deposit. When you do so, the Paid date field and an Ack checkbox appear. The date paid is automatically set to the date you checked the box, but you can alter this if necessary. This box shows that the deposit is now paid, and the date should show when the payment was received.

The Ack checkbox is designed to confirm that you've sent an acknowledgment. (Some users first receive and bank payments, and later send out acknowledgements and wanted this feature). You will get a warning in the Overdue Items list if the deposit is paid, but you haven't checked this box, to act as a reminder to send an acknowledgement. The warning states "Deposit not acknowledged"

Sometimes a customer pays the full amount at once. In this case, ignore this checkbox, and check the Balance paid checkbox. You will be asked if the full amount is being paid.


Balance

The balance field is calculated automatically by subtracting the deposit paid from the total cost. You cannot alter this field. If it is not what you require, then you have to adjust either the charges or the deposit paid.

Notes:

- If you alter charges in a booking where the deposit has been paid, then only the balance field is adjusted.

- Once a booking is complete the balance is not altered even if one of the charges (for example the returnable deposit when repaid) is changed. The rationale is that these are the amounts the customer actually paid. They don't affect the amounts reported which are based on the total, which is adjusted.

Another example (one we've had) could be a customer who could not take their dog at the last minute and later you decided to return the pet charge. You can set this to zero, and the total (and reported income will change). However, the deposit and balance remain at the amounts the customer actually paid. In this case it may be a good idea to make a note that there was a refund in the comments.


Balance paid checkbox

Check this box when a customer pays the balance. When you do so, the Paid date field and an Ack checkbox appear. The date paid is automatically set to the date you checked the box, but you can alter this if necessary.

These fields record the payment of the balance due, and the date this payment was made.

The Ack checkbox is designed to confirm that you've acknowledged this payment. This is normally by sending joining instructions. You will see a warning in the Overdue Items list if the balance is paid, but you haven't checked this box, to act as a reminder to send the joining instructions. The warning states "Balance not acknowledged, send joining details?"

This operates in the same way as the deposit acknowledgement checkbox described in topic Deposit Paid checkbox


Rent (for short lets)

This topic describes how LetSys can calculate the charge for short lets, if required, from the Rent tab of the configuration programme.

Topic Rent Calculation gives an overview of how LetSys works out the rate for a let; this topic describes the parameters entered into the configuration programme for short lets, and the way charges for short lets are calculated.

To automatically calculate charges for a short let, check the box Calculate charge for short lets.

The first time you check this box, defaults are set as defined under heading "The easy option" below .

If you don't check this box, but do specify a minimum charge for a short let in the Rates Window, then that minimum charge is used for all short lets, regardless of duration. If the calculated rent is less than this minimum, then the minimum charge is used instead. If neither is specified (the default) a new booking will just have the weekly rent and charges entered for you to adjust.

You can specify three items for both weekend and weekday nights as follow:

Fixed Cost (F): A fixed charge (regardless of the number of days). Specified as a percentage of the weekly rent. Can be zero.

Cost/Night (C): Cost per night of the let as a percentage of the weekly rent. Can be zero.

Minimum number of nights (min): The minimum number of nights to charge for. Can be zero.

1 Weekend lets: A let within the period Friday to Monday

2 Weekday lets: A let starting and ending within the period Monday to Friday.

3 "Mixed" lets: Lets that contain both weekend and week nights.

If the short let is entirely a weekend or a weekday let, the program then calculates the rent using the formula: Rent = (F*Rate) + (nights * C * Rate)

Rate is the weekly rent that applies for the week; nights is the duration of the let, but min (the minimum number of nights you charge for) is used instead if the let is less than this minimum duration.

If the let is "mixed" then the fixed charge applied is the one applying to weekend lets (on the assumption weekend nights are more easily let). Each night is then charged at the appropriate percentage of the rent (either weekend or week). The minimum stay is the one for weekends.

In the event of a weekend let starting in a week with a different rate than the week it ends in, then the daily charge is calculated using the rent that applies to each day

The fixed charge is calculated using the rate that applies on the first day of the weekend let, and in this case a warning beep is sounded (with a message) in case you wish to adjust the rent.

This can produce unreasonable rents, but from LetSys 4.2 onwards, the fixed charge can be based on a weighted average rent, calculated in a way that reflects the number of days under each rate. To use this new method, check the option "Use weighted average when short let straddles two rates".

Note that existing users will see no change in the way the rent is calculated, unless they check the box. As this gives a more reasonable result, new users will find this is the default.

Linen Charge: If you specify a linen charge, it is assumed your costs are the same regardless of the let duration, and the full weekly linen charge is used regardless of the duration of a short let.

Fuel charge: If you specify a fuel charge the same formula is used to calculate the fuel cost as is used for the rent - ie: Fuel charge = F*Fuel + days*N*Fuel where Fuel is the weekly fuel charge applying.

The easy option - take the defaults:

When you first check the Calculate charge for short lets box, the default numbers are set as follows:

-----------------------Fixed cost----Plus cost/night---Min no of nights----

Weekend nights: 60 (%) 0 (%) 3

Weekday nights: 20 (%) 10 (%) 2

This default setting turns into the following set of rules (originally requested by one of our users):

Make a Week-end (Fri-Mon) short break 60% of my Normal Weekly Tariff

Make a 2-night mid week short break 40% of my Normal Weekly Tariff

Make a 3-night mid week short break 50% of my Normal Weekly Tariff

Make a 4-night mid week short break 60% of my Normal Weekly Tariff

The setting "Use weighted average when short let straddles two rates" is set on.

Hints and tips:

- Warning - short lets: Some settings can result in unreasonably high or low rents when a let includes both weekend and weekday nights. Always check the predicted rent is reasonable and is what you want to charge. If it seems unreasonable, adjust it manually.

- The minimum charge (set in the rates window) applies, even if you set the percentages in the configuration programme. This can provide a useful way of ensuring you always charge a minimum even for low cost off-season short lets.

- The new feature (available from LetSys 4.2 weekly rate used to calculate the cost of a weekend let is the one which applies to the week in which the let starts. If the following week has a different weekly rate this does not affect the amount calculated.


Booking: Save and Exit

Save and Exit saves the current booking (as displayed in the bookings window) and returns you to the status window, where you can continue to work with the system. The changes are saved on disk - so you lose as little data as possible in the event of a power or system failure

You can execute this action from several places:

- From the Save and Exit button in the Actions groupbox.

- By hitting F4.

- By selecting the menu item: Save and Exit.

- By clicking on the "Save/exit" toolbar button:


Booking: Save Booking

Save Booking saves the current booking (as displayed in the bookings window) but leaves you working with the bookings window. As with save and exit changes are saved to disk.

You can execute this action from several places:

- From the Save Booking button in the Actions groupbox.

- By hitting F2.

- By selecting the menu item: Save booking.

- By clicking on the "Save booking" toolbar button:


Booking: Quit without saving.

Quit without saving closes the bookings window and returns you to the status window. If you have made any changes to the booking, then you are asked if you want to save these, or discard them.

You can execute this action from several places:

In the bookings window:

- By clicking the "Quit without saving" button in the Actions groupbox.

- By hitting Ctrl+Q.

- By selecting the menu item: Quit without saving.

- By clicking on the "Quit without saving" toolbar button:


Booking: Delete booking.

Delete Booking deletes the booking after first asking for confirmation. If you want to retain information about a cancellation, consider using Cancel Booking.

The booking you are viewing (in the Bookings Window) can be deleted as follows: .

From the bookings window: You can delete the displayed booking in any of 4 ways:

- Click the Delete Booking button in the Actions groupbox.

- Enter the keyboard shortcut Ctrl+D.

- Select menu item: Edit / Delete Booking

- Click the "Delete Booking" toolbar button:

Notes:

  • When you delete a booking you are first ask to confirm the deletion. The booking is then updated and the file is immediately saved (confirmed by a beep). This means that your data is safe in the event of a crash (eg due to a power cut).
  • When you are working with a booking that you opened from the Status Display) then you are returned to the Status Window once the deletion is complete.
  • If you are working with a file that you loaded by double clicking the file name in Windows Explorer or My Computer, then there is no Status window, and the previous booking in the file is displayed following a deletion.
  • If you work with a new booking for the first time, it has not yet been saved and therefore cannot be deleted from the database. Just click Quit (don't save) to remove it.

Recovering a deleted booking. If you deleted a booking by mistake, you can recover it as a copy is saved in the Archive folder for the property, in the file Deleted.hls. Full details are given in topic How to recover lost data


Booking: Cancel booking.

The Cancel Booking button initiates cancellation of the current booking. You next see the Cancellation Dialogue in which you specify a cancellation charge (if any) and select from the options listed below.

The booking is retained in the database. Cancellation charges are treated as income and included in reports.

The Cancellation Dialogue shows the total paid (if any) and allows you to specify a cancellation charge. You can only do this, of course, if a deposit has been paid.

You are given three Cancellation Options to choose from:

  • Cancel and pay refund (if any) today. You can specify a cancellation charge (this will be set to 0 if nothing has been paid, and any refund due will be shown. When you click Confirm the system sets the refund date as the current day, and you should now refund any amount due.
  • Retain all funds paid, defer repayment. It is often the case that although the booking is cancelled you cannot yet decide on a cancellation charge. For example, you may charge less if you manage to re-let. We almost always defer a decision on what to charge until we know whether we can re-let, in which case we charge a lower administration fee. If we cannot re-let, a higher amount is payable according to our booking conditions. All funds paid are retained, and for the time being show as the cancellation charge; however, you can return to this booking later (see below) to adjust the charge and record the date you refunded the balance.
  • Completely delete this booking from the database. If nothing is paid it usually means someone was holding dates, but decided not to proceed and did not pay a deposit. This tends to happen relatively often in our experience. As there is no income to report, it is often better just to delete such bookings unless there is a good reason for keeping the customer details in the database. You can also delete a booking by clicking Delete Booking on the Booking Window.

Once you have adjusted the cancellation charge, and selected the option you want, click CONFIRM.

The booking status is set to Cancelled and a message confirms the amount the customer already paid, the cancellation charge and the refund due (as appropriate).

The booking remains open and you can still abort the cancellation by clicking Quit - don't save.

You can adjust the amount of the cancellation charge (which shows in the field normally labelled Total).

.

Note: the refund field is read-only. It is calculated as the amount the customer paid less the cancellation charge.

To finally confirm the cancellation you just save the booking in the usual way.

The cancellation charge becomes the total income for that booking. It is displayed in the total box, but with the label now set to "Can.Chg".

The amount refunded is shown in the "Refund line" which becomes visible below the Balance Paid line. This also records the date you paid the refund, set initially to the date of cancellation but you are able to change this if necessary. The date the booking was cancelled is recorded in the comment box.

Changing the cancellation charge: If you subsequently agree a different cancellation charge, locate the cancelled booking (see below) and alter the amount of the charge. The amount to refund (if any) will automatically be recalculated.

Deferred repayment: In this case the entire amount paid is retained and shows as the cancellation charge. The Paid checkbox is unchecked, and the repayment date does not show. The booking appears in the Overdue Items to remind you to return to this booking. Once you have decided on a cancellation charge, open the booking, set the charge, and check the Paid box. The date will now appear, set to the current date.

Warning: Once you cancel a booking, you cannot change the status back (ie "un-cancel" it). If the customer changes his/her mind, you have to create a new booking. If you do this you should delete the cancelled booking from the database. The easiest way to re-create the booking is to use Edit / Copy booking to temp. storage from the cancelled booking. Then use Edit / Paste from temporary Storage to paste into the new booking.

Notes / Hints and tips:

- Finding a Cancelled Booking: There are several ways to do this:

* If the Paid box is unchecked (on the refund line) the booking shows in the Overdue Items List - just click the line to view it.

* You can use the Search Window and enter (for example) the customer name. This displays all records including those that have been cancelled (see the status).

* You can open the booking file for the property and page up and down to see cancelled bookings.

* You can list all the bookings using View / View all bookings as list. Sort by status to see cancellations.

- To permanently delete a cancelled booking from the file: Locate it and from the bookings window, click delete booking.

- Changing the cancellation charge: Locate the cancelled record (as above) and just enter the new charge (or reset it to zero). The refund amount is automatically changed. You can also change some other fields.

- Changing other amounts: For a cancelled booking, you can change the charges or deposit paid. However, in this case the total and balance cannot be recalculated. We can't see why you would normally want to change this data in a cancelled record, and you are advised not to do so.

- Accounts: The individual payments are recorded, ie the dates and amounts the customer paid, and the amount you refund. A refund is not considered paid unless the Paid box is checked.

In the aggregated reports such as that produced by View statistics or the Income Report, cancellations are handled as follows:

1. A cancellation charge is deemed to have been paid on the start date of the cancelled let.

2. Deposits paid in previous years are deemed to have been repaid, and no longer show up as prepayments.

If that doesn't agree with your accounting methods, you should adjust your accounts manually, which is not onerous as there are unlikely to be more than one or two cancellations involving retained deposits in any one year.

- Returnable Deposits: When you cancel a booking, it is presumed that you deduct the cancellation charge from the total paid (which may just be the returnable deposit). The returnable deposit field will still show the full returnable deposit for cancelled bookings, as the amount refunded is shown in its own field.

- Booking Fee: If you configured one of your extra charges to be a booking fee, the cancellation charge must cover this. If it does not, you will get warning messages. Either increase the cancellation charge to cover the bookinf fee, or reduce the booking fee before reducing the cancellation charge.

- Mailshots: You can still send mailshots to customers who cancel. They appear by default in the lists produced.

Warning: Bookings cancelled using versions of LetSys prior to V3.2.7 (and to a lesser extent V3.5) will show some incorrect data (especially dates and total paid) but the cancellation charge is correct. To correct these bookings (if you want to ensure the reports are correct) locate and open the booking and edit the data.


Booking forms - viewing and creating

You can save copies of Booking Forms (from customers) in the Bookings Forms folder for each property in any format you like, and then view the form for a particular booking at any time from the bookings window. Forms must have a file name that agrees with the naming convention below.

Viewing

From the Bookings window menu, select Tools / Show booking form, or click [image] on the toolbar. The booking form must be present, or you will be told it does not exist, and invited to browse for it (on your local computer) or download it from your web site.

The booking form can be in several formats:

Scanned documents: You can scan paper forms and save them as discussed below. Graphic file types (gif, png or jpg) are opened in the default Windows Picture Viewer (see note at end).

PDFs, Microsoft Office documents, text files or any other document format registered on your computer will be opened in the registered application. This includes HTML documents downloaded from the web if you use this feature.

Creating Booking Forms

It is up to you to create the form in your chosen format, with a file name as follows: yymmddName where yymmdd is the booking start date and Name is the surname of the person making the booking. The file type can be any registered type, and determines the document type.

Text or Office documents: You should just create these in any format you normally use; for example copying text from an email giving the details of the booking.

HTML Forms: You can create and download a form from your web site, as described in Topic Downloading a Web Booking Form Note that the file type should be HTM not HTML.

Scanning forms

Paper forms can be scanned and saved as gifs, pngs, jpgs or pdfs - whatever is most convenient for your scanner. In our experience PNGs offer the smallest file size, followed closely by gifs and pdfs. Scan your forms at the lowest resolution that is acceptable (we find 150 dpi is fine) to avoid large files. The advantage of scanning forms is that you can discard the paper records, yet always have the booking information supplied by the customer available at the click of a button.

Once scanned LetSys will do the work of naming the file for you. Save the scanned file in a temporary folder with any name you like. From the booking window, select Tools / Show booking form, or click [image] on the toolbar. When you are told the form does not exist, you can browse for the file you just created. LetSys renames the file with the standard name and moves it to the Booking Forms folder for the appropriate property.

Notes:

- Be careful not to accidentally create two booking forms for the same booking with a different file types. You will see whichever one is first in the directory list.

- Windows XP's default picture viewer is called "Windows Picture and Fax Viewer" while in Vista and Windows XP this is replaced with the very similar "Windows Photo Viewer" which works almost exactly the same in both Vista and Windows 7. Photo Viewer (unusually) uses the Colour Profile that is associated with your monitor, and occasionally this causes a colour cast when viewing images. You can fix this as described in this post on our support forum: http://support.erwwen.com/viewtopic.php?f=3&t=31


Copying a booking to temporary storage

You can copy data from the current booking window into temporary storage in order to paste it into another booking later.

Just click the toolbar icon [image] or, from the menu, select Edit / Copy booking to temp. file.

You can now paste this data into a new booking record as described in topic Pasting data into a booking from temporary storage

This enables you to quickly re-enter data where it already exists, and will work from one property to another. Note that dates and rates are not copied.

To copy an entire booking use Copy an entire booking to another file

Note: The temporary storage area is a file called ~copy.hls within your root folder (Normally C:\LetSys). This file is completely replaced each time you copy a booking to temporary storage. Only one booking can be in temporary storage at a given time. Once copied you can paste the copy as many times as you like.


Pasting data into a booking from temporary storage

You do this by clicking the toolbar icon [image] or, from the menu, enter Edit / Paste booking.

Only appropriate data is pasted. The booking dates and the rent and other amounts are not pasted, as these will be set from the rates files.

If you are using this function to recover lost data you will have to manually set the dates and amounts (see topic How to recover lost data)

(See topic Copying a booking to temporary storage for more information).


Copy an entire booking to another file

You can copy an entire booking from one bookings file to another. This is most valuable to recover an accidentally deleted booking from the log files (See topic How to recover lost data)

Open the file containing the booking, find the booking you want to copy, and from the menu, select Edit / Copy booking to specified file.

You are then asked to locate the file to which the booking will be copied. Browse to this file, and then click open

The entire booking record is copied to this file, including dates and rates.

If you are recovering several bookings in a single run, then to speed this up the program remembers the file to which you last copied data.


Copying name/address etc to clipboard

You can copy the name and address (plus telephone number and email address) from the current booking window into the clipboard. This enables you to paste it later into a different application - for example, a word processor, if you need to write a non-standard letter.

Just click the toolbar icon [image] or, from the menu, select Edit / Copy Name/Ad+ to clipboard.


Search bookings for a text string

Search bookings for a text string (or "Find text string")

From the booking window you can search for text that occurs anywhere in the database for the current property. This enables you to find one or more bookings that contain a particular word or any string of text.

1. Open the Find Dialog box. Do this by clicking the Search Bookings toolbar icon

or, from the menu enter Search / Find text, or enter shortcut Ctrl + F.

2. In the Find Dialog Box, enter the text to search for.

3. Click the Find next button.

The search will start from the first (oldest) record in the database, regardless of which booking is currently showing.

You can repeat the search, if the record that is found is not the right one, by clicking the Find next button again.

Notes:

Example: If you are trying to find some tenants that live in Sussex, then enter "Sussex" and click Find next. Remember that you start at the first (oldest) booking in the database. By clicking the find next button repeatedly until the string is not found, you can see all the records containing this string.

The find dialog is a standard windows component, and works in the usual way - one useful feature is that when you have closed the find dialog box, you can continue the search from the current position by clicking the [image] toolbar icon again, or, from the menu, entering Search / Find next or entering the shortcut key F3.

Numeric data, including dates, is not searched due to the internal form in which this data is held.

A much more powerful search is available from the Status window, which can look for a text string in the data for all your properties. See The Search Window


Show the Letter Window

From the Bookings Window you can create or view letters for this booking. Hit F10 or click the letter toolbar icon [image] or (from the menu) select Letters / Create letters.

This displays the Letters Window from which you can view existing letters or create new letters.

Speed tip when creating a new letter: Hit F10 to open the letters window. The next letter to be sent is automatically highlighted. Now just hit enter to create and open it in your word processor.


Printing Addresses onto Labels and Envelopes

This topic describes the operation of the Address Window, which allows you to print addresses for your customers onto labels or envelopes, using your printer.

When working with the appropriate booking (in the Bookings Window you can print an envelope or label for the person and address shown.

Click the toolbar icon [image] or select File / Print Envelope or Label (F6) from the menu. This will show the Address Window.

This window is also used to print addresses onto labels or envelopes for mail shots.

This window shows the name and address that will be printed in a memo box at the top left. You can modify this address before it is printed if you wish, but remember that although changes made will print, they are not saved back to the bookings file; you should make permanent changes to the bookings record.

You then place stationary in your printer and click on the appropriate button.

You have choice of five envelope sizes as defined below, which should fit almost every envelope you might wish to use.

Labels and Templates

For larger envelopes it can be easier to print a sticky label. You will need to purchase suitable labels (for example in the UK Avery L7159 labels are readily available).

Templates are provided for the following labels:

Avery J8159 Inkjet labels. 24 labels per sheet, 64 x 33.9 mm (This template also works with L7159 Laser labels.)

Avery J8160 Inkjet Labels. 21 labels per sheet, 63.5 x 38.1 mm (This template also works with L7160 Laser labels.)

Avery J8161 Inkjet Labels. 18 labels per sheet, 63.5 x 46.6 mm (This template also works with L7161 Laser labels.)

Ryman P24 Labels (for both Inkjet and Laser). 24 labels per sheet.

Ryman P21 Labels. " 21 labels per sheet.

Templates are supplied for only a few proprietary label types. To use a different label type (eg in USA, where paper sizes are different) then you should set up your own "custom label". Simply select "Custom label" in the Label Brand / type drop down box and enter the dimensions in mm in the form that will pop up. You can give the labels your own name. You are only able to have one custom label.

The details of your custom label are saved on your computer so you can use this description again; however, if you migrate to a new computer you will have to reenter these details.

Changing your custom label definition: If you want to change the custom label settings, then from the Label Brand / type drop down box, reselect your Custom Label (using the name you gave it). The pop-up settings box will show, and you can edit the details.

Using a partially used sheet of labels: The system remembers the next label position automatically - so providing you reinsert the same sheet of labels that you used last time, the next available label will be selected automatically - you can see the number that will be used in the field "Next label position". However, if you are using a different sheet, then simply enter the number of the next available label in the box "Next label position". The labels are printed across each row, and then the next row is used. One way to calculate the number is to count the number of labels already used and add 1.

Note: Labels are "spooled" - or batched. They won't print until the sheet of labels is full, or you tell the system to print the batch (you can use the Print Spooled Labels button for this. This enables you to print several labels at once, rather than have the sheet of labels ejected each time. To print the last (or only) batch of labels once back to the booking window, just select File / Print Spooled labels (shortcut = F5) or click the Toolbar Icon [image] .

The form normally closes when you have printed the envelope or label. Other features include the ability to stay in the form (click "Form to remain open". This can be useful for example if you have modified the address, and want to first check the envelope printed satisfactorily before closing the form.

When you are printing envelopes or labels for a mailshot, the window is immediately re-opened with the next address showing, ready for you to check and print it (or you can cancel and thus avoid printing it.)


Envelope Sizes

In the Address Window you can choose from five types of envelope, by clicking the appropriate button.

By choosing the closest size to your particular envelope you can print on a large range of envelope sizes.

Supported envelopes:

Type Size (mm) Size (inches) Information

C4 229 x 324 9 x 12 3/4 Holds A4 sheet. Note: Needs suitable printer

C5 162 x 229 6 3/8 x 9 Holds A4 sheet folded once = A5

C6 114 x 162 4 1/2 x 6 3/8 Holds A4 folded in quarters

DL 110 x 220 4 1/4 x 8 3/4 Holds A4 sheet folded in thirds, A5 sheet folded in half

Small Most small envelopes of about 80-110mm (3" to 4") in height

These are given the ISO standard names, but most US envelopes sizes can be printed also.

Note that your printer must support the selected size.

If you have a requirement to support a different envelope size please let us know - see Support / Contact Details..


The (Discount) Calculator

This tool may be used to quickly calculate a discount. It is activated by clicking the Calculate discount button from the Booking Window. You will see several lines, which display a range of discounts between 5% and 30%. The final line shows a "special" discount that you can set yourself for use when you want to give a different discount from those showing.

Click the line corresponding the discount you wish to give. After asking for confirmation the system automatically reduces the rent by the discount amount. The total, deposit and balance are also recalculated.

You can set the Special percentage by typing the value you want into the Special % box.

Discounts are calculated based on the rent. The extra charges are not taken into account.

Discounts can be rounded to the nearest whole number, or calculated exactly, as you choose, depending on whether the box labelled Round Discount to whole number is checked.

The assumption is that discounts are offered and calculated at the time of booking. The system records the discount (and the time it was given) by automatically adding a line to the comment in the booking record.

The settings of the special box and the "Round Discount" checkbox are remembered for the next run - you don't have to keep changing them. The initial (default) settings are 17.5 and checked.


The Rates Window

This topic describes the Rates Window. Click on the image below for more information about each component.

This window allows you to view, create and edit your rates files. Each property has its own set of rates files, one for each year. The property that you are editing, and the year that you are editing is displayed in the Form Caption.

When you have finished you can close the form from the File menu or by clicking the Save and Exit or Cancel buttons.

You should read topic Setting up and editing Rates Files and especially read the Hints and Tips section at the bottom.

Rates Window Menu:

Most items are self explanatory (opening and closing various rates file).

File / Import from file enables you to copy the data from any existing rates file. However, the Copy Rates Data from "template" button provides an easier way to do this for files from the current year.

.


Setting up and editing Rates Files.

In order for the system to automatically calculate and display rents and other charges, you must set up a "rates file" for each year, and for each property, that you wish to work with. The system comes with some default files. Whenever you create a new property, a sample set of rates files is copied (from an existing property) that you can edit.

The rates file is needed for the system (1) to display weekly charges in the Status Window and (2) to automatically fill in the charges when a new booking is created. If no rates file exists for a year, the status window does not display costs; however you can still create a booking in that year by entered costs manually.

To create or edit the rate file for the current year, from the Status Window, click on the edit rates toolbar icon [image] or, from the menu, enter Edit / Edit Rates. This displays the Rates Window and shows the rates data for the current year. Other icons [image] [image] enable you to edit the rates files for the previous and following years.

Rates files specify the following items:

1. The Rate bands. You may use up to 6 rate bands. Conventionally Band 1 is the lowest and Band 6 is the highest.

Once you have put rents into the Rate Bands you then specify which band applies to each week in the week lines.

(You can also specify the actual rent for a week, if 6 bands is not sufficient.)

Note: If you don't need as many as 6 bands, just use however many you need - set the bands you don't use to 0.

2. Optional charges: If you configure the system to handle Fuel and Linen extra charges then you must also specify:

- The fuel charge per week.

- The linen charge per week.

Optional charge fields are only shown when you configure the system so they are used.

3. The data - by week. You will see either 52 or 53 week lines to define the charges for each week. Enter the rate band for the week, a comment and (optionally) the fuel band for the week (H=high, M=medium and L=low.) More details are in topic Rates - Entering Week Lines

4. The minimum charge for a short let. This enables you to ensure the rent is at least this amount. See topic Minimum Charge for short let for more details.

Rates (charge) files are kept in the data folder for each property. They are named Ratesyy.hlc where yy is the year to which they apply.

Whenever a rates file is changed, a copy of the old file is kept as a backup in the windows temporary directory, which can be useful if you accidentally change or delete a rates file.

More information is available from the Topic on the Rates Window.

Rent calculation is straightforward for whole weeks, but LetSys can also calculate the rent for short lets or for lets that are not integral numbers of weeks, as described in topic Rent Calculation

Hints and tips:

- It is best to work out your plan for a year before creating and editing a Rates file. You'll find it quicker.

- If there are times that you don't let (for example when you live in the property yourself or you have maintenance scheduled) just set the rent to zero. This automatically sets the weeks status so that it shows as reserved. This saves you creating a reserved booking to block the period off. This is most useful for long and annually repeated periods; more information is below.

- You can print a copy of the current Rates Window from the menu with File / Print. It is often a good idea to work out your next years rates by printing the current year, and then writing on top of the printout what the changes are.

- To create a rates file for the first time for a year, then, when editing the current year (or latest year) click the menu item "+ 1 year". If a rates file does not exist for that year, you are asked if you want to create one. If you reply OK, then a new file is created, using the data from the previous year. This makes it very quick to produce your next year rates file.

- You can change all the rates on the currently open rates file using the Global Rates Change function, that alters all rates by a specified percentage.

- The first column of the Rates week lines has a coloured background and cannot be changed - it is there to define the week number and week start date.

- Short cuts are available to speed up entering Rates File week lines. Read topic Rates Lines - short cuts

- There is an Import from file function available from the File menu This enables you to import the rates data from another file. You would normally use this when you have more than one property. You can then set up a rates file for the first property and import this data to other properties. You then just alter the rates (easy with the Global Change function) assuming your weekly comments and charging pattern is the same.

- To make importing data from this first or "template" file easier, a Copy Rates from template button is also provided. This button can also be used to import the contents of the rates lines only. See topic Copying Rates Data from "template" for more details.

- When editing rate week lines, use the up and down cursor keys to move between lines.

Zero Rent: A zero rent is deemed to mean the property is not available to let. If you always live in a property yourself at certain times, then configure the rates files so the rent for this period is 0. Insert an appropriate comment eg "Not Available" and this comment is now used in the status window or when publishing to the web without the addition of the word 'LET'.

Note: Although doing this means that weeks are shown as reserved in the Status Window you are not prevented from creating a new booking within this reserved period as will occur when bookings overlap.


Entering data for the Rate Bands.

(This topic describes the Rate Bands Edit Boxes in the Rates Window).

Enter the weekly rent that will be charged for each band. There are six bands, 1 to 6. Conventionally 1 is used for the lowest and 6 for the highest rent.

The rent must be an integer (whole number). The amounts you enter become the amounts for the year you are editing only.

When you enter the Week data, then you can assign one of these bands to each week. Alternatively you can set any price you want for a week, as described in topic Setting up and editing Rates Files. in bullet No 1.

The values you enter are then used to automatically enter the rent (which will depend on the band for that week) when you create a new booking. The rent is calculated as described in topic Rent Calculation

Note that while the amounts specified in the rates files are integers, you can override the amounts in the booking windows to any amount you wish ie down to the nearest penny / cent.


Entering Fuel charge bands.

(This topic describes the "Fuel Bands" Edit Boxes in the Rates Window - only visible if you configured one of your optional charges to be "Fuel")

Enter the weekly fuel charge for each band. There are three bands, Low, Medium and High. The amounts must be integers. The amounts you enter become the amounts for the current year only.

When you enter the Week data, you can assign one of these Fuel bands to each week.

The values you enter are then used to automatically enter the Fuel charge (which will depend on the band for that week) when you create a new booking.

For bookings of more than one week, the fuel charge is pro-rated at the appropriate daily rate. For short lets (less than 7 nights) the fuel charge entered by default is the full weekly charge. However it can be automatically calculated as described in topic Rent Calculation

Fuel charges only apply and this box will only be visible if you have configured one of your optional charges to be "Fuel".


Entering the Linen Charge

(This topic describes the "Linen" Edit Box in the Rates Window, only visible if you configured one of your optional charges to be "Linen".)

Enter the amount of your weekly linen charge. This must be an integer, and will become the charge per week for the year you are editing.

The value you enter is used to automatically enter the Linen charge when you create a new booking. For period greater than one week, the linen charge is increased by one seventh of the weekly charge for each extra day (rounded to a whole number). For short lets (less than one week) the linen charge is set to the weekly rate (you still have the same laundry costs etc.)

This box will only be visible if you have configured one of your optional charges to be "Linen".


Minimum Charge for short let

Enter the minimum charge for a short let (less than one full week) here. This charge is always used unless you have told the system how to calculate the charge for a short let, as described in topic Rent (for short lets) and this results in a higher charge. (Note: this is done using the configuration program).

If you have not configured how to calculate the charge for short lets, then setting the minimum charge provides a simple way to set a standard charge for a short let. It will then be used for all short lets. Note that you can always override any amount set in the bookings window.


Rates - Entering Week Lines.

(This topic describes the "Rate Week Lines" scroll box in the Rates Window).

Each week line defines the charges (and a comment) for one week. You edit one year (of either 52 or 53 weeks) at a time.

Why are there 53 weeks in some years?

LetSys works in whole numbers of weeks. A 365 day year contains 52 weeks and one extra day. A leap year adds a further day. Therefore every 5 or 6 years there will be a year when the system allocates 53 weeks.

How does the system work out the dates for Week Number 1?

The system assigns a week number, such that the first complete week each year is assigned week number 1. This normally corresponds to the ISO week number for the week in which the booking commences. However, the first week in the year never starts before 3rd January to ensure New Year bookings will fall into the previous year.

Line Details: There are either 3 or 4 data items in each line:

Week/Starts The week number for the line, and the start date of that week. This has a coloured background and cannot be changed.

Cost/Band Either a rent band number (1 to 6) or an absolute rent. A number greater than 6 is assumed to be an absolute rent. This specifies the rent to use when calculating the rent for a booking. See topic Rent Calculation It is also used when publishing rates to the Internet - see topic maintaining a web site.. You may specify 0 for the rent (for weeks you don't wish to let). In this case the weeks will be marked as not available, and the rent field will be blank in the status window and also when the status is published on the web.

Fuel Band. You only see this field if you have configured the system to handle Fuel Charges. You specify here a single character to specify the fuel band for the week (L,M or H for Low Medium or High). Then when you create a new booking, the fuel charge is automatically entered into the booking form. It is also published to the Internet (as a band letter, not an amount). Lower case letters l, m or h are valid and converted to upper case.

Comment This is to help you when looking at the status window. Comments have a maximum of 20 characters. For example, use them to highlight school holiday weeks. If Christmas falls on a Changeover day, you may decide to take Christmas and New Year bookings starting on a different day, and you could have a comment such as "New Year: Wed-Wed". Comments also appear in your Rates and Availability table.

There are examples and explanations of Rate Lines in Topic Rates Lines - Examples

Rate Lines Context Menu: there is a context menu available when editing the week lines. Just right click on the field you are editing (you must click on a field to select it first) and you will see a context menu containing the edit menu items - see topic Rates Lines - short cuts

Moving between lines: The up and down cursor keys can be used to move between lines.

Note: Read the hints and tips section at the end of topic Setting up and editing Rates Files.

See also topic Rates Lines - short cuts


Global Rates Change

From the rates window you can adjust all rates (both bands and absolute rates by week) by a specified percentage increase or decrease.

First, in the Global Change Panel, specify whether it is an increase or decrease, and the percentage by which all rates should increase or decrease. The default is set to 5%.

Then click the change button. All the rates will change in one operation, rounded to the nearest integer.

Hints and tips: This enables you to create a new rates file, either for a new year or a second property, that is quickly based on a previous set of rates.

For example, if you find rates in general have increased by 4.5 percent in the coming year, copy the previous years rates file and just increase the amount by 4.5%.

Another use (where you manage several cottages) would be to set your base rates for one property and then to create new rates based on this base but increased or decreased by a specified amount depending on the facilities at the other cottages.

Notes: This function does not alter the Linen or Fuel bands, if you use these. They must be altered manually.


Copying Rates Data from "template"

The Copy Rates from template button on the Rates Window allows you to copy data from a different rates file in the same year. When you click the button you see the "Select Property" window. You can either copy the entire rates file for whichever property you select, or you can copy only the rates lines (comments, bands etc) if you check Copy Rate Lines only.

This function is very useful when setting up a new set of rates files for several properties. If you set up a "template" rates file for the new year for one property, then you can copy the entire rates file, and then alter the amounts only with Global Rates change function. Alternatively you can just copy the rates lines, which will leave the rate bands etc unaltered, and these can then be adjusted manually or with the Global Rates Change function.

For example, if property 2 was always to have rates that were 20% more expensive than the first ("template") property, set up this first base property including the correct weeks for school and other holidays including any desired comments. Next edit the rates for property 2 (creating a new file based on the previous years file. Now override this by copying the "template" file from property 1. Finally use the global change function to increase rates by 20%, and in a few seconds you have set up the rates file for property 2. Repeat for other properties, using whatever the relative costs are for these properties in the global change.

Notes:

- You can also copy the data from any existing rates file, using File / Import from file on the menu of the Rates Window. In this case you are not restricted to the current year, but can select any rates file, however you have to navigate to this file yourself.

- You cannot, of course, copy data from the property you are currently working with; you will get an error message if you click this.

- You can only copy data, of course, from properties that already have a rates file for the year that you are editing.

If you select a property without a file for that year, you will see an error message saying that no rates file exists.


Rates Lines - Examples

Here is an example of some week lines to help you understand how they work. There are additional comments on each line. (This is an extract from the rates file for 2009 which is distributed as a sample with the system, and includes fuel charges.)

Line 1 Applies to week 12, which starts Saturday 21st March. The cost is as specified by band 1 (set to 267 in the Rate Bands). There is no comment. The fuel band is H (for high) which results in £38 being charged. These amounts are entered into a booking form automatically, but you can then override them, for example to give a customer a discount.

Line 2 This is a school holiday week and the comment and rate are set accordingly. The comment should help you (and others) identify the week. It will show in the status window as well as automatically created Internet rates/availability web page.

Lines 3 and 4 These apply to the weeks before and after Easter, normally in high demand in the UK. Therefore they are charged at the higher rate of £390. This amount is specified as an absolute amount, not as a rate band. This feature allows you to "fine tune" your rents to any amount that you like.

Line 5 The holiday period is over, and the rent reverts to a lower amount, without a comment. However, the weather is getting warmer and the heating charge is reduced to M = medium.

(This example shows just one of many ways in which you can configure your rates.)

Hints and tips:

- It is best to work out your plan for a year before creating and editing a Rates file. You'll find it quicker.

- You can print a copy of a Rates Window from the menu with File / Print. It is often a good idea to work out your next years rates by printing the current year, and then writing on top of the printout what the changes are. Then enter the new data.

- You can increase or decrease rates by a specified percentage using the Global Rates Change panel.

- The up and down cursor keys can be used to move up and down by a line at a time.


The Rates Window Menu

(This topic describes the Rates Window Menu bar).

The menu bar contains the following items:

File: The file menu contains these items:

Save and Exit (F4) This will save any changes you have made and entered. F4 is a shortcut.

Cancel This cancels editing. If you made any changes you are asked to confirm, in which case your changes are discarded.

Print Form This prints a copy of the Rates window.

Import from file This enables you to import the rates data from another file. You would normally use this when you have more than one property. You can then set up a rates file for the first property and import this data to the other properties. You then alter just the data that is different, normally just the rates. The Global Rates Change function can assist here.

Delete current file This deletes the currently open file and closes the window. Use it to delete very old files, or alternatively to delete and then recreate a rates file.

Edit: As well as the standard Copy, cut paste items, the following short cut menu items can help when editing rate lines.

Copy current line (F5) This copies the current week line - the line with the cursor in it. No action results if the cursor is not in a week line. A beep is sounded if the copy is successful.

Paste current line (F6) This pastes the previously copied line into the current line. All editable fields are replaced.

Duplicate line (Ctl+L) This duplicates the current line (the one containing the cursor) and copies it into the next line down.

Duplicate field (Ctl+F) This duplicates the field containing the cursor copies it into the next line down.

More help to speed up editing rates lines is in topic Rates Lines - short cuts

+ 1 Year Close the current year's rates file, and load the next year's file. If the file doesn't exist you are asked if you want to create it. In this case the most recent rates data is copied, which you can then modify and save. It is only when you save the changes that your new rates file is created. You cannot click this item if there are unsaved changes to the current file.

- 1 Year Close the current year's rates file, and load the previous year's file. If the file doesn't exist you are asked if you want to create it. In this case the previous rates data is copied, which you can then modify and save. It is only when you save the changes that your new rates file is created. You cannot click this item if there are unsaved changes to the current file.

Help This gives access to a series of HELP options.

Rate Lines Context Menu: there is also a context menu available when editing the rate lines. Just right click on the field you are editing (you must click on a field to select it first) and you will see a context menu containing the above edit menu items.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Rates Lines - short cuts

There are several short cuts built into the system to speed up editing the rate week lines. The short cuts are available from the Edit menu, or from a context menu (right click on any of the editable fields in the scrollbox) or with keyboard shortcuts.

Note:You must select one of the edit fields by left clicking for the shortcuts to work.

Copy current line (F5) This copies the current week line - the line with the cursor in it. No action results if the cursor is not in a week line. A beep is sounded if the copy is successful.

Paste current line (F6) This pastes the previously copied line into the current line. All the editable fields are replaced.

Duplicate Line (Ctl+L) This duplicates the current line to the next line down. The cursor is moved into the new line. Thus you can keep duplicating a line of data just by pressing Ctl+L repetitively.

Duplicate Field (Ctl+F) This duplicates the current field (ie the one the cursor is in) to the equivalend field one line down. The cursor is moved into the new field. Thus you can keep duplicating a particular field just by pressing Ctl+F repetitively.

In addition the standard edit actions of Copy (Ctrl+C), Cut (Ctrl+X), Paste (Ctrl+V) etc are available.

Note: When editing rate week lines, use the up and down cursor keys to move between lines.


The Search Window

This window can be opened from either the Status Window, or the Bookings Window. Select Search in the menu, or click the toolbar icon: It may also be opened from the menu with View / View bookings as list in which case all bookings are shown.

From the Status Window:

1. Click menu item Search / Find Text. (or enter short cut Ctrl+F). The search window opens with no bookings yet showing. Enter the text you are looking for, and click search. All booking records that match your search criteria are then listed. Drag column borders to alter the width.

Once you've found the record you are looking for, if you click it you can edit it (subject to restrictions below). You can also right click it to delete or copy to temporary storage for pasting into a booking

The search is not case sensitive. All text within a booking is searched (except dates or charge fields).

2. Click [image] or select menu item Search / Search History. The search window opens. In this mode you search for a surname only. This will perform faster on slow machines.

3. Click [image] or select menu item View / View All bookings as list. The search window opens. In this case every single booking in the appropriate file is shown. You can search and sort as described below.

From the Bookings Window:

1. Click [image] or select menu item Search / Search History. The window opens, and the search is done immediately, based on the surname for the current record.

This function allows you to search the booking database for tenants whose surname matches the search criteria, and (if creating a new booking for a repeat customer) quickly copy the existing details into the new booking.

If, like us, you have a high proportion of repeat bookings, then this enables you to find out when a person last stayed, and any notes you wrote at the time in the Comments field. This could, for example, help you to avoid taking another booking from a poor tenant.

2. When viewing a file (for example the change log) having doubled clicked the file in File Explorer, you only see records in the booking window. In this case you can view the entire file as a list by clicking the toolbar icon: or selecting menu item View / View Bookings as list. The list can be searched or sorted and records viewed as described below.

Search Criteria: You can either search the current property, or the bookings for all properties, depending on whether the Search All Properties box is checked (this doesn't show if you have only a single property). By default this switch is set off. The setting is stored.

Searching for a name: To search for an exact surname, enter it in the "search for this name" field, and click SEARCH.

You can enter "wildcards" ie characters followed by an asterisk. eg b* finds all the names starting with the letter B.

If you leave the field blank, or enter "*" the program will search for all bookings - a quick way to list them all. Warning: once your database has a few years of data in it, this could take a while on a slow machine.

Sorting the data: The data in the search window is initially displayed with the most recent booking first. You can sort on any column by clicking the header. For example, click once on Name and records are sorted into alphabetical order by name. Click again and the order is reversed. This applies to all columns.

Creating a new booking for an existing customer:

The easiest way to do this is as follows: (Note you can also do it by copying data to temporary storage as described below).

- Create a new booking for the appropriate dates, and enter the name (or just the first letter as a wildcard eg B* ).

- Click the toolbar icon: The Search Window is opened, the data you keyed is placed in the "Search for this name" field, and all matching records automatically displayed.

- Click the record you want, and click YES to confirm the data should be copied.

For a repeat booking this tool enables you to locate the previous booking, and copy the name/address and all relevant data into a new booking with just 3 clicks. More details are in topic: the "search for" field

Copying data to paste into a new booking:

1. If you located a booking via the status window, right click on the record you want, and click Copy. This copies the text data (but not dates and charges) into temporary storage. Close the Search Window and create a new booking for the required dates. Then click toolbar icon [image] or, from the menu, enter Edit / Paste booking. See topic Pasting data into a booking from temporary storage

2. You can also copy a booking to temporary storage if you located it by searching for a surname.

Editing or Deleting a booking: If you searched from the status window, then you can immediately edit a booking, just by clicking it. Note that in Classic Mode you can only edit bookings for the current property.

More on the way data is displayed and copied:

Note that while you can search through the bookings for either the current or all properties, that you can't search through archives.


The "search for" field

This contains either a text string (in which case the label is Search for text) or a surname (the label will show Search for name).

To search for a surname: Enter the surname that you wish to search for in this field, and click SEARCH. All records that match this surname are displayed in the Search Window.

Wild card searches are allowed eg enter L* - the result will be all records where the surname starts with the letter L. So if you are not sure exactly how to spell a name, just search on the first character or two.

This field is automatically completed if you call the Search Window from the Bookings Window, using the surname that was keyed in the bookings window - in the Surname field. In this case a search is performed when the window is shown.

If you didn't find the record you were looking for, just enter a new string in this field and search again.

Hint: Just leave the field blank or enter * to list every name in the bookings file for the property, though this could be a little slow when you have a very large file, and an older computer.

More information on how to search for repeat bookings is to found in the topic on The Search Window.


The Letters Window

This window shows at a glance which letters have already been created for this booking and enables you to create new letters.

(For an overview see About automated letters. To create new letter types see Configure Letter Types)

If you click the line corresponding to an existing letter (status=exists) then the letter is displayed for you to read.

If you click the line for a letter that does not exist (status=none) then a new letter is created and opened for you to review and edit before printing or sending.

When the window is displayed, the line corresponding to the next unsent letter is automatically selected. Just hit enter to create it.

Here is the Letters Window, with the letter descriptions. In this example, two letters have been created.

The columns show the following:

No: This is the letter number, 1 upwards.

Description: This describes the purpose of this letter.

Default: This shows either Post or EMail, and is the default method that will be used to send a new letter. For existing letters this is the method used to deliver the letter. Right click to override the default delivery method.

Status: This shows Exists (if the letter exists) or None if the letter has not yet been created.

Default is set to the setting you chose when you configured the letter type (see topic Configure Letter Types) unless no email address is stored in the booking record. In this case it will be set to Post.

Right click a letter (anywhere on the line) to bring up the following context menu. You can then choose the delivery method (this is the way to override the default) or delete or recreate a letter. Options that are not valid in the context are greyed out. The context menu items are:

Create Postal Letter: Regardless of the default, create this type of letter

Create EMail: "

Recreate letter (Post): This is useful (for example) if you had problems sending an email, and want to use post.

Recreate letter (EMail): This is used to recreate an email letter.

Delete an existing letter: This deletes the selected letter

Notes:

- To create a letter: click the line for the letter; the letter is created using the default delivery method (shown in the default column). The window is automatically closed, on the assumption this is all you wish to do.

- Overriding the default: right click and choose the appropriate option.

- Using Formatted (HTML) Emails: By default, email is sent through your email client (eg Windows Mail or Outlook). You also have the option of sending emails via a built in mail client. The emails can then be formatted (eg bold text etc). HTML EMail will be used only if you first Configure LetSys as an email client.

- Speed tips: When you open the Letters window the next unsent letter is highlighted. Hit enter to create this letter. (Use F10 to open the Letters window quickly.) You can also use the cursor up and down keys to move the selected letter, and then hit enter to view a letter.

- Closing the window: As well as clicking close, you can also hit the Escape key.

- When you view an existing letter the window is not closed on the assumption you may wish to look at more than one letter for the booking.

- Context menu items are greyed out when the option is not possible; for example you can't create or recreate a letter as an email if the booking form doesn't specify and email address, and you can't recreate a letter if one doesn't exist.

- The letters window is a dialog window. It cannot be resized or minimised and must be closed before you continue to process a booking.

See topic About automated letters for more information.


Managing Letter Proformas

This topic describes how to manage Letter Proformas, using the "Manage Letter Proformas Window". From this window you can see at a glance the proformas that exist and which apply to the current property. You can then create, edit, rename or delete proformas.

Notes: Additional letter types are added using the configuration program. See Configure Letter Types.

If you want to use HTML formatted email, you should delete any text proformas (ie the files Prof-Ln.txt ). You will be warned if any duplicate proformas exist and can then delete them.

If you upgrade LetSys, and have switched to HTML proformas, the 3 test proformas are reinstalled. You should delete them.

The Proforma Management window can be opened from the Status Window or the Bookings Window. Select Tools / Manage Letter Proformas or click the toolbar icon [image] . If you are running in MultiProperty mode, you can also right click on a Property Name box on the left, and select Manage Letter Proformas - recommended if you have any property specific proformas.

You will then see this window:

Property specific proformas (if any) are listed first as they take precedence. Then shared proformas are listed. (Topic About Letter Proformas explains the types of proforma). The window also shows the date that the proforma was last modified.

Three letter types and shared proformas are created by default. Additional letter types are created using the Configuration Program, as described in topic Configure Letter Types

Once you have created a new letter type you still need to create and taylor your own proforma, as described below:

To create a new proforma: Select the proforma closest to the one you want to create. Right click this, and then from the context menu select Copy as shared proforma or Copy as property specific proforma. Enter the new proforma number. More details are given below.

From this window you can also:

Edit an existing proforma: click or right click anywhere on the line listing the proforma (right click to edit a HTML proforma, since it is opened in a browser on a click)

Delete an existing proforma: right click anywhere on the line containing the proforma and a pop-up menu will appear. Select Delete proforma.

Rename a proforma: right click and select Rename proforma from the context menu.

More on creating new proformas: To create a new proforma, you are recommended to copy an existing proforma to the appropriate folder (the root folder for shared proformas or the property data folder for property specific proformas. Then edit this to your requirements.

For example, if you just created a new letter type 4, and proforma 3 is close to what is needed, then right click Proforma 3 and then enter proforma number 4. You will need to copy two proformas if your letters can be sent both by post and email, one for each distribution method. You must copy an email (.txt) proforma or postal proformas (.rtf) as appropriate.

Once the proforma is copied, the window will be refreshed to show it, and you click on this new proforma to edit it to your requirements.

Where-ever possible, use shared proformas - it will make managing your proformas much easier.

An alternative way to copy an existing proforma is from an explorer window. Find the proforma file you want to copy, and make sure the folder you want to copy to is visible in the left panel of Windows explorer. Select and hold down the right mouse button on that file; then drag the file until it is over the new folder. Release the right button and select copy with the left button. (If you drag with the left mouse button, then the proforma is moved, not copied.)

Tips

- Always try to use the shared proformas if at all possible. Use the fact that property name, rent, name of the person renting and so on can all be inserted automatically into the letter. You will find this makes maintaining the proformas much easier.

- Plan the letter types that you need carefully. Make L1 the first letter you normally send, L2 the second and so on. Then the next letter type to send will be selected automatically in the letters window, and you just hit enter. If you decide to create a new letter that should be the first you send, you can re-order the letter types from the Configuration Program - see topic Configure Letter Types.

- If you use HTML proformas these get precedence over plain text proformas, even if you failed to delete the text files.

- HTML proformas are opened in your default browser if you just click the line. This enables you to view how it will look. To edit the proforma right click the line and select edit. This will open the proforma in your default text file editor.

Warning: Some word processors may give problems with rich text proformas, as they can insert special characters into the middle of the special strings and these are then not replaced. If you have this problem, recreate the proforma from scratch using WordPad. Once the proforma is working, you can go back to your preferred word processor - if this still doesn't work, you may have to revert to WordPad to process the Rich Text files used by this system. Unfortunately we can't handle the special behaviour of every word processor, but we do support the use of WordPad and problems therewith.


About letter proformas

The system supports up to 9 automated letter types. On delivery, four types of letter are configured by default as described in topic About automated letters

When you ask for a letter to be created (from the Letters Window, they are created from proformas, which contain Mail merge or "special" strings that are replaced by the appropriate data (for example, the date or the name of the property.)

The system is delivered with a shared set of letter proformas. We strongly recommend you use shared proformas wherever possible as it makes keeping the proformas updated much easier. However, if you wish you can create separate letter proformas for each property.

Shared proformas are kept in the root folder (which is, unless changed, C:\LetSys).

Property Specific proformas are kept in the data folder for the appropriate property, ie C:\LetSys\PropertyName\Data\

When you ask the system to create a letter, it first looks to see if there is a property specific proforma in the data folder for the property. If so it will use it. If not it will look for a shared proforma in the root folder. Therefore you can override the shared proformas, property by property, if you need a property specific letter. It is recommended that (wherever possible) you work with a common set of proformas as managing many different proformas is complex. Remember that you can put the name of the property concerned into the proforma as special string

Note that:

- If the only proformas are in the root folder, then these are shared proformas and are always used. This is the way the system is delivered.

- If only one property has its own proformas then those will be used for that property. Other properties will use the shared set.

- You can even have just one of the letters specific to a property - it doesn't have to be the whole set.

There are two possible proformas per letter type; one to use with printed letters, and the other to use with emails. If you don't use email, you don't need to create an email proforma; the same applies for post.

Email: As initially installed, the system is set up to send emails using your email client (examples are Outlook or Windows Mail). By using an HTML proforma instead of a rich text proforma you can change to use HTML email which has several advantages but is not as easy.

Sample Proformas: Some shared proformas are supplied when you first install, and are placed into C:\LetSys. There are also other samples provided which are placed in folder C:\LetSys\Demo Cottage folder, where they are not used by the system. These include samples for 3 letter types (post, plain text email, and HTML formatted email) as well as one called Proforma-L-VAT.rtf shows how extra charges and VAT can be specified to appear in automated letters. You can modify these to your own requirements.

Note: Your own modified proformas are never replaced when you upgrade to a new version. The HTML samples are delivered only to C:\LetSys\Demo Cottage, they must be moved to the root (or data) folder if required. See topic Formatting automated letters using HTML Remember that if a normal (text) email proforma is present, then HTML email will never be sent for that letter.

Proforma Naming Convention.

Proforma files are named as follows: Prof-Ln.ext where:

n is the letter type number. The first letter type is L1, the next is L2 etc.

ext is the extension: .rtf for hard-copy letters, .txt for plain text email and .htm for HTML formatted email.

The names of the sample proformas supplied with the system are:

Hard-Copy EMail HTML EMail

Prof-L1.rtf Prof-L1.txt Prof-L1.htm

Prof-L2.rtf Prof-L2.txt Prof-L2.htm

Prof-L3.rtf Prof-L3.txt Prof-L3.htm

Prof-L-VAT.rtf

The final proforma is just an example of how to use Tax and extra charge special strings and it has a non standard name.

Note: All samples are installed in the C:\Demo Cottage folder.

If you now create a new letter type, for example L4, to repay a refundable deposit, then you would have to also create two new proformas

Prof-L4.rtf Prof-L4.txt (or an HTML equivalent.)

The easy way to do this is by copying and renaming two of the existing proformas, which can be done from the Proforma Management Window (or you can do it just by copying the proformas yourself from Windows explorer). You can edit proformas either from the Status Window (Select Tools / Manage Letter Proformas from the menu or click the toolbar icon [image] ) or from the Bookings Window using the same icon or menu item. You are shown all possible proformas for the letters you have defined as submenu items.

Automatic insertion of data related to the let:

In the letters there are variables, or special strings that are replaced by appropriate data from the booking record when the letters are automatically created. If you delete the strings then the data won't be inserted.

For example, if you want the name of your property to be automatically inserted in a letter, just insert the string <!PropName> and this will be replaced by the property name. If you include the string <!Addressee> this will be replaced by the name and address from the booking record.

A full list of all these strings is in topic Mail merge or "special" strings

Special strings need not occur at all in the proformas, or they can appear several times. You can put any of the above special strings into any letter. Note: special strings are case sensitive - you must match the above definitions exactly.

Once you get used to the system, you will tend to ensure that the first names and surname reflect the name you want to appear in the letter - for example it may be appropriate to add a title, or, if you a person well, and want to address them in letters as "Dear Mary and John" then you would put "Dear <!Salutation>" into the letter proformas and set the Omit Surname from Salutation checkbox on.

Note that when you include the special strings more than once, then each occurrence is changed. An example of this is in the sample deposit acknowledgement where a special "tear-off" slip is included, which will help your customers to remember to pay the balance. Just delete this text if you don't want it.

Automatic Attachments: For HTML formatted emails, you can always include the same attachments with a specific letter, by specifying the files to be attached in the proforma. This is explained in topic Specifying EMail Attachments

Modifying Proformas: This is normally done from the Proforma Management window. This can be opened from the Status Window or the Bookings Window. Select Tools / Manage Letter Proformas or click the toolbar icon [image] . See topic Managing Letter Proformas

for details of how to edit, rename, delete or create new proformas.

Alternatively, from My Computer or Windows Explorer, navigate to the appropriate folder containing the proformas and edit the letters. You can copy and rename proformas using the normal explorer techniques. You can edit hard copy proformas with any word processor that can handle rtf files. Note that the system was tested using wordpad, and since all windows systems have wordpad, you are recommended to use this in the first instance. Make sure you save the proforma as a rich text (.rtf) file. The email proformas can be edited with any text editor and many users are successfully using Microsoft Word and other editors to create letters and edit proformas.

HINTS, TIPS and WARNINGS:

Warning: Special strings are case sensitive - you must match the specifications exactly.

Logos and Pictures: Some users may wish to use logos and other images into their letters, and several users have reported that they have been able to successfully include images in proformas edited with Microsoft Word. However, please note that only formatted text is officially supported in automatically produced letters. If you have problems with graphics, you must establish for yourself what works and what doesn't, through trial and error, since there is no way we can have control over the internal working of a word processing program such as Word. We would be interested to hear of your experiences.

Warning: Some word processors have given problems with rich text proformas, as they can insert special characters into the middle of the special strings and these are then not replaced. If you have this problem, recreate the proforma from scratch using WordPad. Once the proforma is working in text only mode, you can go back to your preferred word processor - if this still doesn't work, you may have to revert to WordPad to process the Rich Text files used by this system. We can't handle the special behaviour of every word processor - but we do support the use of WordPad and problems therewith.

One way to see what is happening with your proforma is to open it with NotePad. You can then see the RichText control characters as well as the letter text. If a special string is not being replaced search for some text nearby and then locate the offending special string. If you know what you are doing you can edit the proforma to correct the RichText.

HTML Email: Many email clients don't comply with standards very well. Outlook is particularly at fault. You may need to use trial and error (on a test booking with email directed to yourself) to ensure the emails look the way you intend. We recommend you don't add HTML comments before the <DOCTYPE> as we initially did, as this causes spurious characters to appear - for example in Outlook.


The Mailshot Window

The Mailshot window allows you to generate distribution lists, validate and exclude entries, and then use them to run mail shots.

A detailed topic on how to use LetSys to run mail shots is provided here.

Click on the various areas of the window above to go to the topic describing each function of this window.

At the bottom of the Mailshot window is a status bar which will tell you how many items are in your distribution list, and how many of them have been selected to be written to.

You can close the Mailshot window at any time by hitting the Escape key, or by clicking the cancel button or using the normal close (x) button.


Postal Mailshot checkbox

(This topic describes the "Postal Mailshot checkbox on the Mailshot window.)

This box is not checked by default, which means the system will process a mailshot by email.

Check this box if you want the system to help you produce labels or envelopes for a mailshot by post.

See also topic "Mailshots: Selecting the Properties."


Mailshots: Selecting the Properties.

Mail shots: Selecting the Properties. (This topic describes the Property Selection list on the Mailshot window.)

This list box enables you to select which properties you wish to consider when sending the mailshot. Obviously, if you are managing only a single property, you don't need to do anything here except ensure your property is checked.

By default, all properties are selected (except the demonstration property if it exists).

If you have more than one property, then you can deselect properties that you don't want to include in your mailshot. For example, if your properties are in different places and mail shots should therefore be different for each.

Normal windows selection rules apply. (eg click the first property you want to select, then press shift and click the last property you want to select. Control+click toggles a single property selection),


Mailshot Batch Size

Mailshot Batch Size (This topic describes the Batch Size edit box on the Mailshot window.)

The batch size field allows you to limit the number of recipients for each batch of emails when making a mail shot.

Some service providers now limit the number of recipients to avoid Spam. Tiscali, for example, say they limit this to 45 to 50 names.

To help you get round this restriction, you can set the batch size to, say 40 recipients.

You can also leave (or set) this box to "Auto" which will mean that the system will calculate the batch size based on Windows Limitations (normally batches of 75-85 recipients). Once set, LetSys remember this setting.

More information about mailshots is in topic Using LetSys for mailshots


Mailshots: Generate List button

Mail shots: Generate List button (This topic describes the operation of this button in the Mailshot window.)

Click this button to generate a distribution list. Lists are generated from all your tenants from the property or properties that you have selected in the "Mail occupants of selected properties" group, and listed in a window.

More detailed information is in this topic: Using LetSys for Mailshots.


Mailshots: The distribution list view.

Mail shots: The distribution list view. (This topic describes the view of the distribution list that occupies the lower part of the Mailshot window.)

When you have generated a distribution list then the entries are displayed as a list in a window. You can drag columns, drag the window and scroll to see the entries in the list in their entirety.

The columns are:

Name: This lists the Surname of the person booking, followed by the first names.

EMail: This lists the email address - which can be blank for postal mail shots.

Date: This lists the start date of the booking from which this name and address are extracted. This is useful to track down a booking record should you need to change it.

Property Number: (You only see "P." unless you drag the column to make it wider). This is the property Number - of use to those who are managing more than one property. Again this helps to track down the booking record in the event you need to make a change.

Address: This is the postal address of the person booking the let, and will be used in postal mailshots.

Sorting the list: In addition, if you click on any of the headers in the listview, then the list will be sorted alphabetically by the contents of the column you clicked. When the list is created, a checkbox also appears in each entry, initially ticked.

Before sending your mailshot you should check carefully for entries that you don't want to write to. The column sort feature is particularly helpful for this - just click on a column to sort by its contents. For example if you click on the name column, you should be able to see if the same name appears twice. Just uncheck the box for a list entry and the entry will be ignored when the RUN button is clicked.

When you check the mailshot, all the information that is used is visible: The only difference is that when a name is shown as, say, Smith John (with a dot between the surname and the first names, then the printed address will show John Smith. This is so that the list is sorted by surname.

Address lines show with the same dot between each line of the address, so you should be able to visualise what will appear on an envelope or label.

Note that labels (or envelopes) are printed in exactly the same order that they are shown in the list in the Mailshot Window. So if you wanted to send based on the date stayed, so you write to your most recent customers first, click on the date column until the most recent dates are at the top. The labels then print in that order.

Once you have checked the distribution list carefully, you should now proceed to RUN the mailshot.

More detailed information is in this topic: Using LetSys for Mailshots.


Mailshots: The RUN button.

Mail shots: The RUN button. (This topic describes the operation of the RUN button in the Mailshot window.)

Once you have generated and checked a distribution list, then click the RUN button

Mail shots by email.

When you use email, the system sends a request to your default email client which should cause a new mail message to open.

This will have either the "To:" or the "bcc: " field completed with the email addresses from the checked entries.

You now need to compose your email and send it in the normal way - it will be sent to everyone in the list of names. You may find that it helps to prepare your email first and maybe test it by sending a copy to yourself to ensure it appears just the way you want. You can alter anything, including the distribution list, before you send the email in the normal way.

If you are sending an email shot to more than about 80 email addresses, the emails are sent in batches. This addresses a Windows restriction and it may also help if your ISP restricts the number of recipients on a single email. You will have to cut and paste the content more than once. To help you avoid having to enter the subject more than once there is a subject field in the Mailshot Window.

Once you have sent the email, close the Mailshot window (hit cancel or Escape, or the close button.)

You get dellivery failure messages for customers who have changed email addresses. You are recommended to update the booking records for these customers to set the "exclude from emails " checkbox on. This will avoid getting the same error from a future mailshot. Alternatively you can just delete the email address field. Search / Find text makes it quick to locate the booking records for a failing email address.

Warning: If you have trouble with email, please ensure that you start up your email client before you send any email.

Mail shots by post.

LetSys enables you to print envelopes or labels for each person.

First, prepare the hardcopy letter or brochure that you are planning to post. Then prepare and validate the distribution list as in the topic: Mailshots: The distribution list view.

Decide if you want LetSys to address envelopes, or print labels. Load the labels or envelopes into your printer.

Now RUN the mailshot. This opens up the same Address Window that is used to print labels or envelopes from the Booking Window. See the topic on Printing addresses.

You can hit the button Printer Properties to set (some of your) your printer properties in the normal way, although the system sets paper size and orientation to the ones appropriate for the envelope you choose. Also, remember to check that the next label position is correct if you are printing labels - the first label on a new sheet is No 1.

The first name and address will be shown in a memo at the top left of this window. It is possible to edit this window before printing. However, although changes made will print, they are not saved back to the bookings file - you should make permanent changes to the bookings record.

You do get an opportunity to review (and change) each name and address before it is printed, and also a chance to bypass it - just hit the cancel button. If an address is correct just hit the Enter key to print it. You can send envelopes/labels to your printer much faster that it can print them!

As soon as you have clicked the button to print the label or envelope, the next address will pop up in the same window. Check it and print it by clicking the same button as before. If you realise you made a mistake and don't wish to print a particular name/address, just click cancel. The next name/address will then appear.

Hint: The button that you pressed the previous time remains selected. So when the new address appears, you can just hit the enter key to print it and move to the next address. This makes it very fast just to quickly check each address before it goes.

This continues until all the names/addresses in the distribution list have been printed or cancelled.

Envelopes are printed immediately. However, labels are spooled to the printer, and don't print until the sheets of labels are full, or the Mailshot window is closed. However, you can also click the button labelled Print Spooled Labels in the Address Window.

You then post your mailshot, using the labels or envelopes that the system has printed.

More details on how to prepare for and run a Postal mailshot are given in the topic on running the mailshot.

More details on the Envelope/Label printing window and buttons is to be found here.


The "Publish To Web" Window

This topic describes the Window that enables you to publish your availability and rates information directly from the LetSys database to an HTML file that you can then upload to a web site.

Click on the image below for more information about each component.

This window allows you to select the properties and dates to publish, set options and finally to publish.

In addition, if you have installed the free FTP Utility (eFTP) you can also directly upload the new availability status to your web site.

When you have finished click close (or click the x at the top right of the form.)

There are three parts to the publishing process:

1) Click Update selected to update the Availability/Rates files for the selected properties

2) Checking the updated files - if required, by clicking the View Selected button (only one property at a time can be viewed).

3) Uploading the selected files to the server by clicking the Upload Selected Button.

You don't have to follow the order above. You can view or upload an existing file at any time without first updating it.

Also, please ensure you read the topics

Using LetSys to help maintain a Web site.

Overview and Row proforma

which describe the general process.

In order to use this function, you must specify an availability file for each property, as described here: Web Availability Filename

This file must be located in the Web Folder. A suitable html file with the specified name must be present for this function to work.

Note: If you have configured


Overview and Row proforma

This topic describes how LetSys publishes your availability and (if required) rates to a web page. You invoke this function from the Status Window, with Publish to Web.

Rates and Availability Table - how does it work?

LetSys works by locating and replacing a set of table lines that show your property's availability. These table lines are located in an HTML table, which is part of your specified Availability HTML page. A local copy of the web page is first updated, and then you upload it to your web site.

To see the format for a simple Availability web page, look at the sample provided for Demo Cottage. This is in a file called

C:/LetSys/Web/availability.htm (Click to view it)

The default file name for "Demo Cottage is "availability.htm" and this file is placed into the default web folder: C:\LetSys\Web.

You can also view this on the demonstration system by opening Demo Cottage and selecting Tools / View web page or click on the toolbar icon [image] .

If you have more than one property and use the same folder for your web files for all properties (recommended) then it is best to have different rates and availability file for each property. It is also possible to put more than one availability table into a single file.

When you click Publish to Web an updated table is built using your data. It is entirely based on data you have already entered so is very quick and easy, once set up. Only the table (and, if required, a "date published field" are changed as described below. The rest of the availability page is up to you, you edit it to contain any information you like in your own style, in exactly the same way as you would edit any HTML file.

If you want to change the defaults, configure LetSys with the name and location of the html file containing your availability web page - see Web Rates/Availability File - specifying name Then create your own file. Several sample html files are supplied in the web folder created when you install Letsys, all with names starting with availability... When you edit them (in a text editor) you will find comments describing each sample, and you can use one of these as your starting point.

You have high flexibility to change the format, colour and font styles of your availability table to enable it to match the style of your site. Each table line is derived from a proforma which you can edit. Colours and text styles are specified using HTML style sheets (CSS) giving you maximum flexibility.

Delimiters (HTML Comments )

HTML comments are used within your Web Availability file to define the lines that LetSys changes.

1. The "Date Published" line: LetSys updates a "date published" line - if it exists.

The comment line <!--PubDate--> much precede a line of the form "Last updated Monday 15 December 2010". This tells LetSys to replace this line by one containing today's date. Thus your web site is not only up to date, but can be seen by customers to be so. Note that this comment must be the only text on the line. This is optional, you don't need to include it, and if it is not present, you simply get a warning message.

2. The table lines for the availability status. LetSys will updates the lines of a rates table, which it locates by searching for an HTML comment in one of the following formats to identify where the table lines begin.

If you use a different HTML file for each property, add a comment <!--RateLines--> immediately before the table rows start, as shown in the sample files. This has the advantage that there is less to change if you change property numbers or copy the file and then use it for a different property.

If you want to share a file with several properties, with each having a separate table, then add comments as follows:

For property 1 this comment should be: <!-- LinesForProp1 -->  etc.

Property 16 would be <!-- LinesForProp16 -->

These comments must precede the table lines that are replaced by LetSys, and must be the only text on the line.

The end of the table is identified by the normal HTML end of table tag: </table>

An example of a rates/availability HTML file for two properties is shipped with LetSys, in a file called

C:/LetSys/Web/availability SAMPLE 5.htm (Click to view it)

The Row Proforma

The rates lines are built from a Row Proforma. This proforma is called $RowProforma.txt and it must be placed in the web folder for the property. If you share a single web folder for all your properties (recommended) a single proforma will apply to all.

This gives maximum flexibility. Here's an example of the proforma used for Availability file - Sample 1:

   <tr><td>@RG</td><td>@R</td><td class="@S">@C</td><td class="@F">@F</td></tr>

This simply defines an HTML table containing four elements (columns), with some "merge strings" or @strings that are replaced as described in topic Web Publishing "merge strings" or @strings.

To use this facility for your own property, you must create a suitable Web Availability/rates html file, with a name that you then specify using the configuration program. See Web Rates File - specifying name.

To update this file, using the latest data, select File / Publish to Web from the Status Window. This will display the "Publish To Web" Window You can then use this window to select the dates and properties to publish and then click PUBLISH to update your availability files.

You need to be familiar with Web site development, or have some support, to be able to create your own web site. However, almost all Internet Service Providers give you some free web space - so it is there to be used.

Hints and tips:

The program expects your HTML file to be written in Windows text file format, ie with Carriage Return / Line Feed characters. Unpredictable results will occur if the file is saved in MAC or UNIX format (with Line feeds only)


Web publishing Action Buttons

There are three action buttons on The "Publish To Web" Window

Once you have set your dates and options (normally not necessary as your options and dates are remembered) you then just click on the buttons which can be done in any order, but would normally be done in the following sequence:

Update Selected: The Update button causes the web availability/rates files for the selected properties to be automatically updated in your local web folder, as described in topic Overview and Row proforma

View Selected: The View button enables you to launch one of your web pages in your default browser. The page launched is for the first selected property in the property selection box.

Upload Selected: The Upload button causes the web/availability files for the selected properties to be automatically uploaded to your web site as described in topic Web file uploading using eFTP

In addition, if you have configured LetSys to Upload PHP Web Data then this data is automatically uploaded as the first step.


Week range to publish

This topic describes how to set the range of weeks to publish to the web.

You can publish any period you wish, from the specified year and week number up to and including the "until" year and week numbers. Both specified weeks will be included.

Most years do not have 53 weeks; if week 53 is specified as the "until" week it simply means up to and including the last week shown on the status window for the specified year.

By default the from year and week will be set to the next complete week after the current date, and the until year and week will be set to the end of the current year. However, once set the from and until dates are remembered. However, on the assumption you would not want to publish dates in the past, then when you start the program afresh the from week is adjusted to the next complete week.

If you advance the from year then if appropriate the until year and week are automatically altered to the end of the selected year. The system is designed so you don't need to alter the dates very often, but you can always override them to any dates you like.

All selected properties are then published for the selected period.


Properties to publish

All the properties you have created are displayed in a list box. By default all properties (except Demo Cottage if still present) are selected. You can change the selection using the usual windows selection techniques.

Once you have selected the dates and properties to publish and checked that you have the right publish options set, just click the PUBLISH button to update the specified Web Rates/Availability File


Web Publishing Options

The "Publish Availability to Web" window contains a group of "Publishing Options". These options control how the rows in the table are formatted. Once you have set them the way you like, they will be remembered for the current user.

Compress Weeks: If this option is checked, then weeks with the same status and rate are compressed into a single table line. The start dates for the weeks that are covered by this single line can be included in your table using the @RG merge string, which is replaced by a set of week start dates such as "Jan 8 - Feb 5". An example of how compressed weeks is shown in the supplied example Availability - Sample 1.htm

Long dates (d month yyyy): If this option is checked, then any dates inserted in place of merge strings @SD and @ED will be specified in full. eg 8 January 2008. If this option is not checked dates are shown in a short format: eg Jan 8.

Include month separator row: If this option is checked, then each time the month changes (based on the week start date) a special week separator row as added to the table. This "separator row" contains the text "month yyyy" eg "January 2008", in a row that spans the entire table. The style of this row can be altered by changing style sheet class "sep" - have a look at Availability - SAMPLE 3.htm

Include year separator row: If this option is checked, then each time the year changes (based on the week start date) the special separator row is produced, exactly as described above. Checking this option has no additional effect if month separator row has been checked.

Omit rate if week fully let: If this option is set then the weekly rate is omitted (set to blank) if the week is fully let. The weekly rate (or rent) is normally inserted when the @R merge string is found. However, some users like to remove the rate when the week has been let and this option allows you to do this automatically.

Hints and tips: If you want to show the day of the week your let starts in the dates, then change the Row Proforma to use the @string @D to include the day. eg "@D @SD" will show as eg "Sat Jan 8" in the web table.


Web Publishing "merge strings" or @strings.

Each row in your web "availability" table is created from a table row proforma, which is just a raw HTML table line with strings that get changed for the appropriate data by LetSys when you Publish to Web.

The sample availability file discussed in topic Overview and Row proforma was produced using this table row proforma: (in your web folder, named $rowproforma.txt)

<tr><td>@RG</td><td>@R</td><td class="@S">@C</td><td class="@F">@F</td></tr>

This sample HTML table row contains four elements (columns), but you can have as few or many columns as you like.

The "merge strings" or @strings are replaced as defined below. You can see the table produced in the example

The full set of possible @strings is (in alphabetic order): (They are case sensitive; lower and upper case indicate different strings).

@A Availability: Replaced with "Yes" if week is free, "No" if week is let, and "Part" if week is part let.

@C Comment: Replaced with comment for week from rates file, to which is added " - LET" if the week is fully booked. If the week is partly let, however, this is replaced with "PART LET " plus a summary of availability. eg "PART LET. Avail. Wed-Thu"

@c Comment without the status. (LET or PART LET). If the comment in the rates file is blank, the comment will be eg May 2012 or May - Jul 2012 depending on the date or range of dates for the row.

@D Day: Start day for the week eg Sat, always abbreviated to 3 characters.

@ED End Date for the week (or range of weeks, if "compress weeks" is checked.)

@F Fuel: Replaced with H, M or L depending on the fuel charge. Use this only if you have configured a fuel charge.

Example The supplied sample shows a different background colour for the fuel box depending on the rate with <td class="$F"><b>$F</b></td>

@N Number: Replaced with the week number (as shown in status window)

@NM Property Name. This is replaced by the property name, eg "Demo Cottage"

@PN Property Number. This is replaced by "1" for the first property etc.

@R Rate: replaced with the weekly rate for the week, preceded by the appropriate currency symbol. eg €500 or $800.

@MW Minimum charge for Weekend lets. Replaced with the minimum charge for a weekend let based on the calculation of Rent (for short lets)

@MM Minimum charge for Mid-week lets (Mon-Thursday nights). Replaced with the minimum charge for a midweek let based on the calculation of Rent (for short lets)

@RG Range of Weeks. eg "Jan 8 - Feb 5" Shows the start dates for the first and last week that the row applies to. This should be used if "compress weeks" is checked in the Web Publishing Options

@S Status: normally used in a class=@S statement, this is replaced with A, B, or P depending on whether the week (or range of weeks) is Available, Booked completely or Partly let.

Example <tr class=@S> selects a particular style for the entire row; <td class=@S> - selects a style for that element only.

@SD Start Date, replaced with the week start date. Format depends on Web Publishing Option "Long dates". eg short: "Jan 8" or long "8 Jan 2008".

@oe "Odd/Even" If the table line number is odd, this is replaced by "odd", otherwise "even". This allows you to set the class for the table row thus <tr class="@oe"> and by setting different background colours you can alternate the colours for the rows. You can see the result in the online samples - select the "ratelist.htm" sample.

Note that all of the @strings are case sensitive. An error message is shown if a string other than those shown above is found in the proforma.

Note: Read topic Overview and Row proforma for more information.


Web file uploading using eFTP

A free File Transfer Protocol (FTP) utility is provided by Erw Wen Software to enable you to automatically upload web files to your web site. It has an interface to LetSys so that each time you Publish to Web or Upload PHP Web Data you can easily upload data to your web site. You need to be connected to the internet, of course.

To publish rates and availability to the web, you need to do the following:

1. Download, install and configure eFTP from http://erwwen.com/holletsys/eftp.htm. You define the properties of your web site using a sitename in eFTP. Read the help file that comes with the program. You need to know your service providers FTP server address and your username and password.

2. You then need to specify a sitename when you configure LetSys, as described in topic Web Site Name. By default the site is blank. You can have a single sitename but also override this sitename when configuring a property, thus enabling you to have a different web site for each property. See topic Web Site Name for Property Note that you cannot leave the main site name blank for web publishing to work.

3. Once you have completed both the above steps (and tested eFTP) then, if a sitename is configured, the Upload button is enabled in The "Publish To Web" Window. You then open this window, and click the Upload button to upload the specified availability/rates pages. Normally you would first update the pages automatically by clicking the Update button, and then upload the new pages. You can also view a selected page from this window if you want to see the result of the updating process before you upload.

4. Remember - you must be connected to the Internet before you click the Upload button, or you will get a connection error.

5. When the uploads are complete the contents of your remote directory are displayed in the right panel of eFTP so you can check the details. Then just disconnect from the site and close eFTP, which is most easily done with the Quit / Close button.

You can also use eFTP to Upload PHP Web Data Read this topic for more information.

That's it. Full details of eFTP are to be found at http://erwwen.com/holletsys/eftp.htm


Downloading a Web Booking Form

If you have a web site and want to allow users to enter booking requests on-line, via a form, LetSys can download the HTML form so that it may be viewed in the same way as a scanned booking form, as described in topic Booking forms - viewing and creating

Data entered into the form can also be downloaded and automatically entered into the booking record, including customer name, address, phone number, party details and email preferences.

The booking form must be created as a HTML file by a server application that processes your online booking form. A sample form (bookform.htm) and sample PHP application (procbooking.php) are provided with the system - see below.

It is your responsibility to set up your server and ensure your web application runs correctly.

The form handling script need not be PHP, any scripting language can be used. Once the booking files are saved on the server, we also supply a sample PHP script to list booking forms and to view and delete them, as described in topic View and maintain Web Booking Forms

You must configure the URL of the folder where you save booking forms on your site or you won't see the option to download the form. To automatically merge form data, you must set this option on. See Options to download Web Form Data

The download is driven from the booking concerned which must already be created with the correct surname entered. From the booking window, select Tools / Show booking form, or click [image] on the toolbar. The system then looks for a booking file with the name yymmddSurname where yymmdd is the start date for the let, and surname is the name specified in the booking form. The surname must be the same as that entered on the web booking form. The application is written to be case insensitive as users often make mistakes with case.

If the booking form is not found, a dialog box is displayed and you can either try to locate the form on your local computer or download the form from the web. If the form is found, it is copied from the specified location to the booking folder for the property and data merged into the booking record (as specified.)

Notes on writing a Web Application:

You will need technical skill in web technologies. We provide sample forms and scripts as examples in the web folder ( By default, C:\LetSys\Web) and you need to use these to fill in any gaps in this documentation. The booking form example is in file bookform.htm. Click here to open

The PHP script that processes the form when submitted is procbooking.php. This sample is designed to send an email to the person submitting the form, with a copy to you to tell you a new booking request has been submitted. You need to modify the script as described in documentation inside it.

In particular you must write out the data submitted as an HTML file, and save it on your web server. It is this file which is downloaded and displayed from the booking form. The file name must be Pn-yymmddsurname.htm where n is the property number - use 1 if you have only one property. The rest of the name is the start date and surname. Note that the file type must be ".htm" not html.

In the file name the surname should be in lower case as customers can type their name entirely in upper case or indeed in a variety of ways. Therefore you should convert the name to lower case in your web application as is done in the sample, and LetSys expects this. Once downloaded the name reverts to whatever case was used when entering the booking.

Once a file is created on your server, open a new booking with the appropriate start date. Then enter the surname of the person booking, and click the "View Booking form" icon ( [image] ) or select Tools / Show booking form from the menu. Because no booking form yet exists, you are given the option of downloading it. For this to work, you must first configure LetSys to know where forms are held on your server, by specifying the URL of your Web Folder

The system can also merge most of the data into the booking automatically. Your web script needs to writed a coded data file with the same name as the form, but with the extension .txt. Look at the samples provided which show the expected format of this coded text file.

For users with several properties we provide a feature that will allow you upload a PHP array of property names to your web site, and you can use this to automate web applications. See topic Web file uploading using eFTP

Security: Since you will be storing customer data on a web site, we recommend taking the normal steps to ensure it is difficult to gain access to data stored in the booking forms folder, and especially to delete the forms from the web server once they have been downloaded. This can be done using a FTP client, or using the "helper application" provided as described in topic View and maintain Web Booking Forms


View and maintain Web Booking Forms

If you have an application to collect booking details using a Web Form on your web site, then this function allows you to see which forms have been submitted, and to view and delete them.

Click the icon to see a list of the booking data submitted on your server.

You can, of course, do this using FTP. But this function makes it fast to get this information directly from LetSys.

Please note:

This function will only work on web servers that support PHP.

To use this function you must first do the following:

1. Configure LetSys with the URL of the directory on your web server where you will save your forms. See topic URL of Web Folder

2. Upload the supplied PHP program xlistforms.php (which is installed in the C:\LetSys\Web folder) to this directory

3. You must have installed both a web booking application and forms processing script that saves the booking forms with the naming convention defined in topic Downloading a Web Booking Form

Notes: There is nothing to stop you or your web specialist modifying this script to meet other requirements. LetSys simply opens a web browser and executes the PHP script.

At present this script must be in PHP and have the name xlistfiles.php - let us know if this presents a problem.


Auto-upload PHP web data

LetSys can automatically upload the PHP and MySQL web data described in topic Upload PHP Web Data.

If you use the autoupload feature, then this data is always updated when you start LetSys, and subsequently it is updated whenever it changes, with checks made at the specified interval.

Using the configuration program, you should specify (on the web tab) (a) the number of days of availability to upload and (b) whether or not to synchronise a database. You also need to specify the autoupload parameters, as described below.

This function does not use the FTP program eFTP, but instead uses a PHP Helper script. This must be installed on your web site, in the same location as your PHP web data (more details below). Synchronising web data is complex, and you will need to contact us for details of how to write such a helper script, before trying to use this function.

Once the script is in place you configure LetSys to perform the update. This is done by opening the Publish to Web window, and clicking the button "Auto Update". This button will only be visible if you have configured the system to upload PHP Web Data.

You then need to enter:

- The URL of your helper script.

- The local directory where you want LetSys to create a local copy of the data prior to upload (this is filled in automatically from the eFTP definition in site LetSysData if you have configured that.)

- The password for the helper script (we will supply this with the script)

- The frequency for the updating to occur, in minutes. The minimum setting is 5 minutes. The initial setting is 0 - switched off. We suggest setting initially to 240 (every four hours).

Once you have done this, the autoupdate will just run as specified. You can return to this configuration window to change settings.

Notes:

- To switch off auto-updating just set the frequency to zero or clear the URL of the helper script (or both).

- The settings are stored in the registry for the current user. This is deliberate. In a multi-user system, only one user needs to or should be updating the web site automatically. This does mean that if you move to a new machine you will need to reconfigure these settings.

- You need a helper script to perform the upload. You will need to understand the principles of AJAX to create such a script, and will need to contact us to discuss availability of a suitable script and support.


The Archive / Clean Up Window

This Window is opened from the main status window menu by selecting Tools and then Archive / Clean Up.

This window allows you to

- Archive booking records, rates files, letters and booking forms (if used) older than a specified date. This data is placed into the archive folder for each property. The booking records are placed into a file called Archive.hls. Associated documents, letters, booking forms and old rates files, are placed into a file called DocArchive.zip. This data is NOT REQUIRED for operation of LetSys. You can delete it, or you can move it to a different storage location.

- Clean up old backup data, older than a specified date. This data is not required apart from short term recovery or audit.

After a period of operation, you are advised to archive and clean as it will reduce the amount of data in your root folder and improve performance.

Archiving Data. To archive data, do the following:

  • Set the date field. Bookings ending prior to this date will be moved to the Archive. By default this date is set to 1st January 6 years back. This complies with UK legislation (see below).
  • Alter the property selection in the Property ListBox if you don't want to archive data from all properties. (The default)
  • Click the Archive button. You will see a report of the action taken.

Cleaning Up Data. To remove old backup data you should select the properties to be processed (normally you should process all properties) and click Remove. This removes data that is saved for backup purposes only, namely the changed.hls and the deleted.hls files described in topic Data Structure - folders and files. In addition other temporary backup data is removed. By default, the "clean-up" date is set to 1st day of the month one year previously.

More information about Archiving: You should archive data for two main reasons:

  • You no longer need the booking details - for example, the period you must keep records for tax purposes has elapsed. Once archived you can delete the archive.hls file, it is not needed for operation of the system.
  • Reducing the amount of data will make it easier to work - for example you will see less bookings in the Search Window, and this will also improve system performance.

Archived data is stored, by property, in the Archive folder. There are two files:

  • Archived booking records are stored in file Archive.hls Archived records can be viewed by double clicking the file from "Windows Explorer"; they are stored in data order.
  • Archived letters, scanned booking forms and old rates files are stored in file DocArchive.zip

Each time you archive, any new archives are merged into the above two files. These files are not needed for the operation of the system and can be deleted or stored elsewhere.

Normally, data won't have to be archived until your records are several years old.

Note: The default archive date is set to the beginning of the year that is 7 years prior to the start of the current year. This slightly exceeds the requirement in the UK for keeping tax records. ie even if you then delete your archive file, your master database keeps all the records that the tax authorities will require. You can, of course, archive data of any age you like by altering the date field.

Tax retention periods vary by country.

  • In the UK Tax regulations require records for a given tax year to be retained for 5 years from 31st Jan of the following year.
  • In the USA the prevailing practice for retaining tax records and supporting documents has been to keep such documentation for a minimum of seven years.


Running with an alternative set of data

You can now start both LetSys and the Configuration program so that they will work with a different data folder, by specifying an alternative root folder as a command line parameter.

One use might be to look at data from an old property that you sold or no longer manage. If you have an archive of LetSys taken at the time you disposed of the property then you can follow the following process to view the old data (for example if you need to look at it to gather data for tax authorities.)

1. Using a program such as the free 7Zip (href="http://www.7-zip.org/" target="_blank">http://www.7-zip.org/</a>} ) unzip your archive root folder (taken with the backup tool or any other backup method) into a folder. Let's suppose this folder is called C:\TEMP. You then have the old data in a root folder called C:\TEMP\LetSys\

2. Create a shortcut on your desktop which runs LetSys, but set the target thus: "C:\Program Files\ErwWen\LetSys\LetSys.exe" "C:\TEMP\LetSys\" Make sure the path has a trailing backslash. This assumes the windows drive is C: If you are running on a 64 bit operating the system, you will need to specify the Program Files (x86) folder. Just look at one of the existing short cuts.

3. Run LetSys using this shortcut and it will use the restored root folder in your temporary location. All changes and reports will be based on this data, not your normal data which won't be affected.

4. When you have finished, just delete the folder you restored to and also the shortcut.

Notes:

- You can also have a shortcut that both specifies an alternative root folder and starts the user in read-only mode. In this case the target would be (for example) "C:\Program Files\ErwWen\LetSys\LetSys.exe" "C:\TEMP\LetSys\" /R

- You can also start LetSys from a command prompt, or batch file, with the root folder and startup mode set as command line parameters in the usual way.


Owner Data Base

If you manage a property on behalf of a third party (normally the property owner) you can save details in an Owner Data Base. This is optional.

To create an owner data base: The first thing you must do is create your owner data base. This is done from the main Status Window, by clicking File / Create Owner Data Base.

You will then see a blank form which you should complete with the details of an owner. This form and contents have been designed to be intuitive. You can add more owners from the menu using Edit / Add record. Once you have added all the owners, you must then configure the system to associate each property with an owner.

Associating a property with an owner: This is done from the configuration program in the normal way. You will not be able to do this unless you have already created an owner data base with at least one owner. Edit the property as described under Editing or deleting a property.. You just select the owner from the Owner drop-down box. All owners you have defined will show.

Viewing/editing the owner details: Once you have created an owner and associated that owner with a property, there are several ways to view the Owner Data Base.

- From the main menu in the status window, click File and then View Owners (short cut F7) and you see the Owner data base positioned at the first record.

- To see the owner details for a specific property:

Classic mode: from the menu select View / View owner or click toolbar button [image] .

Multi-mode: you will see the owner surname displayed in the Property box. Click the name, and you will see the record for that owner. You can also right click and select View Owner details from the context menu. You can also use the menu: View / View owner or click toolbar button [image] and then select the property whose owner record you wish to view.

Editing owner details You can change the data associated with an owner (including the name) at any time from the Owner details window. It is the owner number which is used to link a particular owner record to a property, and that can only be changed from the configuration program.

Notes:

- If you change an owner name or property allocation, and you work in multiproperty mode please restart LetSys for the changes to be reflected in the Property box.

Where is the database stored?: There is just a single database in a file named Owners (with file type .hlo). This is kept in the root folder.


Expenses Window

This window is opened from the Status Window menu, by selecting Accounts / Expenses on the main menu.

You can also open this window from the pop-up context menu on each property box, also on the status window.

In this window, you both enter and view the expenses, by month, for a specified property and a specified year.

The property and year are shown in drop-down boxes (change these to view a different property or year).

Note: The expense categories you see are configured as described in topic Configuring Expense Categories

By default the year is set to the current year, and you will see the first property if opened from the menu.

You can change the year from the dropdown box or the Navigate menu and also quickly change year from the keyboard by pressing Ctrl+P (previous year) or Ctrl+N (next year).

When entering the monthly expenses (by category) you can always reenter any number, or save what you have done and return later. Click the menu item Save and Exit.

Other functions on the Expenses Window:

Exporting the data to a CSV file: You can get all your data out into a spreadsheet format, by selecting File / Export Expenses to CSV file. The file for the property (including all years and categories) is exported and then opened in your registered spreadsheet application.

Importing data for a specific property and year: There is also an import facility, that allows you to import data if you already have it in a spreadsheet such as Excel. You must create a grid of numbers for a specified year, using copy and paste. This should contain just 12 numbers for each category, corresponding to the expense in each month.

Thus if you had 3 categories, the spreadsheet would have 3 rows of 12 numbers. Save this 3 x 12 spreadsheet as a CSV file.

Then click File / Import Year from CSV and browse to the file you just saved. Select it, and providing the format matches, the data is imported. Once saved, you can discard the temporary CSV file.

Notes:

- The system automatically sets up the data to start in the previous year and initially just two years are set up; the previous and the current year. When the next year starts, a new year is added automatically. All expense data is initially set to zero.

- It is not possible to go back more than one year to record expenses data.

- There are shortcut keys to change property (PageDown and PageUp) and Year (Ctrl+P and Ctrl+N).

- The Archive / Clean Up Facility can be used to delete old expenses data, which is automatically deleted if older than the specified date.


Editing an HTML Email

The HTML Edit window allows you to view and change the contents of an HTML email before it is sent.

The email is based on a proforma and will contain HTML tags which require HTML and CSS knowledge to change.

However, you can change the text part of the email with relative ease, and this should be intuitive.

The source is simple text, and this window is a text editor with the usual cut, copy, paste and undo functions available via the usual shortcuts or the menu.

If you want to change the HTML and CSS tags and properties, this is beyond the scope of this Help, but one place to start learning HTML and CSS is W3 Schools


Installing the System

The Holiday Letting System (LetSys) is distributed either via downloading a single file via the Web, or on CD.

If you receive LetSys on a CD, then installation should proceed automatically when the CD is placed in a reader. If it does not, just go to your CD drive in My Computer (or Windows explorer) and double-click the file named LetSysx.x.exe. x.x are the version and release number.

If you download LetSys from the web, you will have a single file, again named LetSysx.x.exe. Double click this file to install.

Please note that all files distributed have been thoroughly Virus scanned.

LetSys is now installed, which is a very simple process. Just follow the instructions. You are recommended to accept all the defaults during installation.

The evaluation version will run for only a limited period. You will need to register in order to continue to use the system.

The default installation will install the programs and help files into your program files folder in the folder C:\Program Files\ErwWen\LetSys.

The sample data is installed into a folder C:\LetSys. If you wish to place the data into a different place (eg your D: disk) you can later change this option (by running the configuration program) and then move the data across. For more information on the Folder structure click here.

Sample Application: "Demo Cottage"

Once installation is complete you can immediately run the sample application - an Icon for which is placed on your desktop, entitled Demo Cottage. You are strongly recommended to spend some time trying this, and reading the tutorial, before starting to use the program for your property. This will give you a good understanding of the main features.

Setting up LetSys to handle your own property.

Once you are familiar with the operation of the system, you will want to create your own property. Here is some guidance to assist:

1. The first thing is to carefully plan the process you want to use - so you don't end up configuring and reconfiguring the system. In particular here are some of the decisions you need to take, although in most cases you will want to continue to work in the way you currently do.

  • What name will you call the property - for the system. Shorter names may be easier to work with.
  • Do you want any optional extra charges? What are they? What order do you want them to appear on a booking form?
  • Will you charge a returnable deposit? How much?
  • What is your changeover day? Which currency will you work in?

2. You next need to create the property and configure it to these requirements. This is very straightforward and is covered by the topic configure LetSys

3. Finally, you need to create a rates file for the current year. You will find that a sample rates file is already copied into the data folder for your new property - just change it to meet your requirements. See more in the topic "Setting up and editing rates files". Read this topic carefully, as setting up the rates file for the first time can be challenging.

Data structure - folders and files.

Later - when you are familiar with the operation of the program you will probably want to better understand where the data is actually kept - and also the locations and purpose of the three main database files for each property. Read the topic Data structure - folders and files.

Installation Hints and Tips: See this item which contains information to assist.

Acknowledgements:

- LetSys installation (and Uninstallation) uses InnoSetup ("Innovative Setup"), an excellent freeware program available from www.innosetup.com. Many thanks to Jordan Russell.

- Thanks also to our various beta testers for excellent feedback over many releases now, which all helps improve this system.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Installation hints and tips.

Windows 10 / 8 / 7 / Vista / XP / 2000 / NT: You must install LetSys from a user with administrator rights, or authorise installation using an administrator ID. Once installed LetSys can be run from a standard user.

Windows 10, 8, 7, Vista and XP:

- You must give permission for the software to be installed (there are various warnings such as "The publisher could not be verified - are you sure you want to run this software?" As a small business we can't afford to pay the costs for the code signing certificate needed to become "verified". Email or call us and you will find we are genuine (or look at the web sites of some of our users who have endorsed this system - see our references page at http://erwwen.com/holletsys/refs.htm

- When you create a new property, an icon is placed on the desktop and into the Current User Start Menu. You can also use the Configuration Program function to place missing icons on the desktop from the special tab.

- In Windows 8 you will find LetSys and the configuration program are accessible via tiles on the start screen.

Colour settings: LetSys will display colours better if you set your colour settings to "High Colour (16 bit)" or better. This is now the default with modern PCs.

Windows 95 (and 98): These versions are no longer officially supported but should still work. To run on Windows 95 you will have to install HTML Help. Also you may may not see Toolbars correctly (they are blank). Downloading the latest version of the Windows common controls should solve this problem. Click here to download these controls. Save this file and then run it (Windows 95 only!)

Display Settings: LetSys was designed for the default (normal) DPI (dots per inch) Display Setting. Some users who have changed their display DPI (Dots per inch) setting have found that while the system is still useable, they get scroll bars in some windows. You can either scroll or resize the windows in order to see all the buttons and other components. In addition, font sizes are larger and do not fit or line up as well. It may be better to revert to the default display settings if you want the easiest user interface.

We recommend that you can change back to the default (normal) DPI setting from (in Windows XP) Control Panel / Display / Settings tab. Click the advanced button. On the General Tab you can change the DPI (dots per inch) for your display. Set it back to normal (96 DPI). (This procedure may be slightly different on other version of Windows)

Installing LetSys on a single computer with two or more users. In all recent versions of windows, you can define two or more users for a single computer. Each user has their own settings, desktop and my documents folders.

When you install LetSys this is done from a specific user ID. However LetSys can be made available to use from any user ID on the computer, subject to the following comments:

(1) The evaluation version can only be run from a single user (the one who installed it).

(2) You must reenter the registration code using the configuration program for each additional user.

(3) The Demo Cottage desktop icon is installed only on the desktop of the user who initially installed LetSys. It is also placed into the Start menu / Programs / LetSys folder for all users.

(4) When you create your own properties in Classic mode, new shortcuts (icons) for each new property are installed on the desktop and in the start menu for the user who created the property. Other users cannot see these shortcuts. If a second user wants these shortcuts to be created, this can be done as described in section 7 below.

(5) In Multimode, you just need a single LetSys icon, and you can execute this from the start menu, or copy it to the desktop, or create it on your desktop with the button menioned in topic 4 above.

(6) If you run LetSys from a UserID which does not have administrator permissions, then you will need to ensure that this user has both update and write permissions to the LetSys root folder (and all subfolders). This problem can occur if you have altered the location of your root folder or restored LetSys from a backup. Do this from an administrator ID, and set permissions appropriately.

(7) Creating missing shortcuts (icons) on your desktop: You can either:

- From the LetSys Configuration program, click the Special Tab. Then click the Create Icons (shortcuts) button. This will place all missing icons onto your desktop.

- You can drag a copy to your desktop from the start menu. (Use right click, hold and drag when pointing at the icon you want in the start menu, then select copy. If you use left click and hold, you move the icon out of the folder! )

You can also create your own shortcut as described below.

WARNING: (Recent windows versions) You are allowed to leave a user logged on (although disconnected) when a second user logs on. If both users use LetSys, and the first user has LetSys open and then disconnects, then it used to be possible to lose data should the second user perform an update, and then the first user recommencts and performs a second update. LetSys Version 4 now checks for this condition, and should safely process the data. However, it is still advisable to close LetSys before disconnecting to avoid the messages saying the condition has been detected.

Creating your own shortcuts: If you know how to create or edit Windows shortcuts, you can create a shortcut that will start the application from anywhere that is convenient. As an example, take the Demo Cottage shortcut that was installed on your desktop and copy it (right click and hold - then drag - is one way to do this). Then rename the new shortcut to your property. Next, right click it and select properties.

Find this line: "C:\Program Files\ErwWen\LetSys\LetSys" "Demo Cottage" Just change "Demo Cottage" to the name of the property that you want. This icon should now launch the property. (All the property names and numbers show in the Configure LetSys Property Names panel.)

You can also change the line "C:\Program Files\ErwWen\LetSys\LetSys" "Demo Cottage" so that "Demo Cottage" is replaced by /A This switch causes all the properties you have specified to be opened at once, with just a single action

Using LetSys on a Network. You can configure LetSys so the root or base folder is on a different computer - just browse from the Configuration program to find the folder on the other computer. You may have to correctly set sharing permissions to allow updates from the network.

Here's one scenario where this could be useful: A husband and wife both jointly manage a cottage - and they often work from home, each with their own computer, and both are networked. You can now share a single copy of the data and either can update it. From LetSys version 4 onwards LetSys detects this sharing, and issues warning messages. Take care or you could lose data. To avoid this risk, and allow multi-user working, please contact us and purchase a "multiuser" license for each separate user.

You need to install LetSys on both computers. From LetSys 4 onwards, all settings are now placed in the root folder, so if a setting changes, a second user will automatically pick it up, providing they restart LetSys. Settings should only be changed with one user active.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Registration Expired Message

If you see the message "Evaluation version expired. Please buy registered version" then either:

- You are running an evaluation copy, and the registration period has expired. See topic Registering

- You are running LetSys on a new user (not the user who installed LetSys)

In either case you will need a valid registration code to continue.

The registration code is entered by starting the configuration program from the Start Menu. Look in Start / Programs / LetSys and click Configure LetSys.

Now select the Register Tab and enter your full registration details.


Uninstalling LetSys

To completely remove LetSys from your computer follow these instructions:

(Note - you may want to print this topic before you start, as you will lose this help file once you have run Step 2).

Step 1: Run Windows "Add/Remove Programs".

Go to Start/Settings/Control Panel. Then double click Add / Remove programs. Scroll down to LetSys, and uninstall.

Step 2: Remove the LetSys folder from the Start Menu - if necessary.

Go to Start/Programs/LetSys. Right click on the LetSys folder to get the context menu, and then select delete.

Step 3: Delete any remaining shortcuts from the desktop. Select the short cut, and press delete.

Finally: Note that all your data is placed in the Recycle bin. So if you make a mistake or change your mind, then it is easy to recover that most precious of commodities - the data you spent time entering.

The difficulty of uninstalling a Windows Application is a personal grumble of mine. Almost every application you run will leave traces behind - data folders, registry keys etc. After a while these build up to the point where it slows down your system. At least you should be able to completely remove all LetSys components and data if you follow these instructions.

Acknowledgement: Again - LetSys removal is made easy thanks to InnoSetup ("Innovative Setup"), an excellent freeware program available from www.innosetup.com. Many thanks to Jordan Russell.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Migrating to a new machine

We are often asked the following questions. (These are taken from the FAQ file on the web site).

Q: I have just bought a new machine. How do I move the Holiday Letting System across?

-or-

Q: I want to use a Laptop for the next few weeks while away - can I run LetSys temporarily on the Laptop?

-or-

Q: My motherboard failed. I have a backup but how can I re-install LetSys on my new machine?

A: This section answers these questions. Just do the following:

Use the Migration Assistance Functions

1. Ensure you are running the latest version of LetSys on the old or first machine. It is essential that both machines are on the same version to migrate successfully. If necessary, upgrade first.

2. Now install the evaluation version on the new machine. (Download this from http://erwwen.com/holletsys/download.htm if necessary).

3. Register your application using the codes you were given when you purchased LetSys (this is done from the Register Tab of the Configuration Program.

4. Take a copy of all your data and settings on the old machine by running the Backup Tool to create a complete copy of your data in a single file. Move this file across, and after installation, just run the Restore Tool to replace the data with the copy from the old machine, including the configuration settings.

5. If you publish availability data to the web, using Publish to web you will need to reinstall the eFTP Utility program. Note that you can use File / Export all sites from the eFTP menu on the old machine to export your site definitions, and then move the settings file created onto the new machine. Run File / Import site(s) to import the settings from the file.

Alternatively you can do the process manually:

1. Install LetSys on the new machine. Create and configure your properties on the new machine, and enter your registration code. Make sure you use exactly the same spelling for the properties and exactly the same settings as before, especially getting any extra charges in the same order.

2. Next (and only after you have completed step 1 and double checked your configuration) copy the C:\LetSys folder (including all sub folders) from the old machine, replacing the entire set of folders that came with the evaluation version. This moves all of your data over - it is entirely kept in the C:\LetSys folder. Now all your data is over, and the program should run as before.

You can move data over on a USB drive, a CD, a LAN or a proprietary backup system, whichever is most convenient.

You need to be reasonably familiar with

(1) the operation of folders

(2) using drag and drop from my computer or windows explorer.

If not, get a more computer literate friend to assist. It is a very quick job.

Warning: You do not need to alter or move anything in C:\Program Files\ErwWen\.

Important: It is essential that LetSys is at the same level on both machines. Be careful to only to do updates on one machine at a time or you will lose data.

Recreate Shortcuts.

You may need to recreate your Icons (or ShortCuts). There is a special function in the Configuration Program on the Special Tab. Just click the button Create Icons (shortcuts) to replace any missing icons. You can repeat this at any time if you accidentally delete an icon.

Recovering your settings in the event of system failure: Unfortunately a total systems failure will mean you don't have access to your old machine. But your configuration settings are stored in a file called LetSys.ini in the root folder, which will be part of any backup. If you used the built in Backup Tool it is then easy to restore everything as described above.

Moving your data back from your laptop:

If you temporarily migrated LetSys to your Laptop, then the key point to remember is that one machine must always be the master. This is where you update your data. Once the laptop has done it's job and you want to move back to (say) your office machine as the master, then all you have to do is to move the entire root folder (normally C:\LetSys) and all subfolders back to the new master machine. You must completely replace the root folder on the new master machine. It's not a bad idea to back everything up before changing active master. You do not need to move any other files.

Note that if you made any configuration changes when using the Laptop, you must repeat those configuration changes on the Office machine - it is essential that both machines are identically configured.

Technically it is only necessary to move those files that have changed across, but unless you have a special utility that can do this, it is normally quicker and easier just to move the entire root folder across.

Always take great care, and back everything up before starting.


Migration Assistance Functions

This topic describes the Migration assistance / Data Recovery functions available from the Special Tab in the Configuration Window

WARNING: Before attempting to migrate from one machine to another, ensure both machines are running the same (and latest) version of LetSys.

Restore From Backup: Click this button to replace all your data and settings from a backup copy. See Restore Tool for full details.

Create Icons: Clicking this button will create any missing LetSys icons (shortcuts) on both your desktop and in the Start Menu LetSys folder.

In Classic Mode, this ensures that an icon for each property you have configured is both on your desktop and in your start menu LetSys folder.

In MultiMode you only need a single LetSys icon, which will normally be created when you install the program.

This function can also be used at any time to ensure you have a complete set of icons for all your properties.

These functions allow you to quickly import your data and configuration settings into a new computer when you upgrade. Read topic Migrating to a new machine for more details.


Data Structure - folders and files

All data is all stored within a single "root" folder. By default this is C:\LetSys (see note below).

When the system is first installed the structure will be as follows, including the Sample Application Data (for a property entitled "Demo Cottage").

C:\LetSys\ <--The "Root Folder". Contains shared Letter Proformas

|-Demo Cottage

| |- Archive <--Archived data (inc. copies of deletions / changes)

| |- Booking Forms <--Scanned Booking forms go here, if you use them

| |- Data <-- main database, rates files, optional proformas etc

| |- Letters <-- Letters you write go here. See automated letters

|-Web <-- Sample Web files. See maintaining a Web Site

If you wish to place the data into a different folder (eg on your D: disk) you can, after installation, change this option. Run the Configuration program, and alter the "Root or Base Folder" - click here for more information.

Folder structure after you have added your own property.

When you add your own property (See Specifying a New Property) then a new set of folders are created. If your property was named "Camomile Cottage" then the new folder structure will be:

C:\LetSys\ <--Contains shared Letter Proformas

|-Camomile Cottage

| |- Archive

| |- Booking Forms

| |- Data

| |- Letters

|-Demo Cottage

| |- Archive <--Archived data is kept here. (See topic Archive / Clean Up )

| |- Booking Forms <--Scanned Booking forms are kept - if you use this feature.

| |- Data <--Contains bookings data, rates files, optional proformas etc.

| |- Letters <--All the letters you write using the system are kept here.

|-Templates <- Hidden folder containing export templates.

|-Web <--You can use this folder for your own Web files if you like.

You are recommended to keep the sample data in case you need the examples provided.

If you wish, you can delete a property - just click the DELETE button on the Property Names Tab page in the Configuration Program.

Note that if you delete a Property by mistake, then the data can be recovered from the recycle bin.

The Main Database, and the three History files.

For each property there is the main bookings database, and three other "History" databases (all in the Archive folder).

\Data\Bookings.hls The main bookings database.

\Archive\Archive.hls The Archive database. Contains archived records. See topic The Archive / Clean Up Window

\Archive\Deleted.hls Contains all records you delete. See topic Delete Booking for more details.

\Archive\Changed.hls A "change log" file. A duplicate copy of all updated booking records is saved to this file.

All booking databases are given the file extension .hls From My Computer (or Windows Explorer) you can easily look at the contents of any of these files by double clicking the file name. You will then see the Bookings Window showing the first record in the file. You can view and edit bookings with this approach, but not take new bookings or run reports etc - for that start up LetSys in the normal way.

Each property has its own bookings database. This is held in a file named Bookings.hls in the data folder for the property. This is the crucial database and the one that is used by the main program.

The other three databases are held to act as history and a change log. LetSys will run without these files.

The three History databases.

Archives: You should delete bookings data after a number of years, using The Archive / Clean Up Window

When you archived data it is stored, by property, in the Archive folder for each property. There are two files:

  • Archived booking records are stored in file Archive.hls
  • Archived letters, scanned booking forms and old rates files are stored in file DocArchive.zip

These files are not needed for the operation of the system and can be deleted (if you don't want to keep old data) or stored elsewhere.

The Change log: This is useful if there is ever a mix up over bookings, or just to check what was done in the past. Whenever a record is updated, then it is time stamped. The time of the last change can be seen in the Bookings Window (in the middle panel in the Status Bar). A copy of the record prior to the change is placed into the Changed.hls file in the Archive folder. Records are viewed in this file in booking date order. You can open this database to see what you changed - which can be useful if you lose a record or want an audit trail. You can delete old records from this change log using The Archive / Clean Up Window from time to time. The change log can be used to recover lost data

The Deleted Records log: When you delete a record it is saved into the file Deleted.hls in the Archive folder for the property, useful if you ever delete a booking by mistake. You can open this database to see what you deleted. Delete old records from this file time to time as described in the item above.

The system has a tool to remove old data from the Changed.hls or Deleted.hls files from The Archive / Clean Up Window. Simply enter Tools / Archive / Clean Up Window from the menu on the Status Window.

Note that when you view these history files by double clicking them from My Computer the data is always sorted into date order based on booking start date.

The Owner Data Base:

This is optional. There is just a single database stored in a file named Owners.hlo. This is kept in the root folder. More in topic Owner Data Base

Backup files.

All files, including property data, owner data and the settings file are backed up prior to any change. This is in case of a problem when writing the files. These backups are placed in the Windows temporary directory. A new tool on the Status window allows you to quickly view this temporary directory.

Property specific files (eg bookings and rates files) have the property number added as a suffix to the name, so they become named Pxx-filename.bak The owner database remains Owners.hlo.

In the event your computer crashes, and one of your files is corrupted, then restore the previous copy from the Windows Temporary directory.

Notes: The root folder is by default placed onto the system drive, which is usually C:. However, if your operating system has been installed onto a different drive, then the root folder will be installed onto that drive.


About Registered Applications

For each type of file on a windows system there can be a registered application. This is the default application that will open the file.

Letters: The automated letters produced by LetSys are created as Rich Text files. By default these letters will open in Wordpad, but if you install Microsoft Word and you want to use it, then change to use the registered application as this will apply to all versions of word. The reason this works is that word registers itself as the default application for rich text files. Details of how to change word processor are given in topic Word Processor

Spreadsheet data: When exporting data that is intended to be viewed or processed in a spreadsheet application, LetSys saves the data as a CSV (Comma Separated Values) file. If you have a spreadsheet application installed such as Excel or Lotus123, this will already be the registered application to open CSV files.

Other data: Some data is exported to other file types, including TXT files for simple text.

Opening this data: When data is exported to file, LetSys will try to open the file in the registered application (unless you have specified a particular word processor when configuring the system. Nothing will happen if no application is registered or the specified word processor has been upgraded or removed.

Notes:

a. How to find the registered application: You can check if an application is registered from Windows Explorer, by clicking Tools, then Folder Options, then the File Types Tab. Locate the appropriate extension (eg CSV) in the extension column and if found you will be told which application is registered.

b. How to override the system: To open a file in a different application, right click it in My Computer or Windows Explorer. Choose Open with. If you've previously used a different application to open this file type, then the one you want will already be listed; just click it. If the application you want to choose does not show, select Choose Program and then the program you want. You may have to select Browse and locate the executable file within the Program Files folder.

c. CSV Files: These can be read by Spreadsheets such as Excel or Lotus 123, and hence data can be quickly incorporated into your accounts. CSV files are text files so they can also be read by Notepad or Wordpad. If you have a registered application then if you double click a CSV file in an explorer window, it will open.


Starting LetSys in ReadOnly mode

In a multiuser environment you may sometimes want to start a copy of LetSys in ReadOnly mode.

This is possible just by creating a desktop shortcut, and adding the switch /R to the program execution statement shown in the target. This is one of the possible "Command Line" parameters

This might then become: Target: "C:\Program Files\ErwWen\LetSys\LetSys.exe" /R

One example where you might want such a shortcut available would be the case where you are using a PC sharing data using a cloud system such as dropbox.

This allows updates to be done on a main machine, while you (on a second machine) can view (but not change) data.

Setting up a shortcut with a name such as "LetSys - ReadOnly" enables you to ensure you never accidentally make a mistake.


Configuring the System

To run the configuration program: Either

(1) Click the start menu program "Configure LetSys". This is installed in Start / Program Files / LetSys. (The program itself is named Config.exe in case you accidentally delete the Icon.)

Windows 8: you need to use the tile in the Start Page, or the search facility (run config.exe )

(2) From the Status window, select Tools / Configure LetSys from the menu.

When the program starts, you will see the Configuration Window which contains a series of tabbed pages.

IMPORTANT: LetSys 4.0 onwards supports multiple users who can update bookings data at the same time. This does not apply to configuration changes, and only one person can change the configuration at a time. LetSys contains checks to warn you if other users are active and to force you to close LetSys while changes are underway. Note that you must restart LetSys to pick up configuration changes.

Properties Tab: This shows the name of each property that is being managed by LetSys. Initially this is just Demo Cottage.

From this page you can create and specify details for a new property, edit the options for your properties, delete a property or Change the order of properties. Each property can have many of its own options - for example a different changeover day.

Data Tab: Here you can change the location of your root data folder.

General Tab: Here you can specify:

Show all properties in Status Window: If this box is unchecked, each property is opened separately, and appears in its own status window in Classic Mode. If this is checked, all properties are displayed together in a single Status Window in MultiMode. Multimode operation makes it easier to view the overall status for more than three or four properties.

Save Status Window size and position: If this box is checked, then the status window will open in the position and with the same dimensions as when the program was last closed. In "Classic Mode" each properties display is stored separately.

Disable Splash Screen: This switches off the initial splash screen.

Specify the date your tax year starts: The default tax year for LetSys is the one used in the UK starting on 6th April. Here you can set this to a different date - eg 1st January for USA.

Specify your VAT or Sales tax rate: This percentage rate is used to calculate the amount of tax when producing automated letters and is used in other reports.

Multiuser options: These are visible only with a multi-user license. Details are in topic Configuring a multiuser system

Letters Tab: This allows you to configure how you send automated letters to your customers. See topic About automated letters

You can also specify an alternate word processor to use with letters, omit the currency symbol from amounts substituted into letters and bypass showing the text passed to your email client.

Web-down Tab: Here you specify options relating to information downloaded from a web site (if you have one).

  • The URL of your web site to allow you to quickly view it. See topic URL for Main Web Site
  • The Local Website Folder where your web site is saved. This is used to open a local copy of the site.
  • The Local home page of main site - the page to open when [image] is clicked.
  • In a separate panel, settings needed if you want to download booking form data from the web. See topic Options to download Web Form Data

Web-Up Tab: Here you specify options relating to information you can upload to a web site (if you have one).

  • In a panel titled "1. Upload HTML Table of Rates and Availability" you specify in a check box whether you wish to enable this function. By default this function is enabled although you can choose not to use it.
  • Name of your site definition in eFTP. Needed if you use eFTP to upload booking status - see topic Web file uploading using eFTP.
  • Finally, there are two buttons: Check Files which allows you to validate and list your settings for web availability files. Also a Renew Availability / Rates Files button which allows you to rename and replace the rates and availability files from a template.
  • In a separate panel options for Website Integration, to allow the upload of a PHP data file. This is an advanced function and you should normally leave this field blank. Otherwise specify the number of days into the future for which you would like availability data sent to your web site (this might typically be one year - 365 days.) See topic Upload PHP Web Data
  • There are also fields to specify additional options (helper script / directory and password). This relates to an additional chargeable function, and these fields should be left blank. This also applies to the checkbox to allow you to synchronise a MySQL database.

Special Tab: This contains:

  • Migration Assistance Functions: These help recover your data from a backup, or assist you to migrate to a new computer.
  • The Restore Tool is invoked by clicking the Restore From Backup button. This restores data from a backup taken with the Backup Tool
  • The Create Icons button will create any missing icons (shortcuts) on both your desktop and in the LetSys start menu folder.
  • The Restore Settings button enables you to restore your configuration once you have run the Restore Tool. See topic migrating to a new machine

Also on this tab are:

1. A Create button that create a desktop shortcut that launches all properties together. This is helpful if you are using LetSys to manage 2 or more properties in Classic mode. It will also create the single icon used to open LetSys in Multimode if this is missing.

2. A Clean Up Data button. This simply deletes data from old versions of LetSys. It is only useful if you migrated from an old version of LetSys.

Rent Tab: This contains:

- Parameters to enable LetSys to calculate the rent for short lets (less than one week). You must check Calculate charge for short lets and then enter the parameters that you want to be used for this calculation. More details are in topic Rent (for short lets)

Expenses Tab: On this tab you enable expense reporting by configuring the expense categories you with to use.

EMail Tab: This page is used to provide the details of your SMTP server if you want to send HTML email - see topic

Configuring LetSys as an email client

Register Tab: This page is the one used to register once you have purchased a license.

More details on items you can configure are listed below:

Options that are specified on the Tabbed pages from the Configuration Window.:

Creating and specifying a new property

Editing or deleting a property

Change root or base folder.

Word processor

Web Site Name

Rent Calculation

Configuring Expense Categories

Options that are specified in the "Edit Options for Property No" window:

Enter or change Property Name

Specify Changeover Day

Deposit required

Calculate Deposit on Rent Only

Currency

Deposit is Due field

Balance is Due field

Waitlist expires field

Specify Extra Charges.

Specify Folder for web files

Specify the name of the web rates/availability file

Specify your Web Index File (home page)

Web Site Name for Property

Also see Copying options from a specified property.

Warning: If you reconfigure by running Tools/Configure LetSys from LetSys, or if you have a copy of LetSys running when you configure the system, ensure you close down all copies of LetSys and then restart them in order to pick up the new configuration settings.


Specifying a New Property

This topic describes how to add a new property using the Create New Property button on the Properties Tab in the Configuration Window.

Initially the system has only one property defined ("Demo Cottage"). You must now define your own properties including specifying the options that you wish to use when managing it. You should first start up the Configuration Program as described in "Configuring the System" and select the Properties tabsheet.

Now click the button Create New Property. This button will open the Edit Options for Property window. You now key in the name and details of your property, as below. Also see topic Property Name.

You also edit and delete existing properties from this window - read topic Editing or deleting a property..

Property Name: Choose any name you wish. Note that this name is used throughout the system. It is used, for example, to name shortcuts on your desktop and data folders. It also appears in reports, and also can be used in letters to your customers. You are recommended to keep the name reasonably short.

Property Options: "Edit Options for Property" window.

The rest of the window displays options that you can change in order to define the way you want to manage this property.

Defaults are set when you create a new property - and these defaults are copied from the first existing property. If this is the first time you have created a property the default options used are the ones from "Demo Cottage". To find out more about each option, click on the link below.

Changeover Day

Deposit required (percent)

Currency

Extra charges

Web Options:

- Web folder

- Web Rates File name

- Web Index file - ie Full name and path to the HTML file for the "View Web Page" action.

See also this topic on copying options from a specified property.

Sample data: To help you set up a new property some sample files are copied into the data folder for the new property, if samples can be found.

They are taken from existing properties. If you have already set up your first property, then the data files for that are used. If not, the data files from the demonstration property ("Demo cottage") are used.

The sample files include Letter proformas and the rates files. You can then edit these, see:

Editing Rates files.

Configuring letter proformas.


Change the order of properties

This topic explains how to change the property order and numbering, using the Re-order Properties button on the Properties Tab in the Configuration Window.

This function is useful when you want to display your properties in a specific order in the Multimode status window, instead of the order in which the properties were created which is the default. (The first property you create is property No 1 etc.)

You simply drag and drop the properties into the order you require using the list displayed on the Properties Tabsheet. Then click the Re-order Properties button.

The new order is then saved and the application will then close. Restart it if you need to perform further configuration.


Root or Base Folder

(This topic describes the option to change your root folder, on the Data Tab of the Configuration Program)

Use this to change the root folder in which all LetSys data and configuration settings is kept.

Warning: It is recommended you do not change this folder unless you have a clear reason to do so. One reason might be using a Cloud system for backup or to share data with a laptop. Read all of this topic and also see topics Running LetSys with Multiple Users and Configuring a multiuser system

The default folder is named LetSys and is installed on the system drive (normally your C drive) so usually is C:\LetSys

All your LetSys data and your settings are kept in this folder and in folders within it.

To change to a different folder enter the path and name for the new folder, or browse to locate the new folder.

Then click Save/Exit.

Note: When you change the root folder, you cannot change any other settings, and the program immediately closes.

This is because all other settings are kept in file LetSys.ini in the root folder.

You must move any data across yourself and it is your responsibility to do this correctly. You may also need to change the location of your web folders.

If you are considering doing this, please first read topic data Structure - folders and files

Reasons for changing the location of the root folder may include:

- You have a folder naming convention you want to adhere to

- In a Multiuser system you have moved the data onto a shared network drive

- You have moved your data into a folder that is backed up or replicated by a "Cloud System" such as Dropbox.

If you upgrade LetSys after having changed the root folder then sample data is still placed into the default root folder. You can delete this if it is not needed.


Configuring a multiuser system

(This topic describes the "Multiuser Options panel" on the General Tab in the Configuration Window)

This panel will only show if you have a multiuser license. You can set the following options:

Display Refresh Interval. Specify the interval after which LetSys will check if another user has made a change, and if so refresh your status display. This interval is set to 10 seconds by default. Note that your data is protected even if the display is not yet updated. (If you don't want the status window updated set this field to 0 seconds).

Check if data is shared via a "Cloud system". Check this box if you use Dropbox or a similar cloud system to share your data with one or more additional users. You would not normally be working in an Office on a Local Area Network (LAN) to use this option. LetSys is said to be operating in "Cloud Mode"

IP Address mask for LAN mode. If you sometimes change from LAN to Cloud mode then specify an IP mask here. See the section below on "foolproof" operation.

Button "Conflicts?" Click this to check for conflicted copies of your data in Cloud mode. See topic Checking for conflicts (Cloud Mode)

More details on these modes of operation:

LAN Mode - all users are on a Local Area Network (LAN)

This is the most flexible and best way to run a multiuser system. Several users can be active at the same time. See topic Running LetSys with Multiple Users for more details.

Cloud Mode You can also share data with a second user in a remote location by using a "Cloud" system such as Dropbox.

In this case check the box Check if data is shared via a "Cloud system" Support in this case is more limited as there is no way to lock data while one user is updating it, and therefore only one user can be updating data at a particular time.

When you start LetSys you will be warned if it finds that another user is active (unless that user is in read-only mode).

LetSys will then open in read-only mode to protect your data from corruption, so you can at least view it.

Once the second user has closed LetSys, you can simply restart your copy to re-enable full update ability.

In addition, LetSys will also periodically check if a second user has become active. If two users start up within a few seconds of each other, or when the network is slow, then both may be able to start in normal (write) mode. In this case you see a message and are advised to immediately restart LetSys. This check is repeatedly performed using the specified refresh interval.

"Mixed mode": We have some users who want to operate on a LAN (during the working day, say) but then take a laptop home and run it using the same data shared over a cloud system.

It is possible to set the operating mode in a switch in the shortcut, and this will override the mode set in the Multiuser Options. Thus you can startup in cloud mode just by clicking the apporpriate desktop icon. Note that in this case, the root folder will almost certainly be different, and you need to override the root folder also.

Foolproof operation based on your IP Address.

LetSys attempts to check you are in the correct mode using an IP address mask. If your IP address matches this mask, then the system will assume you are on your LAN, and will not allow you to start in, or change to, cloud mode.

Specify the mask you want to use in the mask field.

Operation of the mask: This supports 4 byte IP addresses only. Your IP address on a LAN is normally a 4 part number such as 192.168.0.13 (for example).

In this case, specify a mask of 192.168.0 and any IP address starting with these three octets will be deemed to be on the LAN. When running from home you need to ensure you get an IP address that does not match the mask. If necessary configure your DHCP server to give a predicatable IP address.

The switches to "force" Cloud or LAN mode are described in topic Starting Letsys using "Command Line" parameters

Conflicted copies of data: In Cloud mode, then it is possible to create conflicted copies of data if two users are updating the system. LetSys has a feature to detect this and delete any unwanted conflicted files. For more information see topic Checking for conflicts (Cloud Mode)


Checking for conflicts (Cloud Mode)

On the Mulituser options panel (of the Configuration program) there is a button labelled "Conflicts?"

Click this to check for conflicted copies of your data.

If you are sharing data via a Cloud System such as Dropbox, then it is possible, if two users become active at the same time, to save two different copies of the same data. In this case the cloud system saves both files; the original and a conflicted copy.

LetSys normally will prevent two users becoming active (although a second user can open in readonly mode).

Therefore these conflicts should not normally occur, but this button will check and provide reassurance.

You can delete these conflicts from the window that shows to list any conflicts, simply by slecting one or more files, and then clicking the Delete button, or hitting the delete key.

You can also just close the window having noted the file names, and investigate what has happened.

Notes:

This feature is only active if you have a Multiuser license

In the current implementation, only conflicted copies from Dropbox are identified. Contact us if you use a different cloud system, and need this feature.


Omit Currency Symbol

(This option is set on the Letters Tab of the Configuration program).

Check this box if you do not want the currency symbol to be inserted as a prefix to charges in automated letters.

For example, if you want the total payable to be inserted in a letter, you place the special string <!Total> into the letter proforma. If the total is 100.99 and the currency symbol (for the property) is $ then the string "$100.99" is inserted in place of this special string. If you don't want the currency symbol to be inserted, check this box and you will get just "100.99".

Notes:

- LetSys only supports a single character currency symbol. So if you want to work in Norwegian Krone, you could use k as the currency symbol internally and in your own reports, but checking this option allows you to include the more correct kr in the letters.

- In older versions of LetSys the currency string was not inserted, and it had to be included in letter proformas. This check box can be used to cause LetSys to behave as it did prior to version 3.2 to avoid having to edit all the letter proformas.


Don't show text passed to email client

(This option is set on the Letters Tab of the Configuration program).

Check this box if you do not want to be shown the text passed to your email client when sending an automated letter by email. The default is that this is not checked. This step can now be bypassed. The text passed over can be seen (after the email has been sent) from the Letters Window by clicking the exiting letter line.


Word Processor

(This topic describes the Word Processor edit box on the Letters Tab in the Configuration Window)

LetSys create letters to your customers as described in topic: About automated letters. These letters are created as Rich Text files and they opened by default in Wordpad.

If you wish to use a different word processor then you may specify it here.

A few word processors are listed in the drop-down box, just select the one you want.

If you want to use Microsoft word, choose "registered application" as all versions of word will register themselves as the default application for rich text files. This means that if you upgrade your version of word you don't have to change your configuration.

If the word processor you want to use is not listed in the drop down boxes, then you can still use it by specifying the path and file name. The esiest way is to click browse and then locate the executable file for the word processor you wish to use.

Your chosen word processor must be able to work with Rich Text ( .rtf ) files, as these are used by LetSys since their format is published unlike that for Word or other word processors. Wordpad, Word and Wordpro all handle rich text files.

If you have any trouble with automated letter formatting, change back to use wordpad because

- it is available on all versions of Windows

- it is a simple basic word processor that works fine for rich text, and can handle grpahics and pictures.

Upgraded your word processor? You may need to reconfigure LetSys to use the new word processor, as described in this topic.

Warning: Some word processors have given problems with proformas, as they can insert special characters into the middle of the special strings and these are then not replaced. If you have this problem, recreate the proforma from scratch using WordPad. Once the proforma is working in text only mode, you can go back to your preferred word processor - if this still doesn't work, you may have to revert to WordPad to process the Rich Text files used by this system. Unfortunately we can't handle the special behaviour of every word processor, but we do support the use of WordPad and problems therewith.


URL of remote site

This topic describes the URL of remote site Edit Box on the Web Tab of the Configuration Program.

You only need to enter this value if you have a web site, otherwise leave it blank.

If specified you can quickly view your web site from the Status Window. Just click the icon [image] or select Web / View Remote Website. (You need to be connected to the Internet).

If you leave this field blank, then the local Web Index Page will be opened. See topic Web Index Page

If you have different web sites for each property, it may be better to leave this parameter blank and view the local copy which can be done by property.


Local Website Folder

This topic describes the Local Web Site Folder Edit Box on the Web Tab of the Configuration Program.

Specify the local folder where you keep the local copy of your web site. This will apply for all properties unless you override this for a specific property in the Local Site Folder setting (when editing the property settings).

If this folder is within the root folder the system will detect this and show a local path relative to the root folder; otherwise it will show a full path.

Notes

Most people, in our experience, maintain a single web site, within which there are different pages for each property. This has a number of advantages, but if necessary you can maintain a separate web site for each property.

Multiuser system: It is essential that the path to the local web folder is the same on all machines, or some functions will not work.


Local home page of main site

This topic describes the Local home page of main site Edit Box on the Web Tab of the Configuration Program.

Specify the file name of the home page for your main site. This would normally be in the Local Website Folder.

This will apply for all properties unless you override this for a specific property in the Web Index Page setting (when editing the property settings).

If this folder is within the Local Website Folder the system will detect this and show only the file name. Otherwise it will show a full path and file name.


Name of your site definition in eFTP

This topic describes the Name of your site definition for eFTP Edit Box on the Web Tab of the Configuration Program.

This only applies if you want to use the program eFTP to upload a Web rates and/or availability HTML table to a web site.

Specify the site name defined in eFTP that specifies the web site that you will use.

It is also possible to override this name in the "Options for Property xxx" window, thus enabling you to have a different web site for each property. However, you must define a site here first in order to override it.

More details on using eFTP to publish your web availability to a web site are to be found in topic Using LetSys to help maintain a Web Site


Options to download Web Form Data

This topic describes the panel titled "Options appropriate only if you want to download Web form data" on the Web Tab of the Configuration Program

This only applies if you want to allow customers to submit booking forms (or requests) on your web site, and then import this data into LetSys.

URL of web folder for data: Specify the URL of your web site plus a subfolder in which your scripts will save the data submitted by customers.

For example: http://mydomain.com/bookforms/

Merge booking form data: If your web script also writes a coded data file (see the example in the script procbooking.php) then check this and LetSys can download and import appropriate data directly into the booking record.

More details on downloading form data is in topic Downloading a Web Booking Form


Check button (on Web Tab)

This topic describes the operation of the Check button on the web tab of the configuration program.

As the number of properties grows it becomes easier to lose track of which web availability file corresponds to each property, and whether all properties have an availability files and associated folders specified. Another possible problem is that you may accidentally point two properties at the same web file by mistake.

This function checks for all these conditions, and produces a report which is opened in your text editor (normally notepad). The format of the report is straightforward and you should be able to use it to fix any problems.


Renew Availability / Rates Files

On the web tab of the configuration program is a button which opens the Renew Availability / Rates files from template window.

This enables you to automatically renew the web availability and rates files (used in Publish to Web) from a template file.

All selected files will have their name automatically generated from the property name with the addition of a specified prefix.

The property settings are automatically updated with these new names.

This was written for a customer with more than 60 rates files. You won't need this feature if you don't Publish to Web or only have a few properties.

Important: It is advisable to take a backup with the Backup Tool prior to running this function.

By default all properties are selected (except "Demo Cottage" if present). Change the selection as appropriate.

You must first set up a template file from which all the new rates and availability files can be created.

This must have the name web-template.htm and be placed in the \letsys\templates folder. The same template file is used when you Create web publishing file from template

When you click the RUN button, new rates/availability files are created from this template, with a file name "r-cottagename.extension".

The prefix "r-" is added to make easier to manage your rates/availability files (for example, it makes all "auto-named" web rates/availability files very easy to locate). It cannot be changed.

The template is then copied into the specified web folder for each property and given the new name "r-cottagename.htm"

cottagename is derived from the name of the property. The property name is converted to lower case and any blank characters are replaced with "-".

Thus demo cottage would have an availability/rates file name of r-demo-cottage.htm

When the copy is done, it is possible to automate the insertion of the property name into the new file. Simply insert the HTML comment <!--propname--> into the template.

This will be replaced by the full property name when the availability file is created.

For example you can use this to put the actual name into a heading or the title.

A sample web-template file is distributed with the system, and can be found in the \LetSys\Web folder. You must edit this to meet your needs. More documentation is in the comments of this file.

Any old files (with a different name) are deleted if you leave the box "Delete old availability/rates files?" checked.

It is essential that after the run is complete that you save the new settings, as the Web Availability Filename for each property is automatically updated.


Registering

(This topic describes how to register your copy of LetSys, on the Register Tab of the LetSys Configuration program.)

In order to register LetSys, so that it will work beyond the evaluation period you must purchase a licence from our web site at: http://erwwen.com/holletsys/register.htm

Start the configuration program and enter both the registered name and the key exactly as sent to you with your license. Both name and key are case sensitive. Click the register button, and then restart LetSys to pick up the registration details.

Upgrading to add more properties: You need to contact us to purchase an upgrade license.

Once the have the new key, please open the configuration program.

Go to the register tab.

Just enter the new key, and click "Click to register"

You need to restart LetSys to pick up the change.

Problems registering? Click the clear button. This completely clears your registration details, and you can then start from scratch.

Limitations of the evaluation version:

It will function for 30 days only.

Report functions are disabled, so you can't print reports. You can print letters, envelopes and labels.

You can't turn off the initial splash screen.

You can't run from a user other than the user that installed the evaluation version.

Otherwise the system functions as normal.


Configuring Expense Categories

This topic describes how you can configure expense categories, if required, from the Expenses tab of the configuration programme.

For an overview of expenses recording and reporting, read topic Using LetSys to record and report expenses

Once you have configured your expense categories, and entered the appropriate amounts for each month, then these amounts can be reported in the Monthly Accounts.

You first need to plan the categories into which you want to break down your expenses. The system will support up to 10 categories but it is probably more manageable if you can keep to at most three or four categories.

To add a new category click Add Category and enter descriptive text (no more than 20 characters). The new category is entered in the first available slot. The names you enter will be used in the reports.

You can also click on the list of existing categories and click Edit Category and then change the text to a new or better description.

Finally it is possible to delete the final category in the list, by selecting a line, and then right clicking to view a pop-up menu. Then click delete from the context menu. This context menu also allows you to edit the description.

If you delete a category for which you have entered some data, then all the data entered is discarded the next time you edit the category files.

Notes:

- While you can rename a category, it is not possible to change the order.

- If you decide you want to disable expense recording, simply delete all the expense categories, and then delete all the expenses data, by deleting the file Expenses.hlx from each properties data folder. This file will only exist once you have entered some data.


Configuring LetSys as an email client

LetSys, by default, will try to send email using your default email client.

However, LetSys also contains a "built-in" email client, which can send (but not receive) formatted (HTML) email.

It can send email through your SMTP email server, in the same way as any email client.

This can be used

(a) to send formatted (HTML) emails to customers.

(b) to send the Monthly Accounts emails to owners (if required).

See topic Formatting automated letters using HTML for more details on sending emails with this client.

Encrypted Email: LetSys supports an encrypted connection with your email server. This has been tested successfully with several email services, including GMail, 1&1 and Hotmail (now known as Outlook.com). You are recommended to use a secure connection if you use LetSys on a public network.

To set up the email client, you must run the Configuration Program, and select the email Tab.

Check the box "Configure LetSys to be an email client?" and then complete the following information. (Much of this will come from your email service provider).

Your Email address: This is your email address, corresponding to the account used.

SMTP Host: This is the fully qualified domain of your SMTP email server. eg smtp.oneandone.co.uk

Name to show in "from" field of email: This can be whatever you like, normally your name or the name of the booking agency.

Email address for replies: (Optional) To have replies sent to a different email address than that which sent the email, enter this email address here.

BCC eMail (to receive a copy): (Optional) LetSys does not keep a copy of the Monthly Account emails that are sent, although it does save HTML letters. If you enter your email address here you will be blind copied on all emails sent. This enables you to keep all your email correspondence in one place.

Port Number (override default = 25): If your service provider tells you to use a different port, specify this here.

If you want to use an encrypted connection, you will almost certainly have to enter the port your service provider uses for secure email. This is often port 587.

Outgoing (SMTP) server requires authentication: Check this if necessary, and also supply your user id and password.

Username (for logon): Enter your user id.

Password: Enter your password. This is stored internally in encrypted form for security reasons.

This server requires an encrypted connection (SSL/TLS): Check this box if you want to connect securely. When the box is checked additional parameters become visible.

Use the following type of connection: Select the type of encryption your server supports in the drop-down box. The most widely supported type in our experience is TLS V1 (Transport Level Security) so this has been made the default. If in doubt, try this first. See our web page at http://erwwen.com/holletsys/smtp-client-notes.htm for more detail of the support, and working examples.

Use explicit TLS: This is checked by default as most (but not all) TLS connections use this.

Notes:

  • You can use the same server that you use with your normal email, and in parallel with your normal client.
  • The above parameters are exactly the same ones that you need when configuring an email client such as Outlook Express or Windows Live mail.
  • The account you use to send these emails does not have to be your normal email account as you can set a different Email Address for replies.
  • GMAIL: Version 4.1 removed the special "GMAIL" check box. Instead, to use GMAIL you need to use the following settings:

Port: 465

Connection type: Use the default of TLS V1.

Explicit TLS - unchecked (which means use implicit TLS).

Google have substantially tightened their security requirements, and you now need to log into your Google account and grant access for "less secure apps" for LetSys to work.

Please check the support section of our web site where we have posted more information on using secure email, including working examples. The page is http://erwwen.com/holletsys/smtp-client-notes.htm.


Data cleanup button

The Clean Up Data button on the Special Tab of the Configuration Program will remove unnecessary files and old data from your LetSys root.

The data removed is as follows:

- Backup files (with the .bak file type). These are no longer needed as backup files are now placed in the windows temporary folder.

- Old database records that have been converted to a new format (most recently with LetSys 3.5).

- Old format rates files.

All deleted files are placed in the recycle bin.

These files are only present if you upgraded from a previous version (V3.7 or before for backup files, V3.4 for the database and V2.0 for the rates files).

These old files are redundant and once everything is working satisfactorily following an upgrade, this button will locate and delete them. It does no harm to run it a second time.

Note: This function removes data created by old versions of LetSys. It should not be confused with the Archive / Clean Up function which can archive old bookings data which is no longer needed due to its age.


Extracting data from the Change Log

When you are viewing the Change Log for a property (as described in topic How to recover lost data ) then a special tool Extract data from Change Log will be shown in the menu under Tools. Click this and the "Recovery" window will show.

This tool can assist you recover bookings from the change log which speeds up recovery compared to copying each booking one by one. The change log contains multiple entries for the same booking so this copies only the most recent record into a "Recovered records" file. It also can detect entries relating to bookings which have been deleted, and these are not recovered.

It can also merge a backup file with the entries in the change log. Before running the tool click Browse and locate your most recent backup of your bookings file (bookings.hls) for the property. If you have restored your data from a backup taken with the backup tool, then this will be in the data folder for the property. Be careful not to overwrite your change logs when restoring from a backup - hence it is advisable to save a copy of your entire LetSys folder before restoring.

Run the tool - a log is shown of the actions performed. A file called Recovered.hls is created in your root LetSys folder, which should contain every recent booking for that property.

Important: Open this file and manually check it. There can still be errors - for example, deleted bookings may still show in some circumstances, and should be deleted again. The tool does attampt to identify bookings where the dates were changed, and you are asked if you want to discard the oldest copy found.

Once you are sure that you have recovered a valid copy of the bookings file, rename it to Booking.hls and move it to replace the bookings file in the data folder for the property. All should now be well. Repeat for other properties as necessary.

Note: This tool can only be seen and used when you are viewing a file with the name "changed.hls"


Editing or deleting a property.

This topic describes how to Edit or Delete a Property using the buttons on the Properties Tab in the Configuration Window.

First select the property you wish to edit or delete, by clicking on the name in the listbox. Then click the Edit or Delete Button for the selected property.

Edit: If you click the Edit Button, then the "Edit Options for Property No" window will open. You can now change any options you wish for the property, including changing the Property Name. The changes are not made until you click the Save and Exit button from this window. Note that if you have more than one property (including the demonstration property) then you can copy all the options (except the name) from another property with the Copy Options from Property Number n button.

Deletions: Click the Delete button. You are asked for confirmation and if given then the property is deleted from the configuration settings. In addition the data folder and all subfolders for the property are placed into the recycle bin (from which it could be recovered). Shortcuts (on the desktop and in the start menu) are not deleted. You should delete them manually.

Warning: Once a property is deleted you can no longer use LetSys to obtain accounting data or other reports. If you are likely to need this data (for example to comply with legal requirements to keep data for a specified period) then you should run all reports needed prior to deletion. You can also save the properties data using the Archive function. You should also consider taking a backup prior to the deletion.


Changing "Demo Cottage" name

If you rename the demonstration property Demo Cottage then it is assumed that you want to turn this into a real property, to which you will add bookings. The system therefore offers to delete all the sample data (or this would be mixed in with your real data). If you reply YES when asked if you want to do this, all bookings and letters are deleted. Rates files are not deleted.

If you get this message "Unable to delete one or more "Demo Cottage" files when you are renaming Demo Cottage then you may have already deleted some of the sample data. If not, then the deletions may have failed (eg if you have a file open). Delete the data manually.


Property Name

You specify a property name in the Property Name edit box in the Edit Options for Property window.

If this field shows Enter property name you are creating a new property. Enter the name of the property. See the guidance under the heading Property name in topic Specifying a New Property

You can also rename a property using this edit box - for example if you decided that you want to a shorter name for an existing property, or you adopt a new name. When you rename a property, the system will ask for confirmation and tell you that in addition to the name, that the data folder for this property will be renamed. You won't lose any data.

When you rename a property, new shortcuts are created for the new property name. However the old shortcuts are not deleted, and you will need to do that yourself, by selecting the shortcut, and pressing the delete key.

See also topics Specifying a new property and Changing "Demo Cottage" name


Changeover Day

Changeover Day (This topic describes the Change Over day Edit Box in the "Edit Options for Property" window.)

Set this to the day of the week on which you normally have your changeover. The default is Saturday, but the system can handle any day you choose, for example if you operate Friday to Friday lets.

This also controls the start day shown for each week listed in the Status Window. For example if your changeover day is Saturday, then in 2007 the first Saturday in week one is 6th Jan.

You can create a booking which starts and finishes on any day you choose - just select the appropriate date in the Bookings window. However, if a booking starts on a day other than the normal changeover day, then the status window will show it by using the "part let" format for the week.

You can set the changeover day separately for each property. If you let a house in the USA the changeover day is (we understand) most often Sunday, but in Europe it is most often Saturday or sometimes Friday. Thus this system could be used by an owner with properties in two continents.


Currency

Currency This topic describes the Currency Edit Box in the "Edit Options for Property" window.

Specify the currency that you will use to manage this property. The default is £ - UK Pound. However, you can change this symbol to the currency that you want to use to manage the property. For example, this could be the Euro or the Dollar. You can enter any single character currency symbol you wish (subject to code set limitations).

You can use different symbols for each property. Thus if you owned a house in Spain, and worked in Euros, you could see the information displayed and have reports which are all in Euros. If you had a second property in USA, then you could manage that in Dollars.

The currency symbol defined here is also used when inserting amounts into automated letters.

Note LetSys only supports single character currency symbols. Topic Omit Currency Symbol discusses one way to overcome this limitation (in letters, at least).


Deposit required

Deposit required This topic describes the Deposit Edit Box in the Edit Options for Property window.

This field provides the information to enable a deposit to be automatically calculated and placed into the booking form when you create a new booking. It can be either a fixed amount, or if the percentage box is checked, then it is a percentage.

The default deposit is 25%. The deposit is then calculated to be 25% of either the total charges or the rent only (depending on the setting of the Calc. Deposit on Rent Only checkbox.) So, if you want to charge a 10% deposit on each let then just change this to 10.

When a new booking is created, you will see the deposit payable is automatically calculated using these settings. If it is a percentage, then it will be recalculated as you alter the duration and other details of the booking.

You can always override the amount that you require as a deposit just by keying the amount into the deposit field in the Bookings window. Also we often have found customers round up their deposits on occasions - eg if 25% were to be £192.50 and the person making the booking sent in £200, then just alter the deposit to the amount actually paid.


Calculate Deposit on Rent Only

This topic describes this check box in the "Edit Options for Property" window.

If you have selected a percentage deposit, by checking the Percentage box, then you can either have the system calculate the deposit as a percentage of the total payable, or as a percentage of the rent only. Most owners choose the first option, and this is the default. However, other owners may wish to charge a deposit based on the rent only, and this option allows for that.


Deposit is Due field

This topic describes the "Deposit is due" Edit Box in the "Edit Options for Property" window.

Specify the number of days after the booking is made by which you expect the tenant to have paid the deposit. The default is 7 days.

After this time has elapsed the payment will be flagged as overdue. This is done on the List Overdue payments window, and using pop-ups and a light blue colour on the main status window. The latest date for the deposit to be paid is shown in panel 3 of the Booking Window statusbar.

Late bookings: If a booking is made after the date the balance is normally due, the system assumes the entire balance is payable by the deposit due date. Overdue payments are flagged accordingly.

This date can then be inserted into automated letters or emails to tenants using mail merge string <!BalDue> as described in more detail in the topic About Letter Proformas


Balance due date

Balance due date This topic describes the "Balance due" Edit Box in the "Edit Options for Property" window.

Specify the number of weeks before the let starts that the balance is due. The default is 6 weeks. This number is used to calculate the date that the balance is due. This date can then be inserted into automated letters or emails to tenants using mail merge string <!BalDue> as described in more detail in the topic About Letter Proformas


Waitlist expires field

Waitlist expires field This topic describes the "Waitlist expires" Edit Box in the "Edit Options for Property" window.

Specify the number of weeks before the let starts that a reserved customer booking "expires". ie the date by which you expect the customer to have confirmed the let by payment of the full deposit due.

The default for this field is 34 weeks (approximately 8 months). This facility allows you to waitlist a customer for a week a long time in advance of a booking. You check the Reserved Booking box in the booking form, as described in more detail in topic Reserved (Waitlisted) Booking


Extra Charges - details and configuration

(This topic describes why the system supports extra charges, as well as how to configure and use them.)

In addition to the rent, there may be additional (and sometimes optional) charges for items such as linen or pets.

In our case, since we don't have coin operated meters, we make a charge for fuel based on the time of the year.

Optional extra charges with special processing are: Details are below.

  • Charges for Linen and Fuel
  • A returnable deposit
  • A Surcharge for the use of credit cards (see Surcharge below)
  • A Booking Fee. This is designed for letting agencies.

It is possible to specify up to three optional charges.

These can be configured to anything you like, using the Configuration Program.

Extra (optional) charges are specified by property, so you can have different charges (or none at all) for each property. See Editing a property for more information.

Important: Plan your charging structure carefully. You will save much time by getting it right first time.

Specifying extra charges.

Start up the configuration program.

From the Property Names Tab of the Configuration Window, select the appropriate property, and click edit.

You will then see the "Edit Options for Property" window.

Enter the text that you wish to use to identify each extra charge (up to a maximum of 11 characters).

This text will appear in the booking window, and the charges are added up, together with the rent, to calculate the total payable.

To make it easy to specify the extra charges, the boxes are "drop down" boxes, that give you some recommended names to use. Click the down arrow to see these. If you don't want an extra charge, just set it to (none) which is one of the drop down options. You won't then see the charge in the booking window. You must set charges in order, ie you can't set the first two charges to (none) and the last one to Pets. Set the first charge to Pets and the final two to (none).

Charges for Linen and Fuel. We automate entry of charges where possible. The fuel and linen charges (if you use them) are entered just once per property as part of the rates file for each year. The charges are then automatically entered into a new booking form.

We suggest it will be easiest to see how this works by creating a new booking in the demonstration system which is set up to use both these charges. Then look at the rates files supplied and you will see the amounts for both linen and fuel included there.

The linen charge is a standard charge which does not vary according to the time of year and is simply inserted from the rates file for the year..

The fuel charge can handle three different rates, depending on the time of year: High, Medium and Low.

To use one or both of these two charges, when you configure your own system, you must enter the following:

Fuel

1. Make sure you choose Fuel in one (and only one) of the drop-down boxes. You must spell it exactly as shown.

2. Ensure the rates file contains the necessary fuel rates and that each week in the year has the appropriate rate specified.

Linen

1. Make sure you choose Linen in one (and only one) of the drop-down boxes. You must spell it exactly as shown.

2. Ensure the rates file is configured with the rate for Linen.

Returnable Deposit. Many owners wish to charge a returnable deposit to cover breakages, which is returned after the holiday is over, provided there is no damage. If you want to use the system to handle returnable deposits, configure the system as follows:

1. Start up the configuration program (as above) and edit the appropriate property.

2. Make one of your extra charges a returnable deposit. (click on the drop-down arrow and select Ret Deposit )

3. It is (we think) more intuitive if the returnable deposit is made the last optional charge.

4. When you select Ret Deposit a new edit box appears - enter the amount of your returnable deposit.

5. If you collect the returnable deposit (and nothing further) when the booking is made, make the Deposit a fixed amount (uncheck the percentage box) and make the amount the same as the amount for the Returnable deposit. Both will then be completed automatically. Of course you may want a larger initial deposit than just the Returnable breakages deposit, in which case you can configure a different amount.

You will now find that when you create a new booking, you will see Ret Deposit as one of the optional charges, and the amount you specified is automatically entered into the booking form.

In addition you will see a checkbox that you can check when the holiday is over to show that you have repaid the deposit and when you paid it.

To repay a Returnable Deposit: Click the Repay button. You are asked if you are retaining part of the deposit to cover damage. The system adusts the amount shown in the "Ret Deposit" box to show the amount retained (or zero if being repaid in full). The amount to be refunded shows in the Refund box. The total field is adjusted to show the new income for the let, ie the total you actually retain.

Full details of refunds can be extracted for your accounts as required, and the overall summaries exclude returned deposits.

Note that the deposit and balance fields are not changed, as they represent the amounts that were actually paid.

(NB if you re-configure the system to use a different charge for the returnable deposit, old bookings will show the deposits in the original field.)

Surcharge. You can configure one of your extra charges to be a "Surcharge". This is designed for the case where you charge extra for the use of a credit card. The surcharge is specified as a percentage (the default is 2.5%)

To configure the system to handle surcharges, do the following:

1. Start up the configuration program and edit the appropriate property.

2. Make one of your extra charges a Surcharge - click on the drop-down arrow and select Surcharge

3. It is probably more intuitive if the surcharge field follows charges such as Linen charges and pets, but precedes any returnable deposit.

4. Once you configure a Surcharge for a property, then you will see this charge in the Booking Window, with a button next to it labelled calculate. When you click this button you will see the "Calculate surcharge" window, described in topic Calculate Surcharge

Booking Fee. Designed for letting agencies, you can configure one of the extra charges to be a Booking Fee. by selecting Booking Fee from the drop down box when configuring the property.

When a new booking is created, the booking fee will automatically be entered into the specified extra charge box as specfied in topic Configuring a Booking Fee.

As with all charges, you can modify this, and the modification will stick.


Configuring a Booking Fee

(This topic describes how to configure a booking fee - useful for letting agencies.)

One of the extra charges can be a "Booking Fee". This is designed for letting agencies which wish to charge a booking fee to the person making the booking. This fee is not the same as the "Management fee" which can be calculated and charged to the property owner.

Booking fees can be set separately for each property managed.

You should set a booking fee from the Configuration Program, by editing the details of the appropriate property.

Then set one of the extra charges to be Booking Fee from the drop down list.

When you do so, additional fields will appear, in which you specify how the system should automatically calculate and enter the fee.

If you want the booking fee to be a fixed amount, enter this amount in the Booking Fee Edit box, and leave the Percentage box unchecked.

If you want to fee to be a percentage of the rent, enter the percentage in the Booking Fee edit Box, and check Percentage.

Some agencies want to collect the whole booking fee up front. (For example, if the fee is non-refundable in the event of cancellation).

In this case, if you check Deposit inc. 100% fee then the deposit will contain the entire booking fee. It is calculated by inclduing the entire fee and then adding the other parts of the deposit (either a percentage of the rent or the total, or a fixed amount).

The balance is (as usual) then set to the total owed less the deposit.

Notes:

  • The Booking fee must be configured separately for each property.
  • As with all charges, you can modify this extra charge at the time of entering the data.


Local Site Folder

This topic describes the Local site folder Edit Box in the "Edit Options for Property" window.

Use this setting to override the Local Website Folder that can be specified for all properties in the Web Tab.

It should be used only when you need to have a separate copy of your website for a specific property.

Note: This topic is only relevant if you have your own web site, and have decided to integrate LetSys with this site.

See topic Using LetSys to help maintain a Web Site for more information.


Web Availability Filename

This topic describes the Availability File Name Edit Box in the "Edit Options for Property" window.

(relevant only if you have a web site and use LetSys to update an availability file.)

Specify the full name (including file type) of the HTML file that the system will update so it contains the latest availability and rates status. The default (set with the demonstration system) is availability.htm

This file is an HTML file, and must be kept in the Web Folder for the property specified in the Web Folder Edit box.

A browse button is provided for you to locate the file if necessary.

Several sample files are supplied for you to try in the default web folder. Look at C:\LetSys\Web\availability.htm for example.

An overview of how to create and update this file is in topic Overview and Row proforma

Note: You would normally have a separate file for each property, but it is possible to include tables for two or more properties in a single file.


Local home page (index file)

This topic describes the Local home page Edit Box in the "Edit Options for Property" window.

Here you can specify the HTML file which contains your (local) home page.

Notes:

- You only need be concerned about this if you have a web site. See this topic for more information.

- You only need specify this if you want to have a different page shown for the specific property. If you have a shared local index file for most or all your properties, specify this in the Web Tab as Local home page of main site

- This should be a local copy of the page you keep on your web site as the "Index page" or the first page that visitors to your site display.

- This page is opened in your web browser when, from the LetSys menu, you select Web / View local Website or click the "View local website" Icon

- The demonstration property will show a sample home page.

- Often, even if you have multiple properties to let, you want people to always see the same common home page first. However, if your properties are marketed differently, then you may need separate home pages. Both options are available with this system.


Web Site Name for Property

This topic describes the Site Name for Property (Override...) Edit Box in the "Edit Options for Property" window.

This only applies if you want to use the program eFTP to upload a Web availability HTML table to a web site.

This field enables you to override the Web Site Name that you specified in the Web Tab of the Configuration Window.

Specify the site name defined in eFTP that specifies the web site that you will use for this property.

This enables you to have a different web site for each property. However, you must define a site first (on the main Web Tab) in order to override it here.

More details on using eFTP to publish your web availability to a web site are to be found in topic Using LetSys to help maintain a Web Site


Options for Agencies

This panel should only be completed if you need to use some of the functions designed for Letting Agencies.

1. Owner box: This field is visible only if you have already created an Owner Data Base. See topic Owner Data Base

To be able to view details of a property owner you must assign an owner to each property. This is done by selecting the owner from the drop down box (all owners you have entered will show, together with the appropriate owner number).

If adding a new property for a new owner, you must enter owner details before you can assign the new owner to the property. But you can create the property first, and then return later to assign the owner.

More than one property can be associated with the same owner.

2. Add owner to property name: Check this box if you want to add the owner name to the property name in the title of all appropriate reports. Otherwise the owner name is not shown

3. Management fee (applied to income): The system can calculate a management fee, to be charged to owners for services supplied. The management fee is configured separately for each property as the services supplied can vary.

The fee is configured as a percentage of the income.

If the box Apply fee to rent only is checked then the fee is charged only on the rent (and any cancellation charges that are made) but not on any of the extra charges levied.

However, if the box is left unchecked, then the fee will be charged on both rent and appropriate fees, such as linen and fuel charges. However, it is not levied on Booking Fees (charged to the customer) nor Returnable Deposits.

The management fee setting is used when the Monthly Accounts are produced.

If VAT is configured, it is assumed that VAT is applied to management fees and this is added and shown separately in the monthly accounting reports.


Owner field

Owner field This topic describes the Owner Edit Box in the Edit Options for Property window.

This field is visible only if you have already created an Owner Data Base. See topic Owner Data Base

To be able to view details of a property owner you must assign an owner to each property. This is done by selecting the owner from the drop down box (all owners you have entered will show, together with the appropriate owner number).

If adding a new property for a new owner, you must enter owner details before you can assign the new owner to the property. But you can create the property first, and then return later to assign the owner.

More than one property can be associated with the same owner.


Create web publishing file from template

This button, on the "Edit Options for Property" window allows you with one click to create a new Availability File for Publish to web from a template.

The name is based on the property name, and this button also updates the name in the property options.

To use this function, you must place a template into the \LetSys\Templates folder as file web-template.htm

If this file is not present then the button does not show.

You can only have one template file, which must have precisely this name.

This is the same template file used by function Renew Availability / Rates Files and more details about the templates are given there.

The new file is automatically named, "r-propname.htm" - more details about this name are in topic Renew Availability / Rates Files.


Copying options from a specified property.

This topic describes how to copy options across from one property to another in the "Edit Options for Property" window.

This topic will only concern you if you are managing more than one property.

When you are configuring the system and create a new property, all the options are given a default value. These default values are taken from Property No 1. If you are creating your first property, the values used are those for "Demo Cottage".

If you wish to copy the values across from a different property, then the button entitled "copy options from Property ..." on this window enables you to replace every option (except the name) with the options from the specified property.

This could be useful once you have changed the options on one property and want to bring the others into line.

Just click the button.

Notes:

- These new options are not saved until you click the Save changes and Exit button. If you change your mind, just hit cancel.

- The name of the web site availability file is not copied. This is normally unique. Some of our users have caused problems by failing to update this field following a copy. We feel it causes less confusion not to copy this option, which ensures it is consciously set.


Configure Letter Types

(This topic describes how to create and configure automated letters on the Letters Tab in the Configuration Window)

Start up the configuration program (go to Tools and select Configure LetSys from the Status Window.)

Select the Letters Tab, Here you will see a list of the letter types that are currently defined on your system. By default several letters are defined as described in topic About automated letters

New letter type: To add a new letter type click the Add letter button. The letter is added at the end of the list, so if this is the first letter added since a new installation, you will create letter 5. You are asked for the description - choose a meaningful name. It is used when you create or view a letter.

Description: To change, select a letter and then click Edit Description or right click as below.

Context menu: Right click on a letter and you will see a context menu to allow you to:

  • Edit Description: As above, this allows you to change the description.
  • Swap default delivery method: This allows you to change the default delivery method from Post to EMail and the reverse. You can override this setting when you create a letter from the Letters Window.
  • Delete letter type: This is only possible for the final letter type. To delete a different letter type, drag and drop it to the end of the list and then right click and delete it. All letter proformas and existing letters are renamed.

Changing the order of letters: Use drag and drop within the list of letters. Left click and hold a letter, then drag it to the position you want. When you do this all letter proformas and all existing letters are also renamed accordingly. Thus if you add a new letter and wish it to be Letter 1, drag the new letter to the top of the list.

Tip: Plan the letters you need carefully. Make L1 the first letter you normally send, L2 the second and so on. Then the next letter type to send will be selected automatically in the letters window, and you just hit enter. If you decide to create a new letter that should be the first you send, you can re-order the letter types as descriped above.

Warnings:

1. When you change the order of your letter descriptions all the proforma and letter names are automatically changed. Letter naming conventions are covered in topic About automated letters

2. Remember that you can only delete the final letter type in the list. Drag and drop the letter you are deleting to the end of the list first; then delete it. This ensures all letter proformas and existing letters are renamed correctly. Note that any existing proformas and letters are not deleted when you delete a letter type.

See topic About automated letters for an overview of letters, and topic About Letter Proformas for more information about letter proformas.


Letters to owners

This topic applies only if you are a booking agency with an Owner Database and you have assigned an owner to each property managed.

You can use one or more of your letter types to send an email to the property owner, instead of the person booking.

To do this, you must insert, as the first line in the proforma, a line containing *OWNER*.

This string of characters can be anywhere in the first line of the proforma.

The system will detect this line, remove it, and then insert the email address of the owner (as set in the Owner Data base) when creating the letter as an email.

Notes:

- Whan you define the letter type name, we suggest the letter type name contains an indication that the letter will be sent to the owner, such as calling it "OWNER: Property-now-let".

If you use HTML email, it is best to put the *OWNER* string into an HTML comment.


Mail merge or "special" strings

Automatic insertion of data into letters, using variables or special strings.

Topic About Letter Proformas describes how to create letter proformas in detail. This topic lists all of the special strings.

When a letter is created from a proforma these special strings are replaced by appropriate data from the booking record.

The special strings are:

<!LetterDate> - replaced by the date the letter is created, in the form dd month yyyy

<!PropName> - replaced by the property name

<!Addressee> - replaced by the name and address from the booking record

<!Phone>** - replace by the tenant's phone number

<!Subject> - replaced by a subject line including property name and dates of the booking to which the letter refers

<!Names> - replaced by the first name and surname of the person making the booking

<!Salutation> - replaced by either first name only, or first name and surname (ie the same as <!Names> depending on the setting of the Omit Surname from salutation checkbox

<!Rent> - replaced by the rent for the booking

<!XChg1> - replaced by Extra Charge 1 See Extra Charges - details and configuration

<!XChg2> - replaced by Extra Charge 2

<!XChg3> - replaced by Extra Charge 3

<!Deposit> - replaced by the amount of the deposit paid

<!Balance> - replaced by the balance due

<!Total> - replaced by the total payable

<!DepDue> - replaced by the date the deposit is due. In the form day, date, month year. eg Monday 1 March 2010

<!BalDue> - replaced by the date the balance due becomes payable. In form day, date, month year. eg Saturday 23 March 2010

<!StartDate> - replaced by the booking start date, in the form day, date, month. eg Saturday 23 March.

<!EndDate> - replaced by the booking end date, in the form day, date, month (as for <!StartDate>).

<!RetDep> - replaced by the amount of the returnable deposit (if you have configured this) - see note.

<!NetBal> - replaced by the balance less the returnable deposit (only if you have configured a returnable deposit)

<!Special> - replaced by the "Special Instructions" field

<!Tax> - replaced by the amount of tax (VAT or sales tax etc) based on the total payable

<!NetOfTax> - replaced by total payable less tax calculated as in <!Tax>.

<!Time> - replaced by the current data and time eg: Thu 01/09/2012 15:10

<!OwnerS>** - For agencies: replaced by the Surname of the Property Owner

<!OwnerF>** - For agencies: replaced by the First name(s) of the Property Owner

<!NetInc>** - For agencies: replaced by the net income due to the owner for this let. *See note*

** - these strings are new with Version 3.7

Hints and tips:

- Warning: special strings are case sensitive - you must match the above definitions exactly.

- HTML Proformas: The special strings for HTML proformas use different begin and end characters. Where you might put <!Subject> in a normal letter you use <-Subject-> for HTML. This enables HTML proformas under development to be viewed in a browser (the above strings are HTML comments and do not show).

- special strings need not occur at all in the proformas, or they can appear several times. You can put any of the above special strings into any letter.

- Once you get used to the system, you will tend to ensure that the first names and surname reflect the name you want to appear in the letter - for example it may be appropriate to add a title, or, if you a person well, and want to address them in letters as "Dear Mary and John" then you would put "Dear <!Salutation>" into the letter proformas and set the Omit Surname from Salutation checkbox on.

- If you work with a returnable deposit, the special string <!RetDep> will be replaced by the amount of the returnable deposit and <!NetBal> will be replaced by the balance due less the returnable deposit. This enables you to request two payments, one being the returnable deposit (as one cheque) and the second being the net balance. This was requested by one of our users who wanted two cheques. The deposit cheque can be held then destroyed in the event of there being no damage, which simplifies administration.

- Where the special strings represent an charge or an amount, then the appropriate currency symbol (as configured for the property) will also be included. This can be omitted if required by configuring the system to omit the currency symbol

- Net Income: This is calculated in exactly the same was as the income due to owners is calculated in the Monthly Accounts


Email formatting for Accounts

You can send the monthly owner accounts by email as described in topic Monthly Accounts

The emails you send are based on an email proforma ( named Actproforma.htm ) which must be placed into your root LetSys directory. A sample proforma with this name is distributed with this system and installed in C:\LetSys.

You can edit this proforma (an HTML file) to change the report. The content is relatively easy to alter, but you will need HTML and CSS skill to make major layout or format changes.

The data is substituted into this proforma by the program, using a set of email "Mail Merge" strings, which are replaced by the actual data before sending the email.

Each Merge string has the format <-replaced-> where the entire string is replaced by the data defined below. The example provided should make it clear how this works.

The Merge Strings (which are replaced by the calculated data) are:

<-Prop-> Property Name

<-Month-> Month+year of report. eg "November 2010"

<-Yr-> Current year eg '2011'

<-Owner-> Owner name

<-Rent-> Net rent for current month

<-ECN1-> Extra charge Name 1 (eg "Fuel")

<-ECN2-> Extra charge Name 2 etc

<-ECh1-> Extra charge 1 total. (eg "£150") * Omitted if not configured.

<-ECh2-> Extra charge 2 total etc * Omitted if not configured.

<-RetD-> Retained damage deposits * Omitted if zero or not configured

<-CanC-> Cancellation charges * Omitted if zero or not configured

<-TotI-> Total Income for month

<-MFee-> Management fee (net) for current month

<-MVAT-> VAT on current month management fee

<-FeeNote-> Inserts note explaining how the management fee was calculated (this depends on the settings).

Expenses. See topic Configuring Expense Categories

* Expense category lines are omitted if zero or not configured

<-ExN1-> Expense category 1 name (eg "Maintenance")

<-ExN2-> Expense category 2 name etc. for all categories

<-Exp1-> Expense category 1 amount (eg "£104.00")

<-Exp2-> Expense category 2 amount etc for all categories.

<-TotE-> Total Monthly expenditure

<-NetI-> Net Income for month - normally the amount the owner is owed

Income / Expenditure Summary for current year

<-TotPdYTD-> Rent plus charges YTD

<-RetYTD-> Total damage deposit retentions, YTD.

<-MFeesYTD-> Total management fees, YTD (inc VAT)

<-TotEYTD-> Total expenses YTD

<-NetIYTD-> Net Income YTD (Owners payments)

Bookings summary - current year

<-TDay-> Total days booked in current year

<-TDCC-> Total days complete - current year

<-FCIn-> Forecast gross income remaining - current year

Bookings summary - next year

<-TDNY-> Total Days booked - Next Year

<-FCNY-> Forecast gross income - next year

Hints and tips:

- Warning: Merge strings are case sensitive - you must match the above definitions exactly.

- Merge strings need not occur at all in the proformas, or they can appear several times. You can put any of the above special strings into your proforma.

- Where the Merge string represents an amount, then the appropriate currency symbol (as configured) will also be included.

- When Merge strings are replaced, in some circumstances the entire line in which they appear will be omitted as noted above in red.

This is to enable the proforma to omit output (for example) for unconfigured extra charges.

This works fine, provided you do not split lines that represent a single line, for example the HTML table lines used in the proforma. Strings that are omitted if not configured or if the amount the contain is zero are marked below.

- HTML email formatting is not easy, as many standard CSS and other rules are not processed correctly by some email clients, notably those from Microsoft. Changing style rules used can create serious problems. Please note we only provide free defect support if you use the default proforma.


Specifying EMail Attachments

If you want to send files as attachments with your HTML formatted emails, this can be done in one of two ways:

1. Browse for the file. With the "Send HTML EMail" window open click Add Attachment and browse for the file to attach. This file can be located anywhere on your system.

2. Specify the attachments in the proforma: This is useful if you always send the same attachments with a specific email.

In this case, add a single HTML comment as the first line of your proforma as follows (this is an example).

<!-- Attach Map.jpg; Instructions.pdf; Feedback Form.pdf; -->

You can also specify absolute locations thus:

<!-- Attach C:\LetSys\web\Map.jpg; C:\LetSys\web\Instructions.pdf; -->

This example will automatically add the specified files to the attachments list. You can delete attachments from this list before sending the emails. The names are separated by semi colons, and should be separated by one or more spaces.

You can send as few or as many attachments as you wish.

Note: The HTML comment specifying attachments is removed and not sent with the email. It must be a single line.

NOTES:

If you specify only a file name, then the system looks for these files as follows:

Firstly folder \LetSys\Propname\attachments will be searched. If this folder, or the specified attachment is not found, then

Secondly folder C:\LetSys\attachments will be searched.

If the specified files are not found you will get an error message.

Note that the two "attachments" folders are not created by LetSys - it is up to you to create one or both, and to place the files into these folders.

This logic has the following benefit. If you have attachments that vary by property, then put the file into the attachments folder for that property. Joining instructions are normally specific to a particular property.

But for attachments that are the same for all properties, place just one copy in the shared attachments folder, ie C:\LetSys\Attachments.

You can also specify an absolute location as above.

Note: the presence of the attachments is checked only when you click the SEND button.


Error L1: Cannot launch word processor

Error 1000: Cannot launch word processor

The message will read (for example): "Error 1000 Cannot launch C:\Program Files\Officexx\WINWORD.EXE"

This message normally means that you have upgraded your word processor (usually done by upgrading to, say Office 2007 from Office 2003).

You must reconfigure LetSys to specify the new word processor as described in topic Word Processor


Error 1005 - should not occur

This error message indicates a system problem.

One reason it might occur is if you have accidentally deleted the readme.txt file from the "Program Files\ErwWen\LetSys\" folder.

If this file is present, then please report the problem to our email address as described in topic: Support / Contact Details.


Error 1010 - No Root Folder

The root folder does not exist or cannot be located. The message displays the root folder location. If installing in a multi-user environment, this error can be ignored - see below.

If you are running with the data on a network drive or resource, and the network is down, this message is shown at startup time, normally after a long pause.

Check the following and then try to start again.

- Is your network up and running?

- Using windows explorer, can you see the LetSys root folder and open files within it? The root folder location is, by default, C:\LetSys, but can be altered using the configuration program or you can override the location with a command line parameter.

- You may have accidentally renamed or moved the folder. Use the search facility to try to locate "LetSys".

If you accidentally selected a non-existent folder.

- You cannot start either LetSys or the Configuration program! However, the configuration program gives you the option to revert to the default root folder, normally C:\LetSys Start the configuration program and reply YES when asked if you want to revert.

- Once the configuration program is running you can use it to point to the correct Root Folder

- An alternative solution is to rename the correct root folder to the one that cannot be found.

Re-installing with your LetSys Root Folder on a network drive?

If you are running a multi-user system on a LAN, you can ignore this error providing you also install LetSys on the machine that hosts the data. This means the necessary checks are done on that machine. If you are installing with the root folder on a network drive which is on a machine that does not run LetSys (for example on a server or separate NAS drive) then you need to map a network drive AS AN ADMINISTRATOR! This problem occurs because of what we consider yet another Microsoft failing. The install process runs with administrator privileges, and you have to map the drive so administrators can see it. Crazy!

Here's what to do:

Let's assume you have put the LetSys folder into a drive, and shared this drive with a name sharename.

You have also configured LetSys to change the root folder to \\computer\sharename\LetSys or you mapped a network drive to this share, and specified this.

Now you need to install an upgraded version of LetSys.

Open a command prompt as an administrator.

Then type net use L: \\computer\sharename  /user:-valid user on remote computer-

You will be prompted for a password, and the share will enable you to run the installation without errors.


Error 1015. Cannot write to file

This message means that LetSys cannot write to a file in the root folder and normally means that the user does not have write permission for that folder.

In the start up routine, you are given the option to continue in read only mode, which means you can look at, but not change, the data.

Reasons for this state include (a) you are running LetSys from a user account which was not used to install the system or (b) because you have not correctly set permissions on a networked folder.

To fix this, then, from a user account with administrator rights, you should check the permissions for the LetSys folder. Give write and modify permissions to either ALL USERS or the specific user concerned, as you wish. Both security and sharing permissions may have to be changed.

More information can be found in topic Installation hints and tips. in the section on Installing LetSys on a single computer with two or more users.

Another possibility is that you have accidentally deleted or moved the property or data folder concerned. This problem (and the resolution) is the same as that described under Error 1020 - Property Folder Not Found


Error 1020 - Property Folder Not Found

This message is written when you attempt to read booking data but the property folder cannot be found.

It indicates a major problem, as the data associated with the associated property cannot be found.

This is almost certainly the result of a user error.

After a couple of users reported losing their data (and after having helped them to find it again) we added this test and message in R3.4.

The cause is usually that you have accidentally moved a folder.

It is very easy to accidentally drag a folder to a new location using Windows Explorer (or one of the file browse dialogues).

Try to locate the missing folder - the Windows Search facility is very helpful. The LetSys folder structure is documented in topic Data Structure - folders and files

This problem is also discussed on our support forum. Click to see topic entitled "My data for one property has vanished"


Error 1030 - Cannot delete letter type

You are not allowed to delete this letter type. This can be for one of two reasons:

1. It is the last letter type - you only have one letter type defined.

or

2. You tried to delete a letter type that is not the final one shown in the list. You can delete any letter type you wish, but only as follows:

- First, click on the letter type, and drag it to the end of the list. This causes all proformas and letters to be renamed according to the new letter order.

- Next, right click on the final letter type, and select delete. The deletion will now take place.

Notes

1 The letter proformas for the letter type you have deleted are not deleted. You can do this manually, using Windows Explorer and locating the proformas in the folders specified in topic About Letter Proformas

2 Any existing customer letters of the type just deleted will not themselves be deleted. They will still be on the disk, but won't be accessible from the booking records. If you just deleted, say, letter type 4, and then create a new letter type 4, the letters would then be accessible using the new letter type.


Error 1050 Version Mismatch

LetSys has detected a mismatch between the program version, and the version stored in the settings file.

The only way this can occur is if you have incorrectly restored settings from a different version.

You can reply "Ignore" and continue, but this may cause data loss.

You should ensure you have the latest version of LetSys installed on both machines before migrating data. See Migrating to a new machine

Some versions will have compatible data. If all is working fine, and you are confident doing this, then you can remove this message by editing the settings file with a text editor. Change the version to the same one as is reported by the program.

The other way to do this is alter the settings file from which you restored settings, and then restore settings again.

The settings file is normally located at "C:\Program Files\ErwWen\LetSys\Data\LetSys.ini" The data folder is hidden.


Error 1060: Cannot delete (or "recycle") Root Folder

This error may occur when attempting to restore your data from a backup, using the Restore Tool of the configuration program.

It is often caused by a windows permissions problem, a relatively common problem.

It can also occur if you try to restore your data to a networked drive. In this case the folder cannot be placed in the recycle bin. In this case, just reply YES to continue.

Please note the error code received.

Restoring your data is usually essential, so you should manually delete the LetSys root folder using Windows Explorer, without shutting down the Configuration Program.

Then click YES to continue to restore the data - a replacement folder is created and the data is restored.

If you already shut down you should just rerun the configuration program. You may still get error messages as the folder doesn't exist, but continue and restore your data.


Error 1070 Restore Failed

This should not normally occur.

Error code = 2. This error (issued by the utility used to unzip the backup) is usually caused by a corrupt zip file.

If you have another backup file (or can create one) then abort and use the alternative file.

If this is your only backup, click ignore, and then test the restored data. The only time we are aware of that this happened to a customer, just one unimportant file was corrupt, and the data was entirely usable, but this won't necessarily be the case.

Other error codes: Please note the code, and if you send details and the backup file giving problem to us - see our contact details, we will do our best to investigate and assist.


Error 1080 Should not occur

This is a system error, and is written when there is a problem that should not occur. These problems can sometimes be cleared by saving your work and restarting LetSys.

Please note the problem and report the message and what you were doing by email to support@erwwen.com

This message is shown (with additional information) as follows:

- If you try to delete an existing letter (which would have been found initially) but it was not present when the deletion is attempted.

- "Owner database open and locked" - the program tried to open the owner data base when it was locked.

- You tried to delete a record, but the bookings file was not locked. The deletion is abandoned least the file becomes corrupted.

- You could not write to the changed or the deletions log file.


Error 1090 No owner configured

You have created a owner proforma designed to send an automated letter to the owner of this property.

However, no owner has been assigned to the property, or the owner is invalid.

To use an owner profile you need to set up an Owner Data Base

and then assign an owner to this property (with an email address) in order to use owner profiles.


Error 1100 Same reg. details

Full message: "Error 1100: Another user is active with same reg. details - closing"

You will see this message if two users try to run two different copies of LetSys and try to share the same data using the same registration key. This might be over a network, or the data may be shared via a cloud service.

This is not allowed under the terms of the LetSys License.

The same user is allowed to use LetSys on a second machine providing this is for backup or use on a laptop while "on the road". But the condition is that only one user uses LetSys at a given time. Please contact us to buy a second "multiuser" license if you wish to use LetSys by two users at the same time.

If you are not contravening the terms of the license, then this message could possibly occur due to a network error prior to close down. In this case, please delete the file $users.txt from the root folder, and try again.


Error 1110 Root folder not set

Solution: try re-installing LetSys. Then, if necessary, change the root folder to the correct value (using the configuration program).

More information: The LetSys Root Folder contains all your data and settings.

LetSys locates this from a settings file within the program's installation directory, called data. The settings file is called Local.ini.

This message means that either this file does not exist, or it has become corrupt.

Quick Fix: If you know what you are doing, edit the file Local.ini and set it to contain the path to the root folder, normally C:\LetSys\ Ensure you include a trailing backslash.


Error 1120 Settings file not found

LetSys cannot locate the settings file, therefore cannot start. This also applies to the configuration program.

The message displays the full name and path of the settings file, LetSys.ini, which is saved in the Root Folder.

You may have accidentally deleted this file from the root folder, or you may have configured the wrong root folder.

Check the following and then try to start again.

- Using windows explorer, can you see the LetSys root folder and the settings file, LetSys.ini? The root folder location is, by default, C:\LetSys, but can be altered using the configuration program.

- Are you correctly pointing LetSys to the right root folder? If you specified the wrong folder when configuring the system, then the settings file will not be found. In this case, start the configuration program and you will have an option to revert to the default root folder.

- You may have accidentally renamed or moved the settings file. Use the search facility to try to locate LetSys.ini.

- If you are using a root folder on a network, is your network up and running?

- If all the above fail, then locate and restore the missing data from your last backup.

- Note also that a backup copy of the settings file is always saved in the Windows Temporary Directory prior to new values being saved. You may be able to find LetSys.ini in the temporary windows directory for the user who made the last update.


Error 1130 Invalid parameters

You have specified an invalid parameter in the command line (or the options in the shortcut").

This message means you have specified an invalid parameter or an incompatible combination of parameters, as defined in

topic Starting Letsys using "Command Line" parameters Check the allowed parameters to see what is incorrect.

Notes: LetSys allows you to pass parameters in a shortcut in the target field (or from a command prompt).

A typical target might be D:\DP\LetSys\LetSys.exe "C:\Test\LetSys\"

Checks include the following:

You cannot specify both a file name to open, and a property name

You cannot specify a property name and the "all properties" switch /A

You can only set /F=L or /F=C if you have a MultiUser License

If you are in Read-only mode (switch /R) you cannot "force" a change with /F.

For development only:

It is also possible to specify the name of an alternative configuration settings file. Specify /S=xxxx.ini where xxx is the file name of the alternative file. This is designed for development and testing and should not be used on production systems.


Error 1140 Invalid License Key

This error means that you are running LetSys with an invalid license key.

One reason can be if you try to start LetSys with more properties installed than is permitted by your license key.

You may need to buy a license key for a larger number of properties. Please contact us.


Error 1150 Archive file is locked

This means the Archive / Cleanup function is unable to open a file for writing. This should not normally occur.

It is possible another user has the file in use.

- Check and attempt to rerun.

- Ensure you have write permissions for the file concerned.


LS1160 Another user is active

Message LS1160 Another user is active

This message means that another user appears to be active on your system, and there is a risk of data being corrupted. The name of the second user is shown. You are advised to abort startup, however it is possible to continue anyway (see below).

If you have a multiuser license and are sharing data on a Cloud System:

Another user is active. You are advised to open LetSys in read-only mode (reply YES).

This message only occurs if you are sharing data via a "cloud sharing" application such as DropBox, and have checked the option Check if data is shared via a "Cloud system" when configuring the system. See Configuring a multiuser system

Clearing a problem: If you are sure that a second user is not active you can just click ignore and continue. This could occur if an entry has been left in the $users.txt control file due to a computer or network error. However, there will be a risk of data corruption if another user is actually updating data.


Error 1170 Another user active

This message can only occur if you have a multiuser licence and have checked the box "data is shared via a cloud system" when configuring the system.

This means that another user also started up at the same time as you started LetSys, but because of the latency associated with cloud systems LetSys was unable to spot this.

There is a strong risk of data corruption if both users are trying to update data. You are strongly recommended to shut down LetSys and then try to restart once you've ensured another user is not active.

This can be caused by a "conflicted copy" of the User Control File being written by your "cloud" system. In this case you have the option to delete the conflict by clicking ignore to the warning.

You also will get the option to start in Read-Only mode if a user is active.

Clearing a problem: If you are sure that a second user is not active you should still close LetSys and restart. This will cause additional checks to be run.


Error 1180 Another user active - cannot change mode

You are trying to change from LAN to CLOUD mode (or vice versa) using a "command line" switch but another user is active.

You must shut down that user, or change the mode with the configuration program (which allows you to clean up if a second user is not active, as can happen if there has been a system or network problem).

Notes:

This message occurs only if you have a multiuser licence and have tried to start LetSys with a "Force mode" switch.

The switches that cause this are /L and /C - see topic Starting Letsys using "Command Line" parameters

LetSys is able to start normally if it is already in the mode specified by the switch.

LetSys is also able to change mode if a 2nd user is active but is in Read-Only mode.


LS1190 On LAN - starting in Cloud mode

Message LS1190 On LAN - starting in Cloud mode

Are you sure?

Based on the IP Address Mask you configured LetSys presumes you are running on your LAN. But you are either starting in Cloud mode, or are trying to change the mode to "Cloud" using a switch.

You would normally be in LAN mode, when on the LAN.

However, if you have a second user who leaves the office to work in a different location. In this case you can "flip-flop" between modes, and if this user will then share your data using a Cloud System such as Dropbox, then you will wish to change to Cloud mode while that user is active. In this case just reply YES.

For more information on the IP address mask see topic Configuring a multiuser system


LS1200 Change to LAN Mode?

Based on the IP Address Mask you configured LetSys presumes you are not on your LAN, so would normally be running in Cloud mode.

But you are trying to change the mode to "LAN" using a switch.

You can ignore this warning, and change to LAN mode by replying YES.

For more information on the IP address mask see topic Configuring a multiuser system


LS1210 Delete duplicate user

This message is written to the Diagnostic Log when LetSys starts, if a duplicate entry for the user is found in the user file.

A duplicate entry can be left in the file if the system crashes, or if the user restarts.

It is automatically removed, and this is not usually indicative of any problem, but a record is kept.


Error 1220 File Corrupted Error

This error occurs when reading a booking file. It means the file you are trying to read has become corrupted.

This should not normally occur, but is possible when your computer fails (for example, due to a power cut) in the middle of writing out the booking file.

You should reply ignore, and LetSys will try to load whatever data is present. You may get several error messages. You have almost certainly lost a number of bookings for the property concerned.

Do not continue working with this file - that is to say, do not edit or save any bookings. Note that if other properties are not affected, then you can continue to process those.

Bookings are carefully backed up in a transaction or change log, and you can normally recover your data as discussed in item 6 of topic How to recover lost data See also topic Backup and Data Security


Error 1230 File not found on server

This error occurs when Downloading a Web Booking Form

If the message is Internet problem. Check connection it may mean your connection has a problem or the server is down.

If the message is File not found on server then this message means that LetSys could not locate a booking form.

There are a number of possible reasons:

- There is no booking form for that combination of property, person and start date on the server. Check you are working with the correct property and have correctly spelled the surname. The booking form viewer will enable you to see which forms exist, assuming you have installed this script. See View and maintain Web Booking Forms

- You may have changed the order of your properties (this causes a change of property number). If this is done after a form was created the form won't be found. Please ensure you always process new bookings before re-ordering properties.

Your server will normally respond with a "404 Page not found" message if the booking form doesn't exist. LetSys detects this page by searching for one of the following strings:

404 NOT FOUND

404 ERROR

ERROR 404

404 PAGE NOT FOUND

PAGE CAN'T BE FOUND

Please ensure your web administrator uses a 404 not found page which contains one of the above 5 strings or you will find the error page gets downloaded and stored on your computer.